Finding and fixing problems

Finding and fixing problems copyright 2004 Symantec

Trouble-free computing depends on the integrity of your computer, which requires an error-free hard disk and a correctly installed copy of Windows. Although most computers start out this way, over time Windows and hard drives are likely to degrade. This degradation, if not corrected, can ultimately lead to data loss.

Norton SystemWorks includes Norton Utilities tools to monitor your computer for potential problems, examine your disk for directory and disk problems, and diagnose Windows problems.

Norton System Doctor continuously monitors your computer to keep it running at peak efficiency. If directory, disk, or Windows problems occur, you can diagnose and fix these problems quickly using Norton Disk Doctor and Norton WinDoctor.

The CD does not support running Norton Disk Doctor on NTFS partitions or FAT16 drives with 64 KB clusters (available in Windows 2000/XP only). If you need support for this capability, install the complete Norton Disk Doctor package on your computer.


About Norton Utilities alerts

About Norton Utilities alerts copyright 2004 Symantec

When one of the Norton Utilities tools detects a problem with your computer, it displays a message. These messages, which are called alerts, may appear when you are running other programs and Norton Utilities detects a problem.

For example, if Norton System Doctor finds a problem, it displays a red light sensor. Alerts do not appear unless you set the sensor properties to Display Alarm Message.

More Information


Improving a computer's performance

Improving a computer's performance copyright 2004 Symantec

Your computer's hard disk stores all of your files, applications, and the Windows operating system. Over time, the bits of information that make up your files are spread over the disk. This is known as fragmentation. The more that you use your computer, the more fragmented it gets. Before long, a fragmented hard disk can cause the entire system to slow down.

Speed Disk defragments the bits of information on your hard disk and rearranges them for greatest efficiency in a process called optimization.

Speed Disk is a powerful tool you can run with its default settings or customize to meet your file placement requirements.

More Information

About Speed Disk
Why performance degrades
How fragmentation affects performance
Before you optimize your disks
Optimize your hard disks
Analyze disk fragmentation
Customize Speed Disk
Schedule optimization
Optimize registry and swap files
Run Speed Disk from the command line


About Speed Disk

About Speed Disk copyright 2004 Symantec

Speed Disk optimizes an entire disk's files, directories, the MFT, swap file, and security metadata. You can optimize without restarting your computer and optimize in only one pass, even after you optimize the swap file. Intelligent analysis places file types in the optimal order for best performance, which reduces the frequency and necessity for substantial reoptimizations.

Use the Disk Optimization sensor in Norton System Doctor to monitor your disks' fragmentation levels. When disks become too fragmented, Norton System Doctor can notify you to run Speed Disk.

About the Disk Optimization sensor


Why performance degrades

Why performance degrades copyright 2004 Symantec

A hard disk is a set of stacked disks onto which data is recorded in concentric tracks. A disk head is like a phonograph arm but in a more fixed position. As the disk spins, two disk heads (one on each side of the disk) write to or read the information on the tracks. How and where your data is organized on your disks affects your computer's performance.

All of your files, applications, and the Windows operating system are stored on your computer's disks. Over time, the bits of information that make up your files gets distributed all over the disk. This is known as fragmentation. Fragmentation creates inefficient conditions when you want to store and retrieve information on or from a disk. The more that you use your computer, the worse it gets. A fragmented disk can cause the entire computer to slow down.

Over time, fragments of a file may be scattered in different areas of the disk, away from the original location of the file. These multiple file fragments are tracked in the disk catalog, or Master File Table (MFT), which also grows with the addition of location information.


How fragmentation is calculated

How fragmentation is calculated copyright 2004 Symantec

In Windows 2000/XP, the fragmentation level is determined by the formula [total file fragments]/[number of files], expressed as a percentage. Unfragmented files are counted as single fragments. You may also see different statistical reporting with Executive Software's Diskeeper, or Disk Defragmenter, the utility that is included with Microsoft Windows.

In Windows 98/Me, Speed Disk compares the number of fragments against the number of files using the formula (Tf / F) * 100 where Tf is the number of file fragments and F is the number of total files. For example, on a disk with 100 files, with one file consisting of 17 fragments, Speed Disk will report that 17 percent of the disk is fragmented. Speed Disk also defragments the swap file and includes it in its calculations.

How fragmentation affects performance


How fragmentation affects performance

How fragmentation affects performance copyright 2004 Symantec

The data storage space on a disk is divided into discrete units called clusters. When files are written to the disk, they are broken up into cluster-sized pieces. When all of the pieces of a file are located in adjacent or contiguous clusters, the file can be accessed quickly because all of the information is in one place.

When files are saved or copied to a disk, there is no discrimination among types of files. On an unoptimized disk, all file types, including applications, .dlls, and data files, are intermingled.

When a fragmented file is accessed, disk performance is slower because the drive head must do more work to locate, load, save, and keep track of all of the fragments of the file. If free space is also fragmented, the disk head may have to hunt for adequate free space to store temporary files or newly added files.

Free space fragments that are smaller than 16 clusters cannot be used by the Windows 2000/XP File System so these fragments waste drive space. If there is substantial fragmentation on the drive, unavailable free space can consume a lot of potential drive space.

Fragmentation also affects video and other multimedia performance. For example, if a multimedia file such as a movie is being played, and the movie file is fragmented, the player may have to wait for the disk head to locate the next fragment to load.

Speed Disk optimizes fragmented files by rearranging file fragments into adjacent or contiguous clusters. When the disk head can access all of the file data in one location, the file is read into memory faster.


About file fragmentation

About file fragmentation copyright 2004 Symantec

The space on a drive is divided into discrete units for allocating file space. The Windows 2000/XP NTFS file system uses clusters as its smallest allocation unit. When files are stored to the drive, they are broken up into cluster-size pieces that are tracked in a disk catalog. Cluster sizes vary depending on the overall size of the drive.

Cluster allocation size | Drive size
512 bytes | <512 MB
1024 bytes | 512 MB to 1 GB
2048 bytes | 1 GB to 2 GB
4096 bytes up to 128 KB | >2 GB

Speed Disk also creates contiguous free space on the disk, which improves system performance when you add new files. This is especially helpful under low disk space conditions where free space fragmentation can cause newly added large files to be fragmented from the start.


Differences between optimization and defragmentation

Differences between optimization and defragmentation copyright 2004 Symantec

The terms defragmentation and optimization are often used interchangeably, but they are not the same.

Defragmentation is the process of rearranging the way that files are organized on a disk so that the data that comprises each file is stored in adjacent or contiguous disk clusters.

Optimization maximizes the usable free space on a disk by grouping files based on how they are accessed. The most frequently used files are placed at the beginning of the disk for fast access. Infrequently used files are placed out of the way. Free space is consolidated to avoid fragmenting newly added files, and extra space is added after major data structures so that they can grow without immediately becoming fragmented again.


Before you optimize your disks

Before you optimize your disks copyright 2004 Symantec

Before you run Speed Disk, prepare your computer for optimization. This includes ensuring that your disk has no errors by running Norton Disk Doctor, deleting temporary files, completing any major software installations or removals, backing up your files, closing all programs, and setting the Speed Disk options that are appropriate for your computer.


If you are optimizing for the first time

If you are optimizing for the first time copyright 2004 Symantec

A disk's first optimization may take significantly longer than subsequent optimizations because Speed Disk must move the files and free space in a particular order. After a disk has been optimized, only new and expanded files need optimization.

If optimization is taking too much time, or using too many computer resources, you may want to adjust the Speed Disk options.

The benefits of optimization, which include faster access and improved overall performance, make the initial optimization time worthwhile. Speed Disk takes advantage of improvements that were made in the first optimization to reduce subsequent optimization times.


If you are optimizing NTFS volumes

If you are optimizing NTFS volumes copyright 2004 Symantec

If you are optimizing NTFS volumes, you should select the Global option, "Scan for errors before optimizing." This causes Speed Disk to check the integrity of the volume before you proceed. If the selected disk is a FAT volume, a message informs you that Norton Disk Doctor should be run before the optimization.


Prepare your computer

Prepare your computer copyright 2004 Symantec

Before you run Speed Disk, you need to prepare your computer.

Step | For more information
Back up your files. | Refer to your system documentation.
Delete temporary files. | Refer to your system documentation.
Complete any program installations or uninstallations. | If you are optimizing for the first time For any special considerations, refer to your system documentation.
Run Norton Disk Doctor or CHKDSK. | If you are optimizing NTFS volumes
Analyze disk fragmentation (Windows 2000/XP). | Analyze disk fragmentation
Set Speed Disk options. | Customize Speed Disk
Close all programs (Windows 98/Me). | Refer to your system documentation.


Optimize your hard disks

Optimize your hard disks copyright 2004 Symantec

Windows98/Me optimization procedures are different than Windows 2000/XP procedures.

On disks with more than 6000 folders or folders with more than 2000 large files (files that are larger than 5 MB), the initial Speed Disk scan will run very slowly and may even appear to stop. You should always allow the scan to complete.

More Information

About the phases of optimization
File placement during optimization
Optimize a disk
Run Speed Disk in the background
About the optimization map
About the Analysis View


About the phases of optimization

About the phases of optimization copyright 2004 Symantec

Speed Disk goes through the following phases in the course of optimization:

Scan for errors before optimizing NTFS volumes (optional)

When this setting in the Global Options is turned on (the default setting is off), Speed Disk runs a brief check of the disk for any problems.

Scanning

Speed Disk scans the entire hard disk and gathers information about how many files of each file type are present, the amount of empty space, and the number of partially used clusters.

Gathering data on file fragmentation and unmovable files can take some time, depending on the size of the volume, the number of files on the volume, and the degree of file fragmentation.

Unmovable files are shown in the optimization map after the drive is scanned in the first phase of optimization. However, to save time, the map does not show fragmented or unmovable files until after Speed Disk performs a fragmentation analysis.

Sorting

Speed Disk sorts the files according to their types.

File placement during optimization

Moving

Speed Disk moves the files into the areas of the drive that are assigned to their types.

File placement during optimization

Customize Speed Disk


File placement during optimization

File placement during optimization copyright 2004 Symantec

Speed Disk places files in order, from the beginning of the drive to the end of the drive. In general, the default settings will provide the best performance. You should change the default settings only if your files require special consideration. File types are placed in the following order.

Drive order | File type
Start | Master File Table (MFT)
2 | Files in the Files First list in Drive Options
3 | Paging File
4 | Directories
5 | Files that were accessed in the last two months
6 | Files that were optimized by Speed Disk
7 | Files that were modified within the last two to four months
8 | Files that were modified within the last two months
9 | Files that were not accessed in the last two months
10 | Files that were not modified in the last four months
11 | Files in the Files Last list in Drive Options
12 | Optimized free space
-- | Extra space placed after the data files to allow for growth
-- | Files and other disk data not yet optimized
13 | Files in the Files At End list in Drive Options

Customize Speed Disk


Optimize a disk

Optimize a disk copyright 2004 Symantec

In Windows 98/Me, Speed Disk checks the disk for errors before optimization proceeds.

To optimize a disk in Windows 2000/XP

  1. On the left side of the main window, click Norton Utilities > Optimize Performance.
  2. Click Speed Disk.
  3. In the Speed Disk dialog box, under Select a Drive, select the disk that you want to optimize (the default disk is C).
  4. Under Select a View, select the options that you want. Your options are:

    Optimization Map

    Lets you optimize disks. When optimization starts, the drive map shows how Speed Disk organizes file types, which are colored according to the legend.

    About the optimization map

    Analysis

    Lets you generate statistics about a selected disk.

    Analyze disk fragmentation

    Drive Options

    Lets you customize file placement on a disk.

    Customize Speed Disk

    Schedule Options

    Lets you set an optimization schedule for each disk.

    Schedule optimization

  5. Under Legend, view and customize the colors that are associated with file types on the disk map, and with segments in the analysis pie charts.
  6. Click Start Optimizing.

    7. Once optimization has started, you can quit Speed Disk, and optimization continues in the background.

  7. If you want to optimize additional disks, select another disk in the list, then click Start Optimizing. The recommended number of concurrent optimizations is 2.

To optimize a disk in Windows 98/Me

  1. On the left side of the main window, click Norton Utilities > Optimize Performance.
  2. Click Speed Disk.
  3. In the Speed Disk dialog box, under Select a Drive, select the disk that you want to optimize (the default disk is C).
    Speed Disk scans the disk and makes a recommendation based on the current fragmentation.
  4. Select an optimization option. Your options are:

    Full Optimization

    Defragments and optimizes the files and consolidates the free disk space to one area on the disk. This method gives the best results, but takes the longest. If you select this method, you can also customize how the optimization is performed.

    Unfragment Files Only

    Optimizes as many files as possible without consolidating the free disk space. This method is faster than a full optimization, but may not optimize as many files as efficiently. Some large files may not be optimized at all.

    Unfragment Free Space

    Quickly consolidates the free space to one area of the disk, but does not optimize any files. Use this method before you install new software or create a compressed volume if you don't have time for a full optimization.

  5. Ensure that Optimize Swap file is checked.
    Unchecking this option is not recommended.
  6. When prompted, disable the Microsoft Task Scheduler.

    7. If the Microsoft Task Scheduler is enabled, Speed Disk performance might be forced to restart many times.

  7. Click Start.
    You can view Speed Disk progress on the optimization map.
    When Speed Disk has finished optimizing, a message appears.
  8. Click OK.
  9. Close the Speed Disk window.


Run Speed Disk in the background

Run Speed Disk in the background copyright 2004 Symantec

You can run Speed Disk efficiently in the background while you work by minimizing it after you start the optimization. When Speed Disk detects a pause in disk activity, it begins optimizing the disk.

You can specify how long a pause in disk activity is necessary before Speed Disk begins optimizing in the background. You can also configure Speed Disk to wait for a specified time period of communication port inactivity before you begin background optimizations. If you are using fax software to send and receive faxes, you should enable this feature to avoid conflicts between the fax software and Speed Disk.

If you schedule concurrent optimizations of multiple disks, you can minimize the effect on programs that are running in the foreground.

Norton System Doctor includes the Disk Optimization sensor, which can automatically monitor a disk while you work and notify you when the files become too fragmented. You can configure Norton System Doctor to run Speed Disk automatically when fragmentation exceeds a specified value.


About the optimization map

About the optimization map copyright 2004 Symantec

The optimization map is a graphical representation of the files that are arranged on a disk. The customizable color-coding helps you identify how efficiently disk space is being used. Each block on the map represents a number of clusters on the drive.

On the optimization map, you may see small blocks of extra space mixed in with optimized files, even after Speed Disk has optimized a disk. Speed Disk adds extra space after each category of optimized files to allow for future growth. This allows categories of files to expand without causing immediate fragmentation and extends the benefits of optimization.

In Windows 98/Me, you can click any block in the disk map to display information about the block location, files that occupy that cluster, and whether a file is fragmented, optimized, or unmovable.

If you select a file in the list, all the blocks that contain any portion of the file are highlighted in the disk map.


About the Analysis View

About the Analysis View copyright 2004 Symantec

In Windows 2000/XP, Speed Disk displays an analysis of each drive so that you can determine its fragmentation level, and if necessary, determine if any special action is required for recurring fragmented files.

The Analysis View displays file fragmentation, free space fragmentation, and general disk utilization. The lower part of the view lists the most fragmented files with the number of fragments.


Analyze disk fragmentation

Analyze disk fragmentation copyright 2004 Symantec

In Windows 2000/XP, you can use Speed Disk to perform an analysis of each disk to determine its fragmentation level before you optimize it.

You can use the Analysis View to identify the most fragmented files. You can then use that information to reduce susceptibility to repeated fragmentation. After you run the analysis, any highly fragmented files are listed in the Most Fragmented Files list. By specifying the placement of highly fragmented files, you can reduce the amount of fragmentation that occurs during use.

If these files become fragmented frequently, even following optimization, you can use the Speed Disk Drive Options to specify where you want Speed Disk to place the files during the next optimization.

To analyze a disk's fragmentation in Windows 2000/XP

  1. In the Speed Disk main window, under Select a Drive, select the disk that you want to analyze (the default disk is C).
  2. Under Select a View, click Analyze.
  3. In the Speed Disk main window, click Actions.
  4. Click Start Analyzing.
    The analysis time depends on the degree of fragmentation, the size of the disk, and the number of files on the disk.
  5. If you want to analyze additional disks, select another disk in the list, then click Start Analyzing.
  6. To stop the analysis, click Stop Analyzing.
  7. Close the Speed Disk window.

Speed Disk provides the following statistics to help you determine an optimization strategy:

Bytes used | The total number of bytes occupied by files or file fragments on the disk
Bytes free | The total bytes of free space on the disk
Percent of Disk Used | The percentage of occupied disk space
Number of Folders | The total number of folders on the disk
Number of Files | The total number of files on the disk


View file fragmentation in Windows 98/Me

View file fragmentation in Windows 98/Me copyright 2004 Symantec

In Windows 98/Me you can view a fragmentation report that shows fragmentation for individual files.

To view a fragmentation report in Windows 98/Me

  1. In the Speed Disk window, click Properties > Fragmentation Report.
  2. In the Fragmentation Report window, in the left pane, select a folder.
    The list of files that are inside of the selected folder shows the following:
    • File name
    • Percent optimized (100% means that the file is unfragmented)
    • Number of file fragments, if any
    • Number of clusters that the file occupies


Customize Speed Disk

Customize Speed Disk copyright 2004 Symantec

During optimization, Speed Disk places files in the best locations for efficient access and flexible growth. However, there may be situations in which you need to ensure that certain files are placed in specific areas on the disk, so that they are accessed first or have room to expand without becoming fragmented.

Speed Disk provides options that let you customize the following aspects of the disk optimization process:

  • Schedule optimizations for individual volumes that are based on time or threshold of fragmentation.
  • Adjust the system resources that are used by Speed Disk in relation to other running processes.
  • Customize the optimization for each disk.
  • Run Speed Disk in the background to optimize volumes at preset times.
  • Record optimization events to the system Event Log.

Speed Disk stores the optimization options that you choose for each disk, so you do not need to reset options each time that you optimize unless you want to change them.

Speed Disk options determine how Speed Disk optimizes specific disks. For example, if one disk contains mostly data and another contains a combination of data and frequently used applications, you may want to specify file placement for the frequently used applications. In Windows 2000/XP, these options are called Drive Options.

If you change any Drive Options or Global Options settings, including the maximum number of disks to optimize concurrently, you must restart Speed Disk before the changes take effect.

To set Speed Disk options in Windows 2000/XP

  1. In the Speed Disk main window, click Drive Options.
  2. Click a tab to customize Speed Disk options.

To set Speed Disk options in Windows 98/Me

  1. In the Speed Disk main window, click Properties.
  2. Click Options.
  3. Click Customize.
  4. Click a tab to customize Speed Disk options.

    5. Your choices are:

    Option tab | For more information
Security options | About Security options
Drive options | Specify file placement during optimization
Schedule options | Schedule optimization
Global options | Specify priority and memory usage in Windows 2000/XP
Windows 98/Me Optimization | Optimize the registry and swap file in Windows 98/Me
Windows 98/Me Full Optimization | About Full Optimization options
Windows 98/Me Appearance | Customize optimization map colors
Windows 98/Me Advanced | Schedule optimization

  5. Click OK.


About Security options

About Security options copyright 2004 Symantec

Speed Disk can add Security options to any type of optimization.

Speed Disk can check the data as it is optimized to verify that it is rewritten correctly to the disk. Using verification adds significant time to the optimization process, but this option guarantees that data is not lost due to problems with older or faulty disks.

Speed Disk can "wipe" (write zeros to) all unused clusters on the disk after finishing the optimization. This enhances security by erasing old data that might otherwise be left in spaces marked as "free." Such data could later be retrieved from your disk.

Customize Speed Disk


About Optimization options

About Optimization options copyright 2004 Symantec

The Optimization tab lets you customize the optimization for any drive. Once you have chosen optimization options for a particular drive, save your customizations for Speed Disk to use whenever it optimizes that drive.

The Optimization tab contains the following options:

Drive | Click to display a list of drives for which the optimization can be customized. From the list presented, click the drive whose optimization you want to customize.
Full Optimization | Click to have Speed Disk completely defragment the hard disk, optimizing both files and free space. Full Optimization produces the best performance improvements but takes longer to complete than optimizing only files or free space.
Customize | Click to customize the full optimization by specifying files to place first, last, and at the end of the disk. You can also specify Unmovable Files and have the files sorted during optimization. You can only customize full optimizations.
Save | Click to save the Full Optimization customizations for the drive shown in the drive box. Speed Disk will always use the saved settings when optimizing that drive.
Unfragment Files Only | Click to have Speed Disk optimize as many files as possible without consolidating the free disk space. This method is faster than a full optimization, but may not optimize as many files as efficiently. Some large files may not be optimized at all.
Unfragment Free Space | Click to have Speed Disk quickly consolidate the free space to one area of the disk without optimizing any files. Use this method before installing new software or creating a compressed volume if you don't have time for a full optimization.
Optimize Swap File | This option is checked by default. It makes Speed Disk optimize the Windows swap file to enhance the performance of Windows and any Windows applications. This option applies to all optimizations of all drives. Uncheck this option to disable swap file optimization (not recommended).
Verify Writes | Check to have Speed Disk verify that the data moved during optimization is rewritten correctly to the disk. Verifying disk writes adds significant time to the optimization process, but this option guarantees that data is not lost due to problems with older or faulty disks.
Wipe Free Space | Check to have Speed Disk write zeros to all unused clusters on the disk after finishing the optimization. This enhances security by erasing old data that might otherwise be left in spaces marked as free. Unwiped data could later be retrieved from your disk.

Customize Speed Disk


About Appearance options

About Appearance options copyright 2004 Symantec

The Appearance tab lets you customize the look of Speed Disk. This tab contains the following option:

Disk Map

You can display the disk map graphics as blocks or bars. Click either Block or Bar to see in the sample graphic how the disk map will look. While displayed as bars, click any spot on the map to see the Block Details window, showing the clusters and files stored in that region of the disk.

Customize Speed Disk


About Advanced options

About Advanced options copyright 2004 Symantec

You can run Speed Disk efficiently in the background while you work by minimizing it after starting the optimization. When Speed Disk detects a pause in disk activity, it begins optimizing the disk. The Advanced tab lets you customize how Speed Disk runs in the background.

This tab contains the following options:

Begin After | Type the number of minutes and seconds of disk inactivity that should elapse before Speed Disk starts or resumes background optimization.
Watch Communication Ports | Click to have Speed Disk wait for communication port inactivity before starting or resuming optimizations. If you are using fax software to send and receive faxes, you should enable this feature to avoid conflicts between the fax software and Speed Disk.


About Full Optimization options

About Full Optimization options copyright 2004 Symantec

Full Optimization options let you organize where specific files or file types are placed on the disk during optimization.


Files First tab

Files First tab copyright 2004 Symantec

Speed Disk places the files you specify at the very beginning of the disk (the outer tracks) for fastest access. Files that are frequently accessed but not modified, such as program (.exe and .dll) files, should be placed first on the disk.

This tab contains the following options:

File Specification | Type the full path and name of the file you want placed first on the disk. To browse for files, click the folder icon to the right of the box. Wildcard notation
Add | After you have entered a name in the box, click Add to add the file to the list of files that Speed Disk places first during optimization.
Delete | To remove a file from the list of files placed first, click the file in the list, then click Delete.


Files Last tab

Files Last tab copyright 2004 Symantec

Speed Disk places the files you specify before the consolidated free space on the disk. Files that are frequently modified and are therefore more likely to become fragmented should be placed last, where they can grow into the free space without affecting the files that were placed first. This speeds future optimizations and reduces subsequent disk fragmentation. By default, Speed Disk places the contents of various disk cache and temporary files in this area.

This tab contains the following options:

File Specification | Type the full path and name of the file you want placed last on the disk. To browse for files, click the folder icon to the right of the box. Wildcard notation
Add | After you have entered a name in the box, click Add to add the file to the list of files that Speed Disk places last during optimization.
Delete | To remove a file from the list of files placed last, click the file in the list, then click Delete.


Files At End tab

Files At End tab copyright 2004 Symantec

Speed Disk places the files you specify at the very end of the disk (the inner tracks), after the consolidated free space. This area of the disk is accessed relatively slowly by the computer. Place rarely used files at the end of the disk to free up space on the faster, outer disk tracks for those files you use more often.

This tab contains the following options:

File Specification | Type the full path and name of the file you want placed at the end of the disk. To browse for files, click the folder icon to the right of the box. Wildcard notation
Add | After you have entered a name in the box, click Add to add the file to the list of files that Speed Disk places at the end of the disk during optimization.
Delete | To remove a file from the list of files placed at the end of the disk, click the file in the list, then click Delete.


Unmovables tab

Unmovables tab copyright 2004 Symantec

Certain files should not be moved on your disk. Speed Disk automatically recognizes most of these files and does not move them during optimization. Use this tab to specify additional files that should not be moved during the optimization.

This tab contains the following options:

File Specification | Type the full path and name of the file you want placed at the end of the disk. To browse for files, click the folder icon to the right of the box. (Hidden files do not display in the list.) Wildcard notation
Add | After you have entered a name in the box, click Add to add the file to the list of files that Speed Disk places at the end of the disk during optimization.
Delete | To remove a file from the list of files placed at the end of the disk, click the file in the list, then click Delete.
Read Only, Hidden, System | You can also specify a whole class of files as unmovable based on the file attributes. Checking Read Only, Hidden, or System prevents Speed Disk from moving files that have that attribute. Checking a combination of these attributes prevents Speed Disk from moving files that have that particular combination of attributes.


By Date tab

By Date tab copyright 2004 Symantec

Speed Disk can check file access and modification dates for you, and automatically arrange the files for optimal performance. Speed Disk moves the frequently accessed but unmodified files first, and the frequently modified files last. It notices the files that have not been accessed for twice the time span you specify and moves these rarely accessed files to the very end of the disk.

This tab contains the following options:

Sort Files By Last Access Date | Check to have Speed Disk arrange the files by access and modification dates.
Group Files By | Click the time span you want Speed Disk to use when judging the frequency of file access. For example, if you choose Month, Speed Disk considers files accessed within the last month as frequently accessed and files not accessed within the last two months as rarely accessed.


Folders tab

Folders tab copyright 2004 Symantec

Placing folders first on the disk speeds access to the files they contain. In addition to having Speed Disk place all folders first on the disk, you can specify individual folders to place first.

This tab contains the following options:

Move Folders To Front | Check to have Speed Disk place folders first on the disk during optimization.
Add | Click to display a list from which you can specify the folders you want placed first on the disk. All folders are placed first on the disk as a group. If you enter specific folders here, those folders are placed before all others.
Delete | To remove a folder from the list of folders placed first, click the folder in the list, then click Delete.


Sort Entries tab

Sort Entries tab copyright 2004 Symantec

Speed Disk can sort folder entries (the files in a folder) during optimization. The files and subfolders are sorted accordingly when you type DIR at the DOS prompt (provided you are not using other directory sorting techniques, such as the DOS DIRCMD environment variable). The folder entries also appear sorted when viewed in a disk editor program.

Windows Explorer provides its own means of sorting the display of folder entries and is unaffected by this Speed Disk option.

This tab contains the following options:

Sort Folder Contents | Check the box to have Speed Disk sort folder entries according to the criteria you specify below.
Sort Files By | Sort the files by name (the part of the file name preceding the final period), extension (the part of the file name following the final period), creation date, creation date and time, or size.
Sort Order | Sort the entries in either ascending or descending order.
Place Subfolders First | Check the box to have Speed Disk place any subfolders first when sorting folder contents.


Specify file placement during optimization

Specify file placement during optimization copyright 2004 Symantec

In general, Speed Disk default settings for placing files provide the best performance. Change the disk's default settings only if your files require special consideration. For example, if you use a disk utility that updates certain file dates even when those files have not been used, you may want to limit optimization on these files so that Speed Disk doesn't move them to the area of the disk that is reserved for frequently used files.

If you want to place files in a specific location, which overrides the Speed Disk default file placement, use the Drive Options view. This view lets you select files or file types and specify where they should be placed during optimization.

Speed Disk can check file access and modification dates for you and automatically arrange the files for optimal performance. Speed Disk moves the frequently accessed but unmodified files first and the frequently modified files last. It notices the files that have not been accessed for twice the time span you specify, and moves them to the very end of the disk.

Placing folders first on the disk speeds access to the files they contain. In addition to having Speed Disk place all folders first on the disk, you can specify individual folders to place first.

Speed Disk can sort folder entries (the files in a folder) during optimization. The files and subfolders are sorted accordingly when you type DIR at the DOS prompt (provided you are not using other directory sorting techniques, such as the DOS DIRCMD environment variable). The folder entries also appear sorted when viewed in a disk editor program.

Windows Explorer provides its own means of sorting the display of folder entries and is unaffected by this Speed Disk option.

Certain files should not be moved on your disk. Speed Disk automatically recognizes most of these files and does not move them during optimization. This option lets you specify additional files that should not be moved during the optimization.

Type a file name to be added to the list of files placed at the end of the disk. This area of the disk is accessed relatively slowly by the computer. Place rarely used files at the end of the disk to free up space on the faster, outer disk tracks for those files you use more often.

You can also specify a whole class of files as unmovable based on the file attributes. Checking Read Only, Hidden, or System prevents Speed Disk from moving files that have that attribute. Checking a combination of these attributes prevents Speed Disk from moving files that have that particular combination of attributes.

The Drive Options dialog box settings let you specify how you want files placed during optimization. You can set the following options:.

Files First

Places the selected files at the beginning of the disk for fastest access. Files that are frequently accessed but not modified, such as programs (.exe and .dll) should be placed first on the disk.

Files Last

Places infrequently used files after all other files, but before the free space.

Files At End

Places the selected files at the very end of the disk on the inner tracks after the free space. Place rarely used files at the end of the disk to free up space on the faster, outer tracks.

Unmovable Files

Does not move selected files. If you have applications that expect files in specific locations on the disk, add them to this list.

There are very few types of files that Speed Disk classifies as unmovable. If you notice that some files are not optimized, check the access rights to the files. You must have Administrator rights to the disk for Speed Disk to move some types of files that are defined by the Administrator or are defined by the Administrator for another user.


About unmovable files

About unmovable files copyright 2004 Symantec

Some files must remain in particular locations on the disk. For example, some copy-protected programs expect the program files to reside in a specific location on your disk. Speed Disk identifies many such files and does not move them during file optimization.

You can customize the optimization by specifying any other files you do not want Speed Disk to move. You can specify unmovable files by name, or you can specify a class of files as unmovable based on the file attributes.

For example, if you specify that Read Only files are unmovable, Speed Disk does not move any files that have the Read Only file attribute set. If you specify Read Only and Hidden files as unmovable, Speed Disk does not move files that have both these attributes set. In this case, Speed Disk still moves files with only the Read Only or only the Hidden attribute set.

Speed Disk can move most file types. If you notice that some files are not optimized, check the access rights to the files. In Windows 2000/XP, you must have Administrator rights to the drive for Speed Disk to move some types of files.


Wildcard notation

Wildcard notation copyright 2004 Symantec

You can use wildcard notation when specifying filenames. You can also use wildcards to specify files in a folder. The question mark (?) wildcard represents a single character, and the asterisk (*) wildcard represents any number of characters.

Wildcard character | Represents this
myfile.n?? | myfile.n01, myfile.new, and so on.
myfile.* | Any filename beginning with myfile.
*.* | All the files in a folder.
*\* | All files in a folder, including files in any subfolder.

Windows 2000/XP produces files and file fragments during system operation that are classified as unmovable. NTFS system files, with the exception of the MFT, root directory, and swap files, can't be moved. On FAT volumes, directories and swap files cannot be moved.

To specify file placement during optimization in Windows 2000/XP

  1. In the Select a View pane, click Drive Options.
  2. In the Select a Drive pane, select a disk.
  3. On the Files First, Files Last, Files At End, or Unmovable Files tab, select the action that you want to take. Your choices are:

    Add a file

    Click Add File, select the file you want to add, then click Open.

    Remove a file

    Select the file, then click Remove.

    Add a group of files of the same file type

    Click Add Wildcard, type the wildcard characters (such as *.exe or *.dll), then click OK.

To specify file placement during optimization in Windows 98/Me

  1. Select the disk whose file placement you want to customize.
  2. Click Properties, and choose Options.
  3. On the Optimization tab, click Customize.
  4. On the Files First, Files Last, Files At End, or Unmovable Files tab, click Add.
  5. Select the file that you want to add.
  6. Click OK.


Specify priority and memory usage in Windows 2000/XP

Specify priority and memory usage in Windows 2000/XP copyright 2004 Symantec

In Windows 2000/XP, Speed Disk Global Options affect overall performance during optimization. In the Global Options dialog box, you can adjust Speed Disk's use of computer resources. When you adjust the Priority and Memory Usage settings, you determine how much of your computer's resources Speed Disk can use to optimize.

Normally Speed Disk takes low priority. If you want to optimize faster at the possible expense of other processes that may be running concurrently, set the slider to a higher priority. If you do not want Speed Disk to optimize before other processes run, you can minimize the effect of background optimization by adjusting the Priority setting.

To set Global Options

  1. On the left side of the main window, click Norton Utilities > Optimize Performance.
  2. Click Speed Disk.
  3. On the View menu, click Global Options.
  4. Click Next.
  5. On the Settings tab, do any of the following:
    • Move the Priority slider to Low or High.
    • Move the Memory Usage slider to Low or High.
  6. When you have finished making changes, click Apply.

Set Event Log options

You can select numerous events and event types to be written to the Event Log. For example, you could specify the logging of an event when optimization started and when it stopped. You can set a corresponding alert to notify you when the event occurs.

To specify events to log and what alerts to display

  1. On the Event Logging tab, select an event type.
    To disable event logging and prevent alerts, check Disable all events.
  2. Select an event, then click Modify.
  3. In The Event Type dialog box, make the changes you want.
  4. Click OK.
  5. When you have finished making changes, click Apply.
  6. Click OK to close the Global Options dialog box.


Customize optimization map colors

Customize optimization map colors copyright 2004 Symantec

You can customize the colors that appear on disk optimization maps (and in Windows 2000/XP, in Analysis charts) by changing the Legend colors. The changes you make apply to all charts and drive maps.

To customize drive map colors in Windows 2000/XP

  1. On the left side of the main window, click Norton Utilities > Optimize Performance.
  2. Click Speed Disk.
  3. In the Select a View pane, select one of the following:
    • Optimization Map
    • Analysis
  4. Click any color in the Legend.
  5. In the Color dialog box, select a color from the basic colors display.
  6. If you want to create a color, in the Color dialog box, click Custom Color and create the color.
  7. Click OK.

To customize drive map colors in Windows 98/Me

  1. On the left side of the main window, click Norton Utilities > Optimize Performance.
  2. Click Speed Disk.
  3. In the Speed Disk main window, if the disk map isn't open, click Show Map.
  4. Click Legend.
  5. Click any color in the Legend.
  6. In the Color dialog box, select a color from the basic colors display.
  7. If you want to create a color, in the Color dialog box, click Define Custom Color and create the color.
  8. Click OK.


Schedule optimization

Schedule optimization copyright 2004 Symantec

In Windows 2000/XP, in addition to scheduling times for disk optimization, Speed Disk Schedule Options let you select a fragmentation threshold. When the selected disk reaches the specified degree of fragmentation, Speed Disk automatically optimizes it. You can select Auto Threshold or enter a percentage. The default fragmentation percentage threshold is determined by the disk's fragmentation level and is managed by the Auto Threshold feature.

For example, if you set the fragmentation threshold to 5% (within the recommended range), Speed Disk begins optimizing in the background when the level reaches 5%.

The threshold setting only applies to disk optimizations that you schedule. The schedule must be enabled for this setting to take effect.

To set an optimization schedule by threshold in Windows 2000/XP

  1. In the Speed Disk main window, in the Select a View pane, click Schedule Options.
  2. Check Enable Schedule.
  3. Check Optimize Based On Threshold.
    Auto Threshold is enabled by default, which causes Speed Disk to optimize the selected disk when fragmentation goes over an amount that is determined by the disk characteristics.
  4. To specify another threshold, check Only Optimize Drive If Fragmentation Exceeds:, then type a percentage value.
    The recommended percentage is between 2% and 5%. This ensures that Speed Disk optimizes the disk when the fragmentation percentage reaches the level that you specify at the scheduled time.
  5. Click Apply.


Optimize registry and swap files

Optimize registry and swap files copyright 2004 Symantec

Windows creates a special file on your disk called a swap file (also called a paging file). This file is used to create additional memory so that your Windows programs can make maximum use of available system resources. The size of the file changes dynamically in response to demand for memory space. This can cause significant fragmentation of the file, which in turn reduces performance.

Another Windows component that can affect system performance is the Windows registry. The registry is a dynamic database of configuration settings for the operating system and applications. Over time, the internal structure of this database can become disordered. This disorder can also affect system performance.


About the Windows swap file

About the Windows swap file copyright 2004 Symantec

The swap file is vital to Windows performance. Windows uses this file for temporary data storage, which frees up more of the faster physical memory (RAM) for applications. The swap file grows and shrinks dynamically to meet changing system conditions.

Because the swap file changes continuously, it can become fragmented quickly. When the swap file is fragmented, Windows performance suffers. By default, Speed Disk defragments and optimizes the swap file to help maintain optimal Windows performance.

If the swap file is located in the midst of other changing files on the disk, its high rate of fragmentation can result in the other files becoming more fragmented than they otherwise would. To minimize the fragmentation that can result from frequent swap file changes, Speed Disk normally places the swap file last on the disk, after the other files and before the consolidated free space. This speeds future optimizations.

Specifying a minimum size for the swap file causes Windows to reserve space on the disk for it. This can keep the size of the swap file relatively stable. If you have specified a minimum size for the swap file, Speed Disk places it first on the disk for optimal Windows and application performance.


About the Windows registry

About the Windows registry copyright 2004 Symantec

The registry is a large database used by Windows and other applications to store hardware and software configuration information. Information is continually written to and deleted from the registry during the course of everyday computer use.

When data is deleted from the registry, the space that was occupied by the data is not always immediately reused. Such leftover space in the registry can prevent data from being stored efficiently, and can cause the registry to take up more space in memory and on disk than is absolutely necessary.


Optimize the registry and swap file in Windows 98/Me

Optimize the registry and swap file in Windows 98/Me copyright 2004 Symantec

Norton Optimization Wizard sets a minimum swap file size to reduce file fragmentation, and reorganizes the Windows registry data for efficient storage and retrieval.

Close all programs before you run Norton Optimization Wizard. If a program attempts to alter the registry while Norton Optimization Wizard is optimizing it, the settings that it is attempting to save are lost. Also, do not empty the Recycle Bin or change Windows settings during registry optimization.

To optimize your registry and swap file in Windows 98/Me

  1. On the left side of the main window, click Norton Utilities > Optimize Performance.
  2. Click Norton Optimization Wizard.
  3. Click Next.
    Norton Optimization Wizard checks your swap file and ensures that it is on the fastest available disk.
  4. In the Optimize your Swap File pane, check Configure Swap File for optimal performance, then click Next.
    Norton Optimization Wizard offers to optimize your registry.
  5. Check Optimize my Registry, then click Next.
    Norton Optimization Wizard summarizes the choices that you have made and warns you that you must restart your computer to complete the optimization process.
  6. Close any other programs that are running, then click Reboot.
    Norton Optimization Wizard implements your choices and restarts your computer.


Run Speed Disk from the command line

Run Speed Disk from the command line copyright 2004 Symantec

You can run Speed Disk from the command line, from a console window, or a DOS window, or by clicking Run on the Start menu and typing a command using the command-line syntax. Whatever options you use when you run Speed Disk from the command line override any other options that you previously selected while running Speed Disk in any version of Windows.


Windows 98/Me command-line syntax

Windows 98/Me command-line syntax copyright 2004 Symantec

For Windows 98/Me, use the following syntax:

SD32 [drive:]...[/F | /U | /Q]

The following options can be entered in any order:

drive | Optimizes the specified drives. Each drive letter that is specified must be followed by a colon. This option overrides any that were previously selected in Speed Disk.
/F | Full optimization.
/U | Defragment files only.
/Q | Quick defragmentation of free space only.

For example, to start Speed Disk from the command line so that it performs a quick optimization of drive E, you type:

SD32 E: /Q


Windows 2000/XP command-line syntax

Windows 2000/XP command-line syntax copyright 2004 Symantec

For Windows 2000/XP, use the following syntax:

sdntc -drive=<drive letter>:

The following options can be entered in any order:

-drive | Specifies the drives to be optimized.
-auto | Causes Speed Disk to start optimizing.

For example, to start Speed Disk from the command line and automatically optimize drive C, you would type:

sdntc -drive=c: -auto


Creating images of your hard disks

Creating images of your hard disks copyright 2004 Symantec

Available in Windows 98/Me, the Image utility saves disk file location information (boot record, file allocation tables, and root directory) in a file that is used by the UnErase Wizard in Norton Utilities for Windows 98/Me, and by the DOS-based UnFormat and UnErase programs on Emergency Disks. Even if you use the DOS Format command to format a drive, the Image information is still usable by UnFormat and UnErase.

Image is not designed as a backup utility to save files. The information that is saved by Image is useful in cases where you have recently deleted a file, formatted the hard drive, or experienced some other form of hard drive corruption.


About Image

About Image copyright 2004 Symantec

Image saves your disk's boot record, file allocation tables, and root information to an image data file named IMAGE.DAT. It also creates an image backup file that you can use if your current image file is damaged. Without a disk's image, reconstructing deleted files can be difficult, especially if the files are heavily fragmented. Using Image provides peace-of-mind data protection and ensures the best chance of a full recovery.

Every time that you add, modify, delete, or move files or folders that are stored on your hard disk, the file location information on the disk changes. You should run Image on a regular basis to keep IMAGE.DAT up-to-date. If you have multiple hard disks or disk partitions, create an image file for each one.

Although you can run Image from a network, you cannot image a network drive.

Speed Disk, which defragments files as it optimizes your disks, automatically creates or updates each disk's image. You don't need to image a disk immediately after you run Speed Disk.

The Image sensor in Norton System Doctor keeps track of how recently Image was run and it can be configured to run Image automatically at regular intervals.


About Image file types

About Image file types copyright 2004 Symantec

Image creates three types of files:

IMAGE.BAK

By default, Image creates an image backup file named IMAGE.BAK for every disk that is imaged. Before a new disk image is created, the existing IMAGE.DAT (if there is one) is renamed to IMAGE.BAK. IMAGE.BAK is a read-only file to ensure that it is protected from accidental deletion.

IMAGE.BAK is an important insurance policy against imaging a damaged disk. If you image a damaged disk and, as a result, bad data is stored in IMAGE.DAT, the IMAGE.BAK file can be used to recover the previous image.

In rare instances, such as when disk space is extremely limited, you may need to disable the creation of an image backup file to image a disk.

IMAGE.DAT

A disk's image is stored in a file called IMAGE.DAT. This file contains the disk's current boot record, file allocation tables (FATs), and root data. IMAGE.DAT is a read-only file to ensure that it is protected from accidental deletion.

IMAGE.IDX

IMAGE.IDX stores the locations of the IMAGE.DAT and IMAGE.BAK files. It is stored on the last available disk cluster. The IMAGE.IDX file is both hidden and read-only to ensure that it is protected from accidental deletion.


When you should not use Image

When you should not use Image copyright 2004 Symantec

You should never image a disk if you suspect the boot records, file allocation tables (FATs), or root information is damaged. Imaging a disk with damaged information does not cause immediate problems but if the image is used to recover erased files, the recovered files may have errors or be unusable.

If you have imaged a damaged disk, do not image the disk a second time. The second image is unlikely to improve the chances of using the image to recover any data.

Do not use Image immediately after you make repairs with Norton Disk Doctor or after you restart Windows from a failed session. Always make sure that Windows is fully functional before you image any disk. If you need to use a disk image that was created when the disk had potentially unstable files, you might reinstate conditions that could make your disk more unstable.

If you image a damaged disk


Create images of your disks

Create images of your disks copyright 2004 Symantec

You can image a disk from the Norton SystemWorks main window. You can also set an option so that Image updates every time that Windows starts.

You cannot image removable disks, such as floppy disks, automatically when Windows starts.

Whenever Image creates a disk image, it also creates a corresponding backup file. If you inadvertently image a damaged disk, the image backup file can be used to recover the previous image.

To start Image

  1. In the Norton SystemWorks main window, click Norton Utilities > System Maintenance.
  2. Click Image.

To image a disk

  1. Start Image.
  2. In the list, check the drives you want to image.
  3. Click Image.

To image a disk whenever Windows starts

  1. Start Image.
  2. In the Image dialog box, click Options.
  3. In the Options dialog box, check Start Automatically With Windows.
  4. In the Drives to Image list, check the drives that you want to image when Windows starts.
  5. If you want to make a backup file for drives that are imaged, click Create Image Backup File.
  6. Click OK.


Start Image from the command line

Start Image from the command line copyright 2004 Symantec

You can run Image from the command line. For example, if you want to incorporate an Image command into a script, you can use the command-line options.

To start Image from the command line

  1. On the Windows taskbar, click Start > Run.
  2. Use the following syntax at the command line:
    IMAGE32 [drive:]...[/NOBACKUP][/OUT | /Q]

    drive:

    Saves disk information for the specified drives. Each drive letter that is specified must be followed by a colon. This option overrides those that may have been previously chosen in Image.

    /NOBACKUP

    Prevents the current IMAGE.DAT file from being renamed IMAGE.BAK. You should not use this option unless disk space is limited.

    /OUT
    /Q

    Runs Image minimized for the specified drives, and then quits.

    3. The options may be typed in any order. For example, to run Image minimized and save information for the C and E drives, you would type:

    IMAGE32 C: E: /OUT


If you image a damaged disk

If you image a damaged disk copyright 2004 Symantec

If you image a damaged disk, your IMAGE.DAT file will contain bad data; do not image the disk again. The IMAGE.BAK file contains data from the previous IMAGE.DAT file, which may still be recoverable.

The IMAGE.DAT and IMAGE.BAK files are read-only files that cannot normally be renamed or edited. Before you can rename them, you must clear their read-only attributes in Windows Explorer or DOS.

To clear the read-only attribute from a file using Windows

  1. Right-click the file whose read-only attribute you want to clear, then, on the context menu, click Properties.
  2. Uncheck Read-Only.

To clear the read-only attribute from the command prompt

  1. At the command prompt, type ATTRIB -R filename.
    filename is the name of the file whose read-only attribute you want to clear.
  2. Press Enter.

To rename the backup of a damaged disk

  1. Clear the Read-Only attribute from IMAGE.BAK and IMAGE.DAT.
  2. Rename the IMAGE.DAT file, or move it to a different folder.
  3. Rename IMAGE.BAK to IMAGE.DAT.
  4. Start Norton Disk Doctor.
  5. In the Norton Disk Doctor dialog box, select the damaged disk, then click Diagnose.
    Norton Disk Doctor will identify any problems that it finds.
  6. Fix any problems that Norton Disk Doctor finds.
  7. Check the disk for missing files.
  8. If files are missing, use UnErase Wizard.
    9.


Monitor your computer's health

Monitor your computer's health copyright 2004 Symantec

Norton System Doctor continuously monitors your computer to keep it free of problems and running at peak efficiency. It alerts you immediately when conditions require attention and fixes many problems automatically, without interrupting you.

The Norton System Doctor main window contains a panel of sensors that monitor many aspects of your computer, including the disks, memory, CPU, and network. Norton System Doctor sensors include alarms that alert you to critical conditions that require attention. The sensors also provide information that helps you to fine-tune your computer's performance.

While the default settings are ideal for most users, Norton System Doctor is completely customizable.

See "Add or remove sensors" on page 42.
See "Set Norton System Doctor startup options" on page 48.


Types of sensors in Norton System Doctor

Types of sensors in Norton System Doctor copyright 2004 Symantec

The Norton System Doctor sensors fall into several categories.

Sensor category | For more information
Memory sensors | Types of memory sensors
Disk sensors | Types of disk sensors
System sensors | Types of system sensors
Internet/network sensors | Types of Internet and network sensors
Performance sensors | Types of performance sensors
Information sensors | Types of information sensors

Norton System Doctor features are different depending on whether you are running in Windows 98/Me or Windows 2000/XP.


Types of memory sensors

Types of memory sensors copyright 2004 Symantec

Norton System Doctor includes a number of sensors that are related to memory usage. The memory sensors let you monitor memory usage in real time. As you open, use, and close applications, you can see the effect on memory availability. You can isolate the applications, or the operations within those applications, that consume large amounts of memory. There are several memory sensors.

Memory sensor | 98/Me | 2000/XP
DOS Memory About the DOS Memory sensor | X |
GDI Resources About the GDI Resources sensor | X |
Memory Load About the Memory Load sensor | X |
Physical Memory About the Physical Memory sensor | X | X
Selectors (16-bit) About the Selectors (16-bit) sensor | X |
Swap File Size About the Swap File Size sensor | X |
Swap File Utilization About the Swap File Utilization sensor | X |
Paging File Size About the Paging File Size sensor |  | X
Paging File Utilization About the Paging File Utilization sensor |  | X
USER Resources About the USER Resources sensor | X |
Virtual Memory About the Virtual Memory sensor | X |
Commit Memory About the Commit Memory sensor |  | X


About the DOS Memory sensor

About the DOS Memory sensor copyright 2004 Symantec

The DOS Memory sensor monitors the availability of conventional memory on your computer.

Windows loads any real-mode, DOS-based device drivers into the DOS memory region. The CONFIG.SYS and AUTOEXEC.BAT files specify the real-mode drivers to be loaded. Some applications that are designed to run under Windows 3.x also must use the DOS memory region, and real-mode drivers reduce the amount of memory that is available to such applications.

DOS memory is not the same as the memory that is available when you use Windows to open a DOS window. Some older 16-bit programs can use only DOS memory. The DOS Memory sensor reports the amount of memory that is available for these programs.

Windows replaces most real-mode drivers with new virtual device drivers, so your system may not use any real-mode drivers. The CONFIG.SYS and AUTOEXEC.BAT files are necessary only if you need to load real-mode drivers or set parameters for DOS windows, such as the look of the DOS prompt.


About the GDI Resources sensor

About the GDI Resources sensor copyright 2004 Symantec

The GDI Resources sensor measures the usage of Windows Graphics Device Interface (GDI) memory resources.

To run applications, Windows requires free GDI memory resources, USER resources, and (for Windows 3.x applications) selectors. Low levels of these resources can prevent you from running programs, and will cause Windows out-of-memory errors. When GDI resources are low, you should close any unnecessary applications to free some memory.

Compared to Windows 3.x, later versions of Windows greatly expand and enhance GDI resources, in part by providing some of the most memory-intensive operating system operations through new, 32-bit code. For example, spooling, printing, font-drawing, and many graphics operations now use 32-bit code.

However, some GDI resources continue to be provided through the older, 16-bit code. Although this older code ensures compatibility for applications that are designed to run under Windows 3.x, it also retains a number of the limitations of the older operating system. Because every window and dialog box that gets displayed requires GDI resources, they are still somewhat limited, especially if you run many 16-bit applications.

GDI Resources sensor's context menu, you can open System Information to get details about your computer's memory usage.


About the Memory Load sensor

About the Memory Load sensor copyright 2004 Symantec

The Memory Load sensor reports computer memory usage by monitoring how much memory has been committed to running applications.

When all of the physical memory (RAM) has been committed, Windows can continue to open applications by committing virtual memory from the swap file. However, applications run faster when they are entirely resident in RAM, rather than partially swapped to disk-based virtual memory.

When the sensor reports a 50% memory load, all RAM has been committed. Subsequent memory commitment requires swapping data between RAM and virtual memory, which can slow computer operations.

When the Memory Load sensor indicates a high memory load, you should close some applications.


About the Physical Memory sensor

About the Physical Memory sensor copyright 2004 Symantec

The Physical Memory sensor monitors the usage of your computer's physical memory (RAM). Applications run faster when they are using physical rather than virtual memory.

Windows uses much of the available RAM as a disk cache, so this sensor generally shows only a small amount of RAM free. Windows changes the size of the cache dynamically, however, to free RAM as needed for other applications.

On the Physical Memory sensor's context menu, you can open System Information to get more details about your computer's current memory usage.


About the Selectors (16-bit) sensor

About the Selectors (16-bit) sensor copyright 2004 Symantec

The Selectors (16-bit) sensor reports on the usage of selectors, which 16-bit applications and processes require for memory management.

A total of 819 selectors are available under Windows. Some applications use hundreds of selectors. When no selectors are available, out of memory errors result, and you cannot open more 16-bit applications. When the alarm is triggered, you should close any unnecessary applications.

Because they manage memory in a fundamentally different way, 32-bit applications do not use selectors.


About the Swap File Size sensor

About the Swap File Size sensor copyright 2004 Symantec

The Swap File Size sensor shows the amount of disk space that is currently reserved for use by the Windows swap file. By default, Windows dynamically enlarges and reduces this space according to the demands of the system.

The sensor can display the swap file size in megabytes, kilobytes, bytes, or as a percentage of the available free disk space. On the Swap File Size sensor's context menu, you can open System Information to get more details about your computer's current memory usage.

You can designate that a different drive be used for the swap file, or specify the swap file minimum and maximum sizes, by changing the Performance Options settings in your computer's System Properties dialog box.


About the Swap File Utilization sensor

About the Swap File Utilization sensor copyright 2004 Symantec

The Swap File Utilization sensor shows how much of the space that is reserved for the Windows swap file is currently in use for temporary data storage. The swap file is used by Windows to manage virtual memory. By default, Windows continuously adjusts the space that is reserved for the swap file according to the demands of the system. The Swap File Utilization sensor shows you how efficiently those demands are being met.

Applications run faster when they are entirely resident in RAM, rather than partially swapped out to virtual memory. However, the virtual memory that is provided by the swap file enables your computer to run more programs simultaneously than the installed physical memory (RAM) would otherwise allow. Swapping data to the disk also allows the computer to run programs that require a large amount of memory.

The sensor can display swap file utilization in megabytes, kilobytes, bytes, or as a percentage of the total space that is reserved for the swap file. On the Swap File Utilization sensor's context menu, you can open System Information to get more details about your computer's current memory usage.

You can designate that a different drive be used for the swap file, or control the swap file minimum and maximum sizes by changing the Performance Options settings in your computer's System Properties dialog box.


About the Paging File Size sensor

About the Paging File Size sensor copyright 2004 Symantec

The Paging File Size sensor shows the amount of disk space that is currently reserved for use by the Windows paging file. By default, Windows dynamically enlarges and reduces this space according to the demands of the system.

The sensor can display the paging file size in megabytes, kilobytes, bytes, or as a percentage of the available free disk space. On the Paging File Size sensor's context menu, you can open System Information to get more details about your computer's current memory usage.

You can assign the paging file to a different drive and specify a minimum and maximum sizes for the paging file by changing the Performance Options settings in your computer's System Properties dialog box.


About the Paging File Utilization sensor

About the Paging File Utilization sensor copyright 2004 Symantec

The Paging File Utilization sensor shows how much of the space that is reserved for the Windows paging file is currently in use for temporary data storage. The swap file is used by Windows to manage virtual memory. By default, Windows continuously adjusts the space that is reserved for the swap file according to the demands of the system. The Paging File Utilization sensor shows you how efficiently those demands are being met.

Applications run faster when they are entirely resident in RAM rather than partially swapped out to virtual memory. However, the virtual memory that is provided by the swap file enables your computer to run more programs simultaneously than the installed physical memory (RAM) would otherwise allow. Swapping data to the disk also allows the computer to run programs that require a large amount of memory.

This sensor can display swap file utilization in megabytes, kilobytes, bytes, or as a percentage of the total space that is reserved for the swap file. On the Paging File Utilization sensor's context menu, you can open System Information to get more details about your computer's current memory usage.


About the USER Resources sensor

About the USER Resources sensor copyright 2004 Symantec

The USER Resources sensor measures the usage of Windows USER resources.

In order to run applications, Windows requires free USER memory resources, GDI resources, and (for Windows 3.x applications) selectors. When these resources are exhausted, additional applications cannot be opened and you receive out-of-memory errors. When USER resources are low, you should close any unnecessary applications to free some memory.

Compared to Windows 3.x, later versions of Windows increase the availability of USER resources, in part by providing some of those resources through new, 32-bit code. However, many USER resources continue to be provided through the older, 16-bit code. Although this older code ensures compatibility for applications that are designed to run under Windows 3.x, it also retains a number of the limitations of the older operating system. Because every window and dialog box that gets displayed requires USER resources, they are still somewhat limited, especially if you run many 16-bit applications.

On the USER Resources sensor's context menu, you can open System Information to get details about your computer's memory usage.


About the Virtual Memory sensor

About the Virtual Memory sensor copyright 2004 Symantec

The Virtual Memory sensor reports the amount of disk space that is available for use as virtual memory. Potential virtual memory includes any free space on the disk, plus the space in the swap file that is not currently in use for temporary data storage.

Virtual memory enables your computer to run more applications simultaneously than the installed physical memory (RAM) would otherwise allow. Swapping data from RAM to the disk also allows the computer to run programs that require a large amount of memory. When virtual memory gets low, computer performance deteriorates, running programs may not work properly, and you may not be able to start any new ones. The Virtual Memory sensor can help you optimize your computer's performance and make upgrade decisions.

When potential virtual memory space is low, you can increase it by making more space available on the disk that contains the swap file, or moving the swap file to another local hard disk that has more space available.

Norton CleanSweep helps you free space on a disk by finding unnecessary files and deleting, moving, or compressing them.

By default, the sensor shows the megabytes that are available for virtual memory. You can set the sensor scale to other units. You can also configure this sensor to show the amount of virtual memory that is currently in use for temporary data storage rather than the amount that is available.

On the Virtual Memory sensor's context menu, you can open System Information to get details about your computer's memory usage.


About the Commit Memory sensor

About the Commit Memory sensor copyright 2004 Symantec

The Commit Memory sensor reports the amount of disk space that is available to use as virtual memory. Potential virtual memory includes any free space on the disk, plus the space in the paging file that is not currently in use for temporary data storage.

Virtual memory enables your computer to run more applications simultaneously than the installed physical memory (RAM) would otherwise allow. Swapping data from RAM to the disk also allows the computer to run programs that require a larger amount of memory. When virtual memory gets low, computer performance deteriorates, running applications may not work properly, and you may not be able to start any new applications. The Commit Memory sensor can help you optimize your computer's performance and make upgrade decisions.

When potential virtual memory space is low, you can increase it by making more space available on the disk that contains the paging file, or by moving the paging file to another local hard disk that has more space available.

By default, the Commit Memory sensor shows the megabytes that are available for virtual memory. You can set the sensor scale to other units. You can also configure this sensor to show the amount of virtual memory that is currently in use for temporary data storage rather than the amount that is available. On the Commit Memory sensor's context menu, you can open System Information to view details about your computer's memory usage.


Types of disk sensors

Types of disk sensors copyright 2004 Symantec

Norton System Doctor includes many sensors to monitor various disk conditions. To monitor several different disks, you can add an individual instance of each sensor. In addition, many of these sensors can be set to monitor all drives simultaneously, and trigger an alarm if any of the drives meets a critical condition. The sensors run in different Windows operating systems.

Disk sensor | 98/Me | 2000/XP
Disk Optimization About the Disk Optimization sensor | X | X
Disk Health About the Disk Health sensor | X |
Image About the Image sensor | X |
Disk Doctor About the Disk Doctor sensor | X |
Disk Slack Space About the Disk Slack Space sensor | X | X
Disk SMART Status About the Disk SMART Status sensor | X | X
Disk Space About the Disk Space sensor | X | X
Disk Doctor Surface Test About the Disk Doctor Surface Test sensor | X |


Monitor specific drives

Monitor specific drives copyright 2004 Symantec

Sensors that monitor drive conditions can be set to monitor any of the local hard drives on your computer. Most can also be set to monitor all local hard drives simultaneously, and alert you when an alarm condition is detected on any of them.

To select a drive to be monitored

  1. In the System Doctor window, right-click the drive-monitoring sensor that you want to set.
  2. Click Properties.
  3. Click the Drive tab.

    4. The Drive tab is not available for all sensors.

  4. Do one of the following:
    • Click Monitor All Local Hard Drives (not available for all sensors).
    • Click Monitor A Particular Drive (not available for all sensors), then select the drive to be monitored.
  5. Click Apply.


About the Disk Optimization sensor

About the Disk Optimization sensor copyright 2004 Symantec

The Disk Optimization sensor monitors the level of disk fragmentation. It can alert you or automatically run Speed Disk to defragment and optimize the disk whenever fragmentation of the used disk space exceeds a critical level.

Fragmentation can impair your computer's performance by slowing access to the disk. The more that you create, modify, copy, or delete files, the more quickly the disk becomes fragmented.

In the Disk Optimization sensor's Properties dialog box, you can configure it to show the percentage of used disk space that is unfragmented. You can also control how frequently the sensor scans a disk and which disk it scans. You can add a separate Disk Optimization sensor for any drive or have a single sensor watch all local drives.

The Disk Optimization and Disk Doctor sensors scan your drives. Norton System Doctor can gather the information that is required by both sensors from a single scan. If you change the scan or rescan intervals for a disk in one sensor's Properties dialog box, the intervals for the other sensor are automatically adjusted to match.


About the Disk Health sensor

About the Disk Health sensor copyright 2004 Symantec

The Disk Health sensor monitors the overall health of local hard disks. It checks several aspects of disk health, including file system and surface integrity, disk image information, and SMART drive status. The sensor alerts you when it detects problems, and in many cases can run the appropriate Norton Utilities program to fix problems automatically.

You can have a single Disk Health sensor monitor all local hard disks with nonremovable media. It will alert you when problems are found on any of the monitored drives.

The Disk Health sensor is not part of the standard set of sensors. You must enable this sensor if you want to monitor disk health. Because the sensor is affected by any disk activity, achieving a result might take significantly longer on larger drives.

On the Measurement tab of the Disk Health sensor's Properties dialog box, you can control how frequently the sensor scans for different disk conditions. The Disk Integrity scan frequency matches the frequency setting for the Disk Doctor and Disk Optimization sensors.

In addition to hard disks, this sensor can monitor high-capacity, removable media, such as Iomega Zip and Jaz drives. However, when a single Disk Health sensor is set to monitor all local hard drives, removable media drives are excluded.


About the Image sensor

About the Image sensor copyright 2004 Symantec

The Image sensor monitors how recently a disk was imaged, and can alert you or run Image automatically after a specified amount of time has elapsed.

Image takes a snapshot of critical disk information for a local disk drive. This information, the disk image, can be used to unformat a disk and can help to unerase files or folders. Run Image frequently to keep the image information current. A red light on the sensor indicates that the time period that is specified in the sensor's alarm properties has expired, and it is time to run Image again.

In addition to hard disks, this sensor can monitor high-capacity, removable media, such as Iomega Zip and Jaz drives.

On the Drive tab of this sensor's Properties dialog box, you can control how frequently the sensor scans a disk and which disk it scans. You can add a separate Image sensor for any drive, or have a single sensor monitor all local hard drives with nonremovable media. (You should not set multiple Image sensors to Monitor All Local Hard Drives, because your computer's performance will be affected.)

Before you change the trigger level of this sensor, consider the type of work you're doing. The more you create, modify, copy, or delete files, the more frequently you should run Image.

More Information

Creating images of your hard disks
 Add or remove sensors
Types of disk sensors
Types of sensors in Norton System Doctor
Monitor specific drives
Customize Norton System Doctor


About the Disk Doctor sensor

About the Disk Doctor sensor copyright 2004 Symantec

The Disk Doctor sensor monitors the logical structures on a local disk drive. It can alert you or automatically run Norton Disk Doctor if problems are detected. In addition to hard disks, this sensor can monitor high-capacity, removable media, such as Iomega Zip and Jaz drives.

The sensor periodically scans the disk and checks for file allocation table errors, cross-linked files, and lost clusters. A red light means significant problems exist, a yellow light means only lost clusters have been detected, and a green light means no problems have been detected.

The Disk Doctor sensor does not check the disk surface, the boot sector, or the partition table. However, if problems are detected, Norton Disk Doctor will perform a complete disk diagnosis, and can repair most problems that it detects. The Disk Doctor Surface Test sensor periodically scans the disk surface for errors.

On the Drive tab of this sensor's Properties dialog box, you can control how frequently the sensor scans a disk and which disk it scans. You can add a separate Disk Doctor sensor for any drive, or have a single sensor monitor all local drives with nonremovable media. (For performance reasons, you should not set multiple Disk Doctor sensors to Monitor All Local Hard Drives.) You can also specify how long the sensor should wait before it rescans if the scan is interrupted because of other system activity.

The Disk Doctor and Disk Optimization sensors scan your drives. Norton System Doctor can gather the information that is required by both sensors from a single scan. If you change the scan or rescan intervals for a disk in one sensor's Properties dialog box, the intervals for the other sensor are automatically adjusted to match.


About the Disk Slack Space sensor

About the Disk Slack Space sensor copyright 2004 Symantec

The Disk Slack Space sensor shows the amount of slack space on a disk. The operating system allocates (reserves) space for files in discrete chunks called clusters. Most files, however, occupy less physical space on the disk than the operating system has reserved. Slack is the excess space that is allocated for a file, which is left over space in the last cluster of a file that remains unoccupied by file data. Once a cluster has been allocated to a particular file, it cannot be used for any other purpose, so the slack space is essentially wasted space.

The FAT32 file system uses smaller cluster sizes to help minimize disk slack space.


About the Disk SMART Status sensor

About the Disk SMART Status sensor copyright 2004 Symantec

The Disk SMART Status sensor warns you of imminent disk hardware failures, which allows you to back up files and replace the disk drive before you lose valuable data.

Self-Monitoring, Analysis, and Reporting Technology (SMART) is built in to newer IDE hard drives. It allows these drives to monitor their own operations and predict most drive hardware failures before they occur. The Disk SMART Status sensor works together with SMART drives to alert you to these conditions.

This sensor only supports SMART-compatible drives.


About the Disk Space sensor

About the Disk Space sensor copyright 2004 Symantec

The Disk Space sensor monitors the free space on local or network hard disks. The sensor can help you anticipate low disk space conditions so that you don't run out of disk space while you run applications or create or copy files. On the Disk Space sensor's context menu, you can open System Information to get additional details about the disks and disk usage.

In addition to hard disks, this sensor can monitor high-capacity, removable media, such as Iomega Zip and Jaz drives. If you're a network administrator, you can use Disk Space sensors to track usage of network drives.

Before you change the alarm's trigger level, consider the type of work that you're doing and the amount of disk space that is currently available. For example, multimedia and graphics applications, large databases, and large documents can consume large amounts of disk space quickly.

On the Drive tab of this sensor's Properties dialog box, you can control how frequently the sensor scans a disk and which disk it scans. You can add a separate Disk Space sensor for any drive. You can also configure the sensor to display the amount of used, rather than free, disk space.


About the Disk Doctor Surface Test sensor

About the Disk Doctor Surface Test sensor copyright 2004 Symantec

The Disk Doctor Surface Test sensor periodically scans the surface of a local (nonnetwork) hard disk. It can alert you or automatically run Norton Disk Doctor if a surface problem is detected. The bar on the sensor face indicates the progress of the current surface scan. The Disk Doctor Surface Test sensor can help you prevent problems that would result from disk failures.

The Disk Doctor Surface Test sensor scans during idle time to minimize the effects on system responsiveness. After other system activity interrupts a scan, the sensor later resumes the scan at the location where the interruption occurred.

On the Drive tab of this sensor's Properties dialog box, you can control how frequently the sensor scans a disk and which disk it scans. You can add a separate Disk Doctor Surface Test sensor for any drive, or have a single sensor watch all local drives with nonremovable media. (For performance reasons, you should not set multiple Disk Doctor Surface Test sensors to Monitor All Local Hard Drives.) You can also specify how long the sensor should wait before it rescans if the scan is interrupted because of other system activity.

In addition to hard disks, this sensor can monitor high-capacity, removable media, such as Iomega's Zip and Jaz drives. Network administrators can use Disk Doctor Surface Test sensors to track usage of network drives. The Disk Doctor Surface Test sensor cannot monitor floppy disks.


Types of system sensors

Types of system sensors copyright 2004 Symantec

Norton System Doctor includes several sensors that monitor the performance of your system.

System sensor | 98/Me | 2000/XP
Battery Power About the Battery Power sensor | X | X
CPU Usage About the CPU Usage sensor | X | X
Open Files About the Open Files sensor | X |
Threads About the Threads sensor | X | X
WinDoctor About the WinDoctor sensor | X | X
Users Connected About the Users Connected sensor |  | X


About the Battery Power sensor

About the Battery Power sensor copyright 2004 Symantec

The Battery Power sensor monitors the charge that remains in a portable computer's battery. Over time, this sensor can help you get an idea of how your portable computer consumes power and how often you need to recharge the battery. Always check the charge level before you start an operation that consumes a lot of power (any operation that involves long or frequent accesses to a drive).

Before you change the alarm trigger level, consider the type of work you're doing, your previous experience with the frequency of recharges, and the age of the battery.

The Battery Power sensor requires your computer's battery power source to be compliant with Microsoft's Power Management API. If your computer is not using a battery as its power source, this sensor displays AC Power.

Disable Advanced Power Management

Advanced Power Management (APM) is supported by some systems and allows them to better manage their energy use. APM is especially useful for portable computers, where battery life is a concern.

For desktop computers, APM aids energy conservation but causes CPU usage to be higher than it otherwise would. To take some of the load off of a desktop system's CPU, disable your computer's APM.

You should not disable APM for portable computers.

To disable Advanced Power Management

  1. On the Windows taskbar, click Start > Settings > Control Panel.
  2. In the System Properties window, do one of the following:
    • In Windows 2000/XP, on the Hardware tab, click Device Manager.
    • In Windows 98/Me, click the Device Manager tab.
  3. Next to System Devices, click the plus sign.
  4. Double-click Advanced Power Management Support.
    If you don't see a listing for Advanced Power Management Support, your computer does not support APM.
  5. On the Settings tab, uncheck Enable Power Management Support.
  6. Click Apply.
  7. Click OK.


About the CPU Usage sensor

About the CPU Usage sensor copyright 2004 Symantec

The CPU Usage sensor measures how much time your computer's CPU spends executing instructions versus the time it spends idle.

If the CPU usage is always high, an application or other process may be using resources inefficiently, or you may have too many applications running simultaneously. This sensor can help you monitor your computer's performance, troubleshoot problems, and analyze the performance of particular applications and processes.

It is fairly common for the CPU usage to jump to 100% during some operations, such as loading programs and some CPU-intensive CAD and spreadsheet operations. Using Windows Advanced Power Management feature or certain 16-bit device drivers that are loaded from CONFIG.SYS or AUTOEXEC.BAT can prevent the CPU usage from ever falling to a low value.

You can configure the CPU Usage sensor to display the percentage of time that the CPU is either used or free. On the CPU Usage sensor's context menu, you can open System Information to get additional information about the CPU or to benchmark the system.


About the Open Files sensor

About the Open Files sensor copyright 2004 Symantec

The Open Files sensor monitors the number of files that are currently open on a local or network hard disk. Windows applications and processes open files during normal execution. Windows imposes no limit on the number of files that can be open simultaneously. However, a large number of open files can degrade system performance.

This sensor can help you analyze the performance of your computer as well as particular applications (especially database applications since they often open many files). For example, a large number of open files might explain poor disk cache performance.

To monitor open files on several disks, add a separate sensor for each.


About the Threads sensor

About the Threads sensor copyright 2004 Symantec

The Threads sensor monitors the number of threads that are currently running on your computer.

The 32-bit portions of the operating system and other 32-bit applications, can break their execution into separate tasks or threads. This takes maximum advantage of the CPU's available resources because multithreaded applications can be faster and more responsive. For example, a multithreaded application can give you the option of canceling a long operation (such as opening a large document) or switching to another task while the operation is under way. Multithreaded applications can also create one thread for a high-priority operation (such as responding to keyboard or mouse input) and lower-priority threads for background operations (such as repaginating a document or preparing it for printing). However, having too many threads running concurrently can waste memory and degrade system performance.

The Threads sensor can help you analyze the performance of your computer and evaluate how effectively 32-bit applications use multithreading. Before you change the alarm trigger level for this sensor, determine an appropriate level by considering the type of work you're doing and the amount of memory that is typically available. For example, if you have a number of 32-bit applications open at one time, your normal threads usage can be quite high.


About the WinDoctor sensor

About the WinDoctor sensor copyright 2004 Symantec

The WinDoctor sensor uses Norton WinDoctor to periodically scan your system for the most common types of Windows problems. If problems are detected, the sensor can alert you or open Norton WinDoctor to repair the problems.

You should not add multiple WinDoctor sensors to the Norton System Doctor sensor panel. The duplicate activity could impair your computer's performance significantly.


About the Users Connected sensor

About the Users Connected sensor copyright 2004 Symantec

The Users Connected sensor monitors the number of network users that are currently connected to your computer. Windows imposes no limit on the number of users that can be connected simultaneously. However, a large number of active users can degrade system performance.

This sensor can help you analyze the performance of your computer: for example, a large number of connected users might explain poor disk cache performance.


Types of Internet and network sensors

Types of Internet and network sensors copyright 2004 Symantec

Norton System Doctor includes several sensors that monitor your network connections.

Internet and network sensor | 98/Me | 2000/XP
Internet Packet Turnaround About the Internet Packet Turnaround sensor | X | X
Internet Speedometer About the Internet Speedometer sensor | X | X
Network Reads Throughput (IPX) About the Network Reads Throughput (IPX) sensor | X | X
Network Writes Throughput (IPX) About the Network Writes Throughput (IPX) sensor | X | X


About the Internet Packet Turnaround sensor

About the Internet Packet Turnaround sensor copyright 2004 Symantec

The Internet Packet Turnaround sensor shows the speed of Internet packet transmission between your computer and an Internet site of your choice. The sensor sends a signal to the Internet site and notes how long it takes to receive a response. A lower millisecond value for this sensor means a faster turnaround time and faster communication between this computer and the selected site.

If you enable this sensor's alarm, it will notify you when Internet communications between this computer and the specified site are acceptably fast.

On the Site tab of the sensor's Properties window, you can specify the Internet site (host name or IP address) that this sensor monitors. To monitor more than one site, add multiple Internet Packet Turnaround sensors.


About the Internet Speedometer sensor

About the Internet Speedometer sensor copyright 2004 Symantec

The Internet Speedometer sensor shows the speed of your Internet connection to the host site of your choice. The sensor sends a signal to the Internet site, and notes how long it takes to receive a response. A higher millisecond value for this sensor means slower Internet response time between this computer and the selected site.

This sensor's alarm can notify you when transmission speeds to the site become unacceptably slow.

On the Site tab of the sensor's Properties window, you can specify the Internet site (host name or IP address) that this sensor monitors. To monitor more than one site, add multiple Internet Packet Turnaround sensors.


About the Network Reads Throughput (IPX) sensor

About the Network Reads Throughput (IPX) sensor copyright 2004 Symantec

The Network Reads Throughput (IPX) sensor measures the speed at which your system reads data from a Novell NetWare network. The sensor can help you evaluate the performance of your network card and other network hardware.

On the Network Reads Throughput (IPX) sensor's context menu, you can open System Information to get additional network information.


About the Network Writes Throughput (IPX) sensor

About the Network Writes Throughput (IPX) sensor copyright 2004 Symantec

The Network Writes Throughput (IPX) sensor measures the speed with which your system writes data to a Novell NetWare network drive. The sensor can help you evaluate the performance of your network card and other network hardware.

On the Network Writes Throughput (IPX) sensor's context menu, you can open System Information to get additional network information.


Types of performance sensors

Types of performance sensors copyright 2004 Symantec

Norton System Doctor includes sensors that can monitor the performance of your disk cache and various Windows performance statistics. The cache sensors can help you fine-tune your computer, analyze the performance of its disk cache, and make upgrade decisions. The Windows Performance Stats sensors let you use Windows' own record keeping functions to follow the performance of various aspects of your system. There are several Windows Performance Stats sensors.

Performance sensor | 98/Me | 2000/XP
Cache Hits About the Cache Hits sensor | X | X
Cache Memory Utilization About the Cache Memory Utilization sensor | X | X
Disk Throughput About the Disk Throughput sensor | X | X
Windows Performance Stats About Windows Performance Stats sensors | X |
Performance Data About the Performance Data sensors |  | X


About the Cache Hits sensor

About the Cache Hits sensor copyright 2004 Symantec

The Cache Hits sensor monitors how much of the data that is required by applications is found in the disk cache. Every cache hit indicates that requested data was found in the cache. A cache miss means that the data had to be retrieved from the disk. Because the cache is part of RAM, data can be accessed much more quickly from the cache than from the hard disk.

If your computer requested data from the disk 10,000 times and 7,500 of those times the data was available from the cache, the cache hit rate would be 75%. Many computers can achieve a cache hit rate of 99%.

A small value for cache hits can indicate one or more of the following conditions:

  • A large number of processes accessing data at the same time.
  • Small disk cache. The size of the disk cache is controlled by Windows, and changes dynamically to balance the needs of the system with the amount of RAM installed on your computer. Closing nonessential applications and installing more RAM in the computer can make more memory available to the disk cache.

If you choose to display the cache miss percentage rather than the cache hit percentage, the name of this sensor changes to Cache Misses.


About the Cache Memory Utilization sensor

About the Cache Memory Utilization sensor copyright 2004 Symantec

The Cache Memory Utilization sensor monitors the amount of physical memory (RAM) that is in use for the disk cache.

The disk cache is a portion of RAM that has been set aside by Windows for use as a temporary holding area for data from the disk. Data can be accessed from RAM much more quickly than from disk, so a larger disk cache generally results in better computer performance.

Windows controls the size of the disk cache dynamically, which balances the needs of the system with the amount of RAM that is installed on your computer. Closing nonessential applications and installing more RAM in the computer can make more memory available to the disk cache.

The sensor's measurement can be expressed in megabytes, kilobytes, bytes, or as a percentage of the maximum cache size that the sensor has recorded for your computer. On the Cache Memory Utilization sensor's context menu, you can open System Information to see more details about current memory usage.


About the Disk Throughput sensor

About the Disk Throughput sensor copyright 2004 Symantec

The Disk Throughput sensor measures how quickly your computer handles requests for data that is stored on the disk. Because some of this data will be pre-loaded into the disk cache, the measurement is influenced by both the speed of the system RAM and the speed of disk accesses.

A low disk throughput reading can indicate one or more of the following conditions:

  • A large number of processes are accessing data at the same time.
  • Small disk cache. The size of the disk cache is controlled by Windows, and changes dynamically to balance the needs of the system with the amount of RAM that is installed on your computer. The only way to increase the size of the disk cache is to install more RAM.
  • Highly fragmented data on the disk.
  • Slow disk drive.


About Windows Performance Stats sensors

About Windows Performance Stats sensors copyright 2004 Symantec

The Windows Performance Stats sensors show the various performance statistics that are monitored by Windows. The sensors provide the same information that is reported by the Windows System Monitor program.

You can add multiple sensors to monitor different types of performance data, and view them all together with your other Norton System Doctor sensors. Though some of this information duplicates other Norton System Doctor sensors, Windows Performance Stats sensors do not include sensor alarms.

At minimum, this sensor provides access to the following categories of performance statistics:

File System | Measurements of read and write operations
Kernel | Number of virtual machines that are running, number of threads that are running, and processor usage percentage
Memory Manager | Measurements that relate to the Windows swap file and virtual memory management

Depending on your system, additional categories, such as network, may also be available.

The Items To Monitor tab of this sensor's Properties dialog box lists each category of information that is available, the performance items in each category, and a description of each. It also displays the item titles for the large and small style sensors. You can change these titles.

You can add several Windows Performance Stats sensors to monitor different types of information.

More Information

Item To Monitor tab
 Add or remove sensors
Types of performance sensors
Types of sensors in Norton System Doctor
Monitor Windows performance statistics
Customize Norton System Doctor


Monitor Windows performance statistics

Monitor Windows performance statistics copyright 2004 Symantec

Windows Performance Stats sensors monitor the same information that is provided by the Windows System Monitor program.

To monitor Windows performance statistics

  1. Start Norton System Doctor.
  2. On the Sensor menu, click Performance > Windows Performance Stats.
  3. Select the category and item of information that you want to monitor.
  4. Add a sensor for each type of performance information that you want to monitor.


About the Performance Data sensors

About the Performance Data sensors copyright 2004 Symantec

The Performance Data sensors show the various performance statistics that are monitored by Windows. The sensors provide the same information that is reported by the Windows Performance Monitor program. You can add multiple sensors to monitor different types of performance data, and view them all together with your other Norton System Doctor sensors. Although some of this information duplicates other Norton System Doctor sensors, Performance Data sensors do not include sensor alarms.

This sensor provides performance information about many of your computer's system objects, including the processor, memory, physical disk, and many others.

The Performance Data tab Properties dialog box lists each object for which information is available, the counters in each category, and a description of each. It also displays the item titles for the large and small style sensors. You can change these titles.

You can add multiple Performance Data sensors to monitor different types of information.


Types of information sensors

Types of information sensors copyright 2004 Symantec

Norton System Doctor includes several sensors that help you gather information about your system.

Information sensor | 98/Me | 2000/XP
Current Date and Time About the Current Date and Time sensor | X | X
Norton Protected Files About the Norton Protected Files sensor | X | X
Norton Utilities LiveUpdate About the Norton Utilities LiveUpdate sensor | X | X
Windows Up Time About the Windows Up Time sensor | X | X


About the Current Date and Time sensor

About the Current Date and Time sensor copyright 2004 Symantec

The Current Date and Time sensor shows the date and time. It can provide a convenient reference, especially if Norton System Doctor is configured to remain on top of other windows.

This sensor always shows a calendar format. You can change the font that this sensor and the Windows Up Time sensor use to display the date.


About the Norton Protected Files sensor

About the Norton Protected Files sensor copyright 2004 Symantec

The Norton Protected Files sensor shows the number of files that are currently under Norton Protection. Norton Protection enhances the file recovery capabilities that are offered by the Windows Recycle Bin. Norton Protection lets you recover overwritten files, files that were deleted from a DOS window, and files that were deleted by Windows applications. As long as these files are protected, they can be recovered intact, even after their deletion.

Every time that you change a file and save the changes, the older version of the file is overwritten and lost forever. The standard Windows Recycle Bin cannot recover these files because they were not deleted; they were only modified. By keeping Norton Protection enabled, you can recover these earlier versions of overwritten files.


About the Norton Utilities LiveUpdate sensor

About the Norton Utilities LiveUpdate sensor copyright 2004 Symantec

The Norton Utilities LiveUpdate sensor periodically displays an alarm that reminds you to check for updates to Norton Utilities. If your computer is connected to the Internet, this sensor can use Symantec LiveUpdate technology to get Norton Utilities updates automatically when they become available.


About the Windows Up Time sensor

About the Windows Up Time sensor copyright 2004 Symantec

The Windows Up Time sensor shows the time that has elapsed since Windows was last started. This information can be helpful in the following situations:

  • If you share a computer
  • If you experience a power outage
  • When you are troubleshooting a system (for example, if a computer frequently needs restarting)
  • When you are trying to optimize system performance (for example, if you want to see if there is a correlation between how long a computer has been running and when it runs out of memory or other resources)
  • If your organization has a policy that requires users to turn off their computers at the end of the day or over the weekend

This sensor always displays in calendar format, which shows the days, hours, minutes, and seconds since Windows was last started. You can change the display font for this sensor and the Current Date and Time sensor.


Customize Norton System Doctor

Customize Norton System Doctor copyright 2004 Symantec

While Norton System Doctor can do its work with little or no attention from you, it also gives you the option of customizing its appearance and behavior. You can customize Norton System Doctor in several ways.

Customization | For more information
Add or remove sensors. | To add or remove sensors
Change sensor positions. | To arrange sensors in the Norton System Doctor window
Change sensor sizes. | To set sensor dimensions
Control alarm behavior. | To set sensor alarm properties
Control the display of the title, menu, and Symantec logo bars. | To display or hide the title and menu bars
Create custom display schemes. | To save your display scheme
Create custom Norton System Doctor configurations. | To save a custom configuration
Customize sensor faces (display types). | To change a sensor display type
Dock and auto hide Norton System Doctor. | To dock Norton System Doctor
Hide sensors. | To auto hide Norton System Doctor
Keep Norton System Doctor visible at all times. | To set Norton System Doctor startup options


Set Norton System Doctor startup options

Set Norton System Doctor startup options copyright 2004 Symantec

To take full advantage of the monitoring capabilities of Norton System Doctor, leave it running all the time. You can also specify whether you want Norton System Doctor to automatically start when Windows starts.

While the default settings are ideal for most users, Norton System Doctor is completely customizable. You can do the following:

  • Specify the conditions that Norton System Doctor monitors by adding and removing sensors.
  • Select the critical conditions that you want Norton System Doctor to fix automatically.
  • Run Norton System Doctor minimized or docked to preserve desktop space.

Once you have set your initial startup options, you can adjust Norton System Doctor settings until you have the settings that you want.

To set Norton System Doctor startup options

  1. On the left side of the main window, click Norton Utilities > Find and Fix Problems.
  2. Click Norton System Doctor.
  3. On the View menu, click Options.
  4. In the Norton System Doctor Options dialog box, on the Window Settings tab, in the Startup Options group, select the startup options that you want. You options are:

    Start Automatically with Windows

    Norton System Doctor starts automatically the next time that Windows starts.

    Start Minimized

    The Norton System Doctor main window is minimized when it is started.


Customize Norton System Doctor appearance

Customize Norton System Doctor appearance copyright 2004 Symantec

In the Norton System Doctor window, you can arrange the sensors in any order that you prefer. You can also display or hide the title bar and logo.

To arrange sensors in the Norton System Doctor window

  1. Start Norton System Doctor.
  2. Drag any sensor to a new position.

    3. In the Norton System Doctor window, position the mouse over the sensor that you want to move, press and hold the left mouse button, then move the mouse.

You can't move sensors when Norton System Doctor is docked. Undock Norton System Doctor to move the sensors.

To display or hide the title and menu bars

  1. Start Norton System Doctor.
  2. On the View menu, or on the View menu of any sensor's context menu, click, click Show Title Bar or Show Symantec Logo. Clicking these menu items alternately checks and unchecks them.
    You can also double-click areas in the Norton System Doctor window that are not occupied by sensors to turn the title and menu bars on and off.
    You cannot display the title and menu bars when Norton System Doctor is docked.

To reset Norton System Doctor to the default sensors

  1. Start Norton System Doctor.
  2. On the View menu, click Options.
  3. On the Active Sensors tab, click Default.


Create display schemes

Create display schemes copyright 2004 Symantec

Display schemes let you change the overall look of Norton System Doctor. You can create any number of display schemes and switch between them at any time.

To set sensor dimensions

  1. Start Norton System Doctor.
  2. On the View menu, click Options.
  3. On the Sensor Appearance tab, use the sliders to adjust the sample sensor's height and width.

    4. These dimensions apply to all sensors and are stored with the display scheme, while the Large or Small Style sensor property applies to only a single sensor and is stored with a custom configuration.

To set sensor colors, fonts, and background bitmaps

  1. Start Norton System Doctor.
  2. On the View menu, click Options.
  3. On the Sensor Appearance tab, in the Item list box, select the sensor component whose color or font you want to change.
  4. Select one of the following:
    • Color
    • Font
  5. In the Bitmap Background box, type the path and name of a bitmap (.BMP) file, or click the open folder icon to browse for a bitmap graphic file.

    6. The background bitmap feature is enabled only if your display is set to show more than 256 colors.

You can save your custom sensor dimensions, colors, fonts, and bitmap background as a display scheme, and use it at any time.

To save your display scheme

  1. Start Norton System Doctor.
  2. On the Sensor Appearance tab, click Save As.
  3. Select a name for your suite of settings.

Add or remove sensors


Customize Norton System Doctor on the desktop

Customize Norton System Doctor on the desktop copyright 2004 Symantec

You can keep Norton System Doctor on top of all other windows, so that it remains visible at all times on your desktop.

To keep Norton System Doctor visible at all times

  1. Start Norton System Doctor.
  2. On the View menu, or on the View menu of any sensor's context menu, click Always On Top.

You can reclaim desktop space by docking and auto hiding Norton System Doctor.

To dock Norton System Doctor

  1. Start Norton System Doctor.
  2. On the View menu, check Dock.
    You can't move sensors when Norton System Doctor is docked. Undock Norton System Doctor to move the sensors. You can drag the docked sensors to the top, bottom, left or right edge of the window.

To undock Norton System Doctor

  1. Start Norton System Doctor.
  2. On the View menu, uncheck Dock.

Auto hide is available only when Norton System Doctor is docked.

To auto hide Norton System Doctor

  1. Start Norton System Doctor.
  2. On the View menu, check Auto Hide.
    Norton System Doctor and the Windows taskbar cannot both be set to auto hide along the same edge of the screen.

Add or remove sensors


Customize Norton System Doctor sensors

Customize Norton System Doctor sensors copyright 2004 Symantec

You can specify whether a sensor is displayed in a large or small style. The large style is the same height as the small style, but is twice the width.

To set sensor size

  1. Start Norton System Doctor.
  2. Right-click the sensor, then click Properties.
  3. On the Style tab, in the Sensor Size group, select one of the following:
    • Large
    • Small

      • You can also set the relative height and width of sensors by clicking Options on the View menu and using the sliders on the Sensor Appearance tab. This setting applies to all sensors, while the large or small style setting applies only to a single sensor.

Norton System Doctor provides a number of different sensor face styles from which to choose.

To change a sensor display type

  1. Start Norton System Doctor.
  2. Right-click the sensor, then click Properties.
  3. On the Style tab, in the Type drop-down list, select the type of graph that you want to display.

    4. Not all sensors can display information in a graph format.

Add or remove sensors


About sensor formats

About sensor formats copyright 2004 Symantec

There are three basic sensor formats:

Graph sensors

Sensors that provide real-time displays of values. You can select from a number of different graph sensor faces, such as analog gauges, bar gauges, histograms, digital counters, or line graphs. The bar, analog, and digital formats show current readings only, whereas the histogram and line graphs show several measurements that have been collected over a period of time.

You can also display a history window for most sensors. This window displays a large histogram that details current, minimum, and maximum values that were encountered since the sensor was added or since it was last reset.

Stoplight sensors

Sensors that check the system at specified intervals and report the results as green, yellow, or red traffic signals. For most of these sensors, Norton System Doctor can run an appropriate program automatically to correct problems that it detects. You can set any sensor to display a stoplight face. A red stoplight indicates an alarm condition.

Calendar sensors

The Windows Up Time and Current Date & Time sensors display calendars.

Most sensors can display their information in one of two complementary ways. For example, the Disk Space sensor can display the amount of disk space that is currently free or used. The Cache Hits sensor can display the percentage of cache hits or misses. You can control the sensor's display on the Style tab in the Sensor Properties dialog box.

Customize Norton System Doctor


About sensor properties

About sensor properties copyright 2004 Symantec

The sensors have individual properties tabs. Depending on the type of sensor, different tabs appear in the sensor Properties dialog box.


Style tab

Style tab copyright 2004 Symantec

The Style tab lets you configure the look of individual sensors.

This tab contains the following:

Sample sensor graphic | Shows how the sensor looks with the currently selected style properties.
Sensor Display | Shows a list of the different visual formats that are available for the sensor. Sensors that display information in graph formats can appear as bar graphs, line graphs, analog gauges similar to automobile fuel gauges or speedometers, digital readouts, or histograms that display multiple readings that are collected over a period of time. This list is disabled for sensors that do not display information as graph sensors.
Sensor Size | Includes three options: large, small, and hidden. The large sensor style is twice as wide as the small style. Hidden sensors don't appear in the Norton System Doctor window, but are still actively monitoring the system and can still trigger their alarms when conditions become critical.
Sensor Scale | Displays a list of the units of measurement that are available for the sensor. From the list, select the units that you want the sensor to use. The sample graphic reflects the units. This list is not available if there are no measurement unit options for the sensor.
Amount Free /Amount Used % Fragmented/% Unfragmented % Hits/% Misses | Displays sensor information in one of two complementary ways. For example, the Disk Space sensor can display the amount of disk space that is currently free or used. The Disk Optimization sensor can display the percentage of the disk that is fragmented or unfragmented. The Cache Hits sensor can display the percentage of cache hits or misses.
Default | Resets the sensor style properties back to the defaults.


Alarm tab

Alarm tab copyright 2004 Symantec

The Alarm tab lets you configure the sensor's alarm. You can enable and disable the alarm, set the alarm trigger level, and determine what happens when the alarm is triggered.

This tab contains the following:

Sample sensor graphic | Shows how the sensor looks with the currently selected Alarm properties.
Enabled | Enables the alarm. Uncheck to disable the alarm. When an alarm is enabled, the alarm action occurs when the alarm is triggered.
Show Trigger Level | Shows an indication of the trigger level on the sensor face. When the monitored condition reaches or exceeds the trigger level, the sensor face displays its warning color and the alarm action is triggered.
Auto Trigger Level (Available only for the Disk Optimization sensor) | Lets Norton System Doctor automatically select an appropriate trigger level that is based on the amounts of used space and fragmentation on the disk.
Trigger Level | Changes the trigger level. The trigger level is displayed in the box below. You can also change the trigger level by typing a value in the box below and selecting the measurement units.
No Action | Prevents Alert, Caution, and Notice messages from appearing when the alarm is triggered. When the alarm is triggered, the sensor will only change from its normal color to its warning color.
Display Alarm Message | Displays Alert, Notice, and Caution messages when the alarm is triggered. These messages call your attention to critical conditions quickly. The messages also recommend the action that you should take to fix the alarm condition and restore computer performance.
Fix Automatically | Lets Norton System Doctor automatically take corrective action when the alarm is triggered by starting the appropriate Norton Utilities program. This option is not available for all sensors.
Settings | Configures the Norton Utilities program that is used to make automatic repairs. This option is not available for all sensors.
Fix At | Schedules the repair for a later time. Type the time that you want the repairs performed in the box provided.
Play Sound | Plays a sound file (.WAV or .MID format) whenever the alarm for the sensor is triggered. Type the name of the sound file in the box at the left, or use the folder button to browse for a sound file to play.
Default | Resets the sensor alarm properties back to the defaults.


Measurement tab

Measurement tab copyright 2004 Symantec

The Measurement tab lets you configure the sensor's measurement. For most sensors, you can specify how frequently the sensor monitors a condition, how the measurements are averaged, and the maximum value for the sensor.

This tab contains the following:

Time Between Sensor Readings

Changes how frequently the sensor updates its readings. The text under the slider indicates the current setting.

Actual Value

Displays the actual current reading that is detected by the sensor. This option is disabled if it has no meaning for the sensor.

Decaying Average

Shows an averaged reading that is weighted in favor of the most recent readings. This option is disabled if it has no meaning for the sensor.

Let System Doctor Control

Lets Norton System Doctor establish the maximum reading for the sensor. Initially, the maximum reading is the number that is displayed in the Maximum text box. If the sensor records a reading that is higher than that number, the highest reading becomes the maximum. Norton System Doctor displays the maximum reading in the history window and uses it to calculate the percentage of the sensor's resources relative to the maximum. This option is disabled if the sensor has an absolute upper limit.

Use Fixed Maximum

Limits the maximum value for the sensor to the number that is entered in the Maximum box below. Norton System Doctor displays the maximum reading in the history window and uses it to calculate the percentage of the sensor's resources relative to the maximum. This option is disabled if the sensor has an absolute upper limit.

Maximum

Shows the upper limit for the sensor's readings. If Let System Doctor Control is selected, the number in this text box is the starting maximum. If the sensor records an actual reading that is higher than this number, the maximum reading is set equal to the higher reading.
If Use Fixed Maximum is selected, you can type a number in this text box to set a fixed maximum reading for the sensor.

Norton System Doctor displays the maximum reading in the sensor's history window and uses it to calculate the percentage of the sensor's resources that are used or free.

This option is disabled if the sensor has an absolute upper limit.

Default

Resets the sensor's measurement properties back to the defaults.


Measurement tab (Disk Health sensor)

Measurement tab (Disk Health sensor) copyright 2004 Symantec

The Measurement tab lets you choose how frequently the Disk Health sensor makes its various disk assessments.

This tab contains the following:

Time Between Disk Doctor Checks | Changes how frequently the sensor checks the integrity of the file structures on the disk.
Time Between SMART Checks | Changes how frequently the sensor checks the status of the disk drive hardware. SMART checks can only be performed on drives that support SMART technology.
Time Between Disk Image Checks | Changes how frequently the sensor checks to ensure that the disk's Image information is current.
Default | Resets all Disk Health sensor scans back to their default intervals.


Drive tab

Drive tab copyright 2004 Symantec

The Drive tab lets you specify the drive for the sensor to monitor and configure how frequently the drive is scanned.

This tab contains the following:

Monitor All Local Hard Drives

Monitors all local hard drives (excluding removable media drives, such as Iomega Zip and Jaz drives). This option is not available for all sensors.

Monitor A Particular Drive

Monitors a single drive only. This option is not available for all sensors.

Drive List

Monitors a particular drive in the list or monitors several different drives using separate sensors (add a new sensor for each drive).

Time Between Scans

Changes how frequently the sensor scans the disk.

The Disk Doctor and Disk Optimization sensors get their information from the same disk scan. Consequently, adjusting the slider setting for one of these sensors affects the scan for both.

Rescan Delay

Changes how long the sensor waits before it rescans after a scan is interrupted (or if a scan cannot be performed) because of other system activity.

The Disk Doctor and Disk Optimization sensors get their information from the same disk scan. Consequently, adjusting the slider setting for one of these sensors affects the scan for both.

Default

Resets all drive properties back to the defaults.


Site tab

Site tab copyright 2004 Symantec

The Site tab lets you specify the Internet site that Norton System Doctor will use to judge the speed of network transmissions over the Internet.

This tab contains the following:

Site To Monitor

Type the host name or IP address of the site that Norton System Doctor should monitor for Internet transmission speed. If you check these sensors regularly they will give you an indication of the best time to access specific sites.


Item To Monitor tab

Item To Monitor tab copyright 2004 Symantec

The Item To Monitor tab is available only for the Windows Performance Stats sensors. It lets you choose the type of performance sensor to add. The categories and items that are available reflect those that are provided by the Windows System Monitor program.

This tab contains the following:

Category | Monitors the specific categories that are available depending on your system configuration. At a minimum, the list includes File System, Kernel, and Memory Manager.
Item | Monitors specific types of performance data. When you click OK, a sensor for the selected item is added to the Norton System Doctor window. You can add multiple sensors to monitor different types of performance data that is provided by Windows.
Description | Describes what the item measures.
Title | Displays the title that appears with the sensor if you use the large sensor style. You can type a different title.
Abbreviated Title | Displays the title that appears with the sensor if you use the small sensor style. You can type a different title.
Default | Resets all Item To Monitor properties back to the defaults.


Sensor Appearance options

Sensor Appearance options copyright 2004 Symantec

The following Sensor Appearance options let you manage the appearance of selected sensors:

Scheme | Lists the available display schemes. A scheme defines the sensor dimensions, colors, text fonts, and background bitmap that are used for the Norton System Doctor window. You can choose one from the list or create a new scheme.
Save As | Saves the sensor dimensions, colors, text fonts, and background bitmap that are currently set as a new display scheme. After you specify a name for the new scheme, it will appear in the list. You can switch Norton System Doctor display schemes at any time.
Delete | Deletes the selected display scheme.
Settings | Shows how all small-style sensors will look with the current appearance options. The large-style sensors are always twice the width of the small-style sensors. Use the horizontal and vertical sliders to change the sensor dimensions.
Item | Shows a list of sensor components. Select a component from the list to change its color or font.
Color | Specifies the color that is assigned to the selected sensor component.
Font | Specifies the font that is used for text or calendar text.
Bitmap Background | Specifies the path and name of a bitmap to be used as the background image for all sensors. The background bitmap feature is enabled only if your Windows display options are set to show more than 256 colors.
Default | Resets all Sensor Appearance properties back to the defaults.


Window settings

Window settings copyright 2004 Symantec

The following Window Settings let you specify the appearance of the Norton System Doctor window:

Docked

Docks the Norton System Doctor window, which snaps to the edge of the display. You can drag the docked window to any of the four edges of the display. Though the menu bar is hidden, you can access all of the menu options by right-clicking to display a context menu.

Auto Hide

When Norton System Doctor is docked, you can have it automatically collapse to a thin gray line along the edge of the display to clear space on the desktop. Moving the mouse cursor over the line redisplays the full Norton System Doctor window.
Norton System Doctor and the Windows taskbar cannot both be set to Auto Hide along the same edge of the screen.

Normal

Shows Norton System Doctor as a normal, undocked window.

Show Title Bar

Shows the Norton System Doctor window title bar. When the title bar is hidden, you can restore it by right-clicking any sensor and clicking Show Title Bar on the View menu, or double-clicking any sensor-free area in the Norton System Doctor window.

Show Symantec Logo

Shows the Symantec logo bar alongside the Norton System Doctor window.

Always On Top

Keeps Norton System Doctor visible over any other windows.

Sensor Order

Shows the order of the sensors that are currently displayed in the Norton System Doctor window. To change a sensor's position in the window, click the sensor in the list and use the Up and Down buttons to control its position relative to the other sensors.
You can also move any sensor directly by pressing Ctrl and dragging the sensor to a new position in the window.

Start Automatically With Windows

Starts Norton System Doctor automatically whenever Windows is started.

Start Minimized

Always starts Norton System Doctor minimized. Norton System Doctor appears as an icon in the Windows system tray. To show the Norton System Doctor window, click the icon.

You can also control many of these options on the View menu, or by clicking View on any sensor's context (right-click) menu.

Default

Resets all Window Settings properties back to the defaults.


Active Sensors options

Active Sensors options copyright 2004 Symantec

The following Active Sensors options let you manage which sensors are active and enable and disable all available sensors:

Available Sensors | Lists all of the Norton System Doctor sensors. To add new sensors to the Norton System Doctor window, click the sensor name in this list, then click Add.
Current Sensors | Lists the sensors that currently appear in the Norton System Doctor window. You can configure any sensor in the list by clicking the sensor name, then clicking Properties. You can remove any of these sensors from the Norton System Doctor window by clicking the sensor name, then clicking Remove. You can also add and remove sensors on the Sensors menu, or by clicking Add Sensor on any sensor's context (right-click) menu.
Smart Scans | Lets Norton System Doctor intelligently yield to any mouse or keyboard input that occurs during its various system scans. This keeps your system maximally responsive during the scans. If you would prefer that the scans occur faster and are willing to sacrifice some system responsiveness during the scan process, uncheck this option. You must restart Norton System Doctor for a change to take effect.
Default | Resets Norton System Doctor to display the default Active Sensors.


Alarms options

Alarms options copyright 2004 Symantec

The following Alarms options let you set alarms and other notification messages for sensors with alarm capability:

Alarm Type | Displays a list of the types of alarm messages that are available in Norton System Doctor.
Notices | These least severe alarms indicate situations that cause poor system performance. Alarm conditions that generate Notices will not compromise your data. Reminders, such as those to update the disk image or get software updates, also appear as Notices.
Cautions | Flag situations that can potentially compromise data, such as low disk space or disk surface errors. When Cautions appear, you should save your work immediately and correct the situation that is causing the alarm.
Alerts | Warn you of serious conditions that should be attended to immediately. If Norton System Doctor detects numerous disk errors or an imminent disk hardware failure, it displays an Alert.
Show Alarm Message On Top Of All Windows | Displays the selected type of alarm message on top of other windows. You can continue to work in other applications, but the Norton System Doctor messages will be visible.
Show Alarm Message In The Background | Displays the selected type of alarm message in the background. If you have another application open on the desktop, you will not see alarm messages that are set to display in the background. Using this display option for Cautions and Alerts is not recommended.
Default | Resets all Norton System Doctor alarm messages to their default display types.


Set sensor properties

Set sensor properties copyright 2004 Symantec

Sensors have many properties, including Alarm, Measurement, Style, and others, depending on their functions.

To set sensor properties

  1. Start Norton System Doctor.
  2. Right-click the sensor whose properties you want to change, then click Properties.
  3. In the sensor's Properties dialog box, click the tab for the properties that you want to set.

To reset a sensor's properties to the defaults

  1. Start Norton System Doctor.
  2. Right-click the sensor, then click Properties.
  3. On the tab for the properties that you want to reset, click Default.

Add or remove sensors


About sensor alarms

About sensor alarms copyright 2004 Symantec

Most sensors include alarms that can be triggered when the condition that is being monitored reaches a critical value. When an alarm is triggered, it alerts you to the condition by displaying a message that suggests corrective action. The sensor display also changes color when the alarm condition occurs. You can have the sensor play a sound file when the alarm is triggered.

You can hide individual sensors without removing them from the Norton System Doctor window. Hidden sensors continue to monitor your system and notify you when alarm conditions exist. However, they don't appear with the other sensors.

Many sensors can be set to take corrective action automatically when conditions trigger an alarm. For example:

  • If an error condition has been detected on a disk, Norton System Doctor can run Norton Disk Doctor to correct the problem.
  • When disk image information has not been updated recently, Norton System Doctor can run Image to refresh the information.
  • When disk space is running low, run Norton CleanSweep to help you free disk space by finding unnecessary or duplicate files.

Alarms can also help you fine-tune the performance of your computer. For example, you can set alarms to notify you when your disk becomes highly fragmented, when your system's disk cache performance falls below a certain level, and when your physical memory (RAM) usage is high.

To determine an appropriate alarm setting for a sensor, make sure to consider current usage of the resource that the sensor measures. Otherwise, the alarm could be triggered too frequently or not frequently enough. The default alarm trigger values should be adequate for most systems.

You can enable an alarm for every Norton System Doctor sensor except Current Date And Time, Windows Up Time, and Windows Performance Stats.


Set sensor alarms

Set sensor alarms copyright 2004 Symantec

Alarm properties control whether the alarm is enabled, the alarm trigger level, and the action that Norton System Doctor is to take when an alarm condition is detected.

To set sensor alarm properties

  1. Start Norton System Doctor.
  2. Right-click the sensor, then click Properties.
  3. On the Alarm tab, set the alarm properties that you want.

    4. To activate the alarm, make sure that Enabled is checked. Also make sure the alarm level you select is reasonable, so the alarm won't be triggered too frequently or too infrequently.

  4. On the Alarm tab, click Default to reset the sensor's alarm properties to the default settings.
  5. Click Apply.
  6. When you have finished making changes to all of the tabs in the Properties dialog box, click OK.

To disable a sensor's alarm

  1. Start Norton System Doctor.
  2. Right-click the sensor, then click Properties.
  3. In Alarm Settings, uncheck Enabled.

    4. If you disable a sensor, its specified alarm action will not occur when the alarm condition is met and the sensor face will not change to indicate the alarm condition.

Alarms options


Change the alarm display

Change the alarm display copyright 2004 Symantec

When a sensor alarm is triggered, Norton System Doctor displays an alarm message to alert you of the condition. You can specify the following alarm message types:

Notices | Least severe alarms. Indicate situations that cause poor system performance. Alarm conditions that generate Notices will not compromise your data. Reminders, such as those to update the disk image or get software updates, also appear as Notices.
Cautions | Flag situations that can potentially compromise data, such as low disk space or disk surface errors. When Cautions appear, you should save your work immediately and correct the situation that is causing the alarm.
Alerts | Warn you of serious conditions that should be attended to immediately. If Norton System Doctor detects numerous disk errors or an imminent disk hardware failure, it displays an Alert message.

You can control whether each type of message is displayed on top of all other windows on the desktop, displayed behind the applications that you're currently working in, or not displayed at all. Crash messages always display on top.

To change the alarm display

  1. Start Norton System Doctor.
  2. On the View menu, click Options.
  3. On the Alarms tab, under Alarm Type, select the alarm type whose behavior you want to change.
  4. Select one of the following:
    • Show Alarm Message on Top of all Windows
    • Show Alarm Message in the Background.
  5. Repeat steps 3 and 4 for each message type.


Display sensor history

Display sensor history copyright 2004 Symantec

Most Norton System Doctor sensors include a history window that provides information about sensor readings over time. The Windows registry stores each sensor's highest and lowest readings and other measurement information, so this information will persist even when Norton System Doctor and the computer are turned off. You can reset a sensor at any time, which causes Norton System Doctor to delete its history information from the registry.

Some sensors (Current Date And Time, Windows Up Time, and the stoplight sensors) have no need for a history window.

To display sensor history

  1. Start Norton System Doctor.
  2. Right-click the sensor for which you want history information, then click History Window.
    History information is not available for all sensors.

Add or remove sensors


Reset sensor history

Reset sensor history copyright 2004 Symantec

Most sensors maintain history information about their readings from one Windows session to the next. The highest and lowest readings recorded appear in a sensor's history window.

You can reset a sensor's highest and lowest readings to zero at any time by clicking the sensor's Reset command. For example, if you want to monitor CPU usage while a particular application is running, you can set up the CPU Usage sensor, use its Reset command, and then open the application of interest.

By keeping a second instance of the same sensor active and not resetting it, you can simultaneously monitor the cumulative highest and lowest readings as well.

Sensors that have no history information to maintain, such as Current Date And Time, have no Reset command.

To reset a sensor's history readings

  1. Start Norton System Doctor.
  2. Right-click the sensor, then click Reset.


Update a sensor

Update a sensor copyright 2004 Symantec

The Update command causes the sensor to update its reading immediately, rather than waiting the normal amount of time between updates. For example, if you are concerned that a particular disk may have developed a problem and the Disk Doctor sensor is supposed to perform a disk scan only every hour, you can perform the scan now.

At any time, you can update a sensor's display to show the current reading. For the disk sensors, this initiates a new system scan.

To update sensor readings

  1. Start Norton System Doctor.
  2. Right-click the sensor, then click Update.

You can specify how frequently many of the sensors update their readings.

To set a sensor's update interval

  1. Start Norton System Doctor.
  2. Right-click the sensor, then click Properties.
  3. On the Measurement tab, drag the Time Between Sensor Readings slider to the interval setting that you want.
    It is usually best to use the default setting for this option. Every sensor reading consumes a small portion of system resources. If the time between sensor readings is too short, the sensor will use more system resources while not necessarily providing much new information. If the time between readings is too long, there may be a delay before problems are detected.

Add or remove sensors


Set a sensor's maximum reading

Set a sensor's maximum reading copyright 2004 Symantec

Most sensors have an absolute maximum reading, which is the highest measurement that is possible for a particular sensor. For example, the absolute maximum reading for the Physical Memory sensor is the amount of RAM that is installed in the computer, and the absolute maximum reading for the Disk Space sensor is the total amount of space that is on the disk. Norton System Doctor uses the absolute maximum reading when it displays information in a sensor's history window.

Some Norton System Doctor sensors have no absolute maximum readings. For example, the Threads sensor shows the number of currently running threads. The upper limit to the number of threads depends on many factors that relate to the capabilities and configurations of individual computers.

If a sensor does not have an absolute maximum reading, you can let Norton System Doctor use the highest reading it has recorded as the maximum, or you can specify your own maximum as one of the sensor's Properties.

To set a sensor's maximum value

  1. Start Norton System Doctor.
  2. Right-click the sensor, then click Properties.
  3. On the Measurement tab, in the Maximum in the Sensor Maximum Reading group box, type the maximum value.
    You cannot change the maximum reading for all sensors.

Add or remove sensors


Set sensor measurement display

Set sensor measurement display copyright 2004 Symantec

Many sensors can display their measurements as either the current actual value or as a decaying average. A decaying average gives more weight to the most recent sensor readings.

To set sensor measurement method

  1. Start Norton System Doctor.
  2. Right-click the sensor, then click Properties.
  3. On the Measurement tab, in the Measurement Type group, select the option that you want.

    4. Only sensors that display information in graph format include this property.

To set sensor measurement units

  1. Start Norton System Doctor.
  2. Right-click the sensor, then click Properties.
  3. On the Style tab, in the Sensor Scale group, select the units of measure that you want.

    4. You cannot change the unit of measurement for some sensors, either because they do not display information in graph format or because they have only one unit type available.

Add or remove sensors


Use custom configurations

Use custom configurations copyright 2004 Symantec

You can create and store several custom configurations for Norton System Doctor and use them for different monitoring tasks.

To save a custom configuration

  1. Start Norton System Doctor.
  2. On the File menu, click Save Configuration As to save the current configuration with a new name.
    The configuration will become the new default configuration that is used whenever you open Norton System Doctor.

To open a custom configuration

  1. Start Norton System Doctor.
  2. On the File menu, click Open Configuration.
  3. Select the configuration file that you want to open.

Add or remove sensors


Run Norton System Doctor from the command line

Run Norton System Doctor from the command line copyright 2004 Symantec

You can run Norton System Doctor from the command line.

To run Norton System Doctor from the command line

  1. On the Windows taskbar, click Start > Run and navigate to the folder that contains the Norton System Doctor program.
  2. Type the Norton System Doctor command, using the following syntax:

    3. SYSDOC32 /RESET

    /RESET: Resets Norton System Doctor using the default sensors with their default properties.

  3. Click OK.


Use Norton System Doctor

Use Norton System Doctor copyright 2004 Symantec

When Norton SystemWorks is installed, Norton System Doctor is configured to start with Windows and monitor your system with selected sensors. You can change this startup option, add and remove sensors, change sensor properties, and change alarm settings.


Add or remove sensors

Add or remove sensors copyright 2004 Symantec

The Norton System Doctor Disk Health sensor is set to monitor all local hard disks by default. If you want to monitor additional system functions, you can add them. For example, you can add the WinDoctor sensor to have it run continuously.

If you are using Windows 98/Me and a sensor is set to Monitor All Local Hard Drives, there should be no more than one instance of that sensor in the Norton System Doctor sensor panel.

To add or remove sensors

  1. On the left side of the main window, click Norton Utilities > Find and Fix Problems.
  2. Click Norton System Doctor.
  3. On the View menu, click Options.
  4. In the Norton System Doctor Options dialog box, click Active Sensors.
  5. On the Active Sensors tab, make sensors active or inactive. Your options are:

    Add a sensor

    In the Available Sensors list, select a sensor, then click Add.

    Remove a sensor

    In the Current Sensors list, select a sensor, then click Remove.

  6. Click OK.


Reset sensors to improve performance

Reset sensors to improve performance copyright 2004 Symantec

Some Norton System Doctor sensor settings may affect computer performance. Depending on your operating system and other factors, you may have to reset some Norton System Doctor sensors to improve system performance. The following list describes situations and sensors that are more likely to affect performance:

  • If you notice a decrease in a drive's performance while Norton System Doctor is monitoring it, decrease the frequency with which Norton System Doctor monitors that drive.
  • The WinDoctor sensor is system wide and not drive specific. Only one of each should be active at any time.
  • If you have the Always on Top option disabled and Norton System Doctor is docked, you cannot move a window past the area that it occupies.
  • The Disk Health sensor continually checks the disk to ensure that it is running optimally. However, in Windows Me, the Disk Health sensor prevents the Windows Me System Restore function from running. To enable Windows Me System Restore, disable the Disk Health sensor.
  • If you connect to an Internet service provider (ISP) such as Prodigy Internet or America Online using dial-up networking, do not enable the Internet sensors in Norton System Doctor. ISPs that use dial-up networking do not disconnect properly if they detect that another application is using the Internet connection. This could cause your Internet connection charges or your telephone bill to be higher than expected.
  • If you are running without adequate permissions or privileges, certain information that is reported in Windows 2000/XP may not be available or may be incorrect.

To reset Norton System Doctor sensors

  1. Start Norton System Doctor.
  2. In the Norton System Doctor window, select a sensor.
  3. On the Edit menu, click Reset.
After you correct a problem that is indicated by a Norton System Doctor sensor, some stoplight sensor faces might not update immediately to indicate that the condition is resolved. If this happens, right-click the sensor, then click Update.

Add or remove sensors


Hide or show sensors

Hide or show sensors copyright 2004 Symantec

You may not need to know about the current reading of a particular sensor unless it reaches the level that you've defined as the alarm level. You may be interested only in the long-term statistics about the readings for a particular sensor. These are two cases where you might want to hide a sensor.

Hiding a sensor prevents it from appearing in the Norton System Doctor window. A hidden sensor continues to run, maintains the measurement information available in the history window, and can still alert you to an alarm condition.

If you have an alarm set for a hidden sensor, don't set the alarm properties to No Action, or you won't know when the alarm condition occurs.

You can hide individual Norton System Doctor sensors while they continue to monitor your system. Hidden sensors still warn you or take appropriate action when their alarms are triggered.

To hide a sensor

  1. Start Norton System Doctor.
  2. Right-click the sensor you want to hide, the click Properties.
  3. On the Style tab, in the Sensor Size group, check Hidden.

To show all hidden sensors

  1. Start Norton System Doctor.
  2. On the View menu, click Hidden Sensors.
    Clicking this menu item alternately checks and unchecks it, which toggles the display of hidden sensors.

To unhide a single sensor

  1. Start Norton System Doctor.
  2. On the View menu, click Hidden Sensors.
  3. Right-click the sensor you want to unhide, then click Properties.
  4. On the Style tab, in the Sensor Size group, uncheck Hidden.
  5. To show any other hidden sensors, on the View menu, click Hidden Sensors.

Add or remove sensors


Start other utilities from Norton System Doctor sensors

Start other utilities from Norton System Doctor sensors copyright 2004 Symantec

Some Norton System Doctor sensors can automatically open the appropriate Norton Utilities program and correct a detected problem or condition. For example, when a disk becomes fragmented by more than a certain percentage, the Disk Optimization sensor can automatically open Speed Disk to defragment the disk.

Many sensors include a particular Norton Utilities program on their context (right-click) menus. For example, you can choose Open Image from the context menu of the Image sensor. If you choose Open System Information from the context menu of a memory-related sensor, System Information opens directly to the Memory tab. Drive-related sensors open System Information to the Drive tab.

In addition, the Norton System Doctor menu bar and all of the sensors' context menus include a Utilities item from which you can start other Norton Utilities programs.

To start other Norton Utilities programs from Norton System Doctor

  1. Start Norton System Doctor.
  2. On the Utilities menu, select the name of the program you want to open.

Add or remove sensors


Use the Disk Health sensor

Use the Disk Health sensor copyright 2004 Symantec

To use the Disk Health sensor

  1. Start Norton System Doctor.
  2. Activate one of the drive sensors.
  3. Right-click the drive sensor, then click Properties.
  4. In the Disk Health sensor Properties dialog box, on the Drive tab, click Monitor All Local Hard Drives. (Do not set multiple Disk Health sensors to Monitor All Local Hard Drives.)

Add or remove sensors


Reset Norton System Doctor's default settings

Reset Norton System Doctor's default settings copyright 2004 Symantec

You can reset all Norton System Doctor settings to their defaults at any time. Doing so causes only the default sensors to be active, gives those sensors their default properties, resets their history information to zero, and returns the Norton System Doctor window to its default appearance. Using this global reset feature is convenient if you want to return Norton System Doctor to a known state quickly.


Comparing files with Norton File Compare

Comparing files with Norton File Compare copyright 2004 Symantec

Norton File Compare lets you compare different versions of files on your hard disk. You can view all of the contents of compared files or only the differences, search for information within files, make changes to a compared file, and customize how differences between files are displayed. You can also view data and registry keys that are stored in Norton Registry Tracker snapshots.

Norton File Compare is available in Windows 98/Me only.

More Information

Start Norton File Compare
Compare files
Search within files
Customize Norton File Compare
Set display characteristics
Set Norton Registry Tracker exclusions


Start Norton File Compare

Start Norton File Compare copyright 2004 Symantec

To use Norton File Compare, you open versions of the files to be compared.

You can also launch Norton File Compare directly from Norton Registry Tracker.

To start Norton File Compare

  1. On the left side of the main window, click Norton Utilities > System Maintenance.
  2. Click Norton File Compare.

More Information

Tracking the Windows registry (Windows 98/Me)


Compare files

Compare files copyright 2004 Symantec

When you start Norton File Compare, you are automatically prompted for the files to open for comparison. You can also change one of the files that is being compared.

To open files when you start Norton File Compare

  1. Start Norton File Compare.
  2. In the Load Left File dialog box, select the older version of the file that you want to compare.
  3. In the Load Right File dialog box, select the newer version of the file that you want to compare.

To open new files for comparison while you use Norton File Compare

  1. Start Norton File Compare.
  2. On the File menu, select one of the following:
    • Open Left Pane
    • Open Right Pane
  3. Select the file that you want to view.
  4. Click Open.

Start Norton File Compare


How Norton File Compare displays results

How Norton File Compare displays results copyright 2004 Symantec

When you first open Norton File Compare, it prompts you for two file names, and then compares the files and disks in a special two-pane display. The panes are synchronized so that scrolling the display scrolls the files in both panes.

Norton File Compare tries to display identical lines side-by-side to make comparisons easier. To do so, Norton File Compare pads the display with blank lines. These lines don't represent actual blank lines in the files, but are there to help you quickly recognize file similarities. You can distinguish padded lines from real blank lines by having Norton File Compare show you line numbers. Lines that exist in the files are preceded by line numbers; padding lines are not.

Lines that differ in the two files are displayed in a different color (red by default) to help you find them quickly. Lines that have been moved are displayed in blue by default. You can change these colors and the font that is used for the display panes.

For identical lines whose positions are different in the two files, Norton File Compare indicates how the lines have moved. Read across the panes to discover where the lines in the older file were moved to and from where the lines in the newer file were moved.


View comparison statistics

View comparison statistics copyright 2004 Symantec

To get an overall sense of what's changed between two files, the Comparison Statistics window gives you a quick score of the lines that were added to the newer file, lines that were deleted from the older file, and lines that moved (lines that are identical but whose positions are different in the two files).


Search within files

Search within files copyright 2004 Symantec

Norton File Compare helps you search through the files that you are comparing.

To search within files

  1. Start Norton File Compare.
  2. In the Load Left File dialog box, select the first version of the file you want to compare.
  3. In the Load Right File dialog box, choose the second version of the file that you want to compare.
  4. On the Options menu, click Search.
  5. Select the search options that you want in the Search dialog box. Your options are:

    Text search

    Norton File Compare searches for specific text that you type. You can specify whether or not this type of search is case-sensitive.

    Block search

    Norton File Compare searches for groups (blocks) of text that either match or differ between the two files that are being compared. For the purposes of this type of search, any pair of files that is compared may consist of blocks of text that are identical, which are separated by blocks of text that are different. Block searches are a good way to find text that has changed between versions of the file.

  6. Type the search criteria for Text Search or Block Search.
    When you use the Search For Matching or Non-Matching Block options, make sure that Show Differences Only is not checked on the View menu.
  7. Click Search Up or Search Down to search up or down from the current position in the file.

Start Norton File Compare


Make changes to a file

Make changes to a file copyright 2004 Symantec

When you view a file in Norton File Compare, you can edit it.

To edit a file

  1. Start Norton File Compare.
  2. In the Load Left File dialog box, select the first version of the file that you want to compare.
  3. In the Load Right File dialog box, select the second version of the file that you want to compare.
  4. On the File menu, click Edit Text.
  5. Select the file that you want to edit.
    Norton File Compare opens the file in your default text editor, usually Windows Notepad.

Start Norton File Compare


Undo changes in Norton File Compare

Undo changes in Norton File Compare copyright 2004 Symantec

Norton File Compare makes it easy to undo specific changes that were made to a file.

Norton File Compare shows you how the file will look after the selected changes are reversed. The affected lines are displayed in a different color to make them easy to find. You can either save the reversed changes over the newer file, save them as a separate file, or cancel the operation if the reversed changes don't meet your needs.

The Undo feature of Norton File Compare complements the Restore feature of Norton Registry Tracker: Restore lets you restore entire files or registry keys from the system snapshots that it takes, while Undo lets you compare the versions of files and registry keys that are stored in the snapshots and undo specific changes that have been made between snapshots.

Using Undo to reverse registry changes updates the registry directly, without showing you those changes first. You should always make a backup of your registry before you make any changes to it.

You may need to restart Windows before you see any effects from undo operations on INI files and registry keys.

To undo changes

  1. Start Norton File Compare.
  2. In the Load Left File dialog box, select the first version of the file that you want to compare.
  3. In the Load Right File dialog box, select the second version of the file that you want to compare.
  4. Select the lines that you want to undo in the newer file.
  5. On the Options menu, click Undo Selected Changes.
    Norton File Compare displays the file as it will look after you undo the changes. The lines that result from the Undo process appear in the color that you chose for differing text (the default is red).
  6. Select one of the following:
    • Save: Save the changes, overwriting the newer file.
    • Save As: Save the restored original file with a different name.

Start Norton File Compare


Print files in Norton File Compare

Print files in Norton File Compare copyright 2004 Symantec

When you use Norton File Compare, you can print either of the compared files.

To print files

  1. Start Norton File Compare.
  2. In the Load Left File dialog box, select the first version of the file that you want to compare.
  3. In the Load Right File dialog box, select the second version of the file that you want to compare.
  4. To print only the file differences, on the View menu, click Show Differences Only.
  5. To print line numbers, make sure that the option settings for the display are set to show line numbers.
  6. On the File menu, click Print.
  7. In the Print dialog box, specify any print options that you want.
  8. Click OK.
    Norton File Compare prints both files that are open for comparison.

To print only the file that is showing in the left or right pane

  1. Start Norton File Compare.
  2. Right-click the pane that contains the file that you want to print, then click Print This File.
  3. In the Print dialog box, specify any print options that you want.
  4. Click OK.

Start Norton File Compare


Customize Norton File Compare

Customize Norton File Compare copyright 2004 Symantec

You can customize how Norton File Compare displays the compared files.

To set comparison options

  1. Start Norton File Compare.
  2. In the Load Left File dialog box, select the first version of the file that you want to compare.
  3. In the Load Right File dialog box, select the second version of the file that you want to compare.
  4. On the Options menu, click Settings.
  5. On the Comparison tab, check the file comparison options you want.

Start Norton File Compare


View only differences

View only differences copyright 2004 Symantec

You can set Norton File Compare to display only the differences between the compared files.

To view only differences

  1. Start Norton File Compare.
  2. In the Load Left File dialog box, select the first version of the file that you want to compare.
  3. In the Load Right File dialog box, select the second version of the file that you want to compare.
  4. On the View menu, click Show Differences Only.

Start Norton File Compare


Ignore certain changes

Ignore certain changes copyright 2004 Symantec

You can have Norton File Compare ignore certain text file characteristics and changes if they're not important to you. This prevents unimportant changes from showing up in the file comparison.

To ignore certain changes

  1. Start Norton File Compare.
  2. In the Load Left File dialog box, select the first version of the file that you want to compare.
  3. In the Load Right File dialog box, select the second version of the file that you want to compare.
  4. On the Options menu, click Settings.
  5. In the Options dialog box, on the Ignore tab, make your selections. Your options are:

    Ignore All Tabs And Spaces

    Norton File Compare will disregard any whitespace characters in the files. Neither adding new whitespace characters nor changing existing ones will be considered a change to the files. For example, "one two three" would be considered identical to "onetwothree" if this box is checked.

    Ignore Changes In Tabs And Spaces

    Norton File Compare will ignore changes in the length of existing whitespace areas, but will still consider the addition of new whitespace characters as changes. For example, "one two" would be considered different from "onetwo" if this box is checked.

    Ignore Upper/Lower Case Changes

    For example, "Hello World" would be considered the same as "hello world" if this box is checked.

Start Norton File Compare


Set display characteristics

Set display characteristics copyright 2004 Symantec

You can customize the text characteristics that are used in the Norton File Compare display panes. This can help you to identify specific differences in the files that are being compared.

To display file properties

  1. Start Norton File Compare.
  2. In the Load Left File dialog box, select the first version of the file that you want to compare.
  3. In the Load Right File dialog box, select the second version of the file that you want to compare.
  4. Right-click in the pane that contains the file, then click File Properties.

To set display options

  1. Start Norton File Compare.
  2. In the Load Left File dialog box, select the first version of the file that you want to compare.
  3. In the Load Right File dialog box, select the second version of the file that you want to compare.
  4. On the Options menu, click Settings.
  5. On the Display tab, select the display options that you want. Your options are:

    Show Comparison Statistics

    Displays the Comparison Statistics window, which gives you a quick score of the lines that were added to the newer file, lines that were deleted from the older file, and lines that were moved (lines that are identical but whose positions are different in the two files).

    Show Line Numbers

    Displays line numbers in both panes of Norton File Compare. Showing the line numbers makes it easier to find lines that have moved in the file. It also helps you distinguish blank lines that exist in the files (which would be numbered) from those that are added to the display to make identical lines appear in the same spot in the two panes.

    Fonts and Colors

    Specifies the color that Norton File Compare uses to display differing and moved text, and the font style and size to use in the display panels.

Start Norton File Compare


Set Norton Registry Tracker exclusions

Set Norton Registry Tracker exclusions copyright 2004 Symantec

Norton File Compare can work with Norton Registry Tracker to help you track progressive changes to selected files. Norton Registry Tracker tracks changes that are made to critical data and files on your computer. It stores a series of snapshots of the items that you specify, and takes a new snapshot whenever a tracked item is modified. It can show you how registry keys, INI files, or folders have been modified on your system, and lets you restore your system to a previous state from any of its stored snapshots.

Certain data of no critical value may change frequently on your system, and you may wish to exclude this data from tracking. This prevents Norton Registry Tracker from taking nonessential snapshots.

Items that can be excluded from Norton Registry Tracker tracking are registry keys, files, or INI file entries. You can set or remove them in Norton File Compare as well as from within Norton Registry Tracker.

To set Norton Registry Tracker exclusions from Norton File Compare

  1. Start Norton File Compare.
  2. In the Load Left File dialog box, select the first version of the file that you want to compare.
  3. In the Load Right File dialog box, select the second version of the file that you want to compare.
  4. In the pane that is displaying the newer version of the file, select the items that you want to exclude.
  5. On the Options menu, click Exclude.

To remove Norton Registry Tracker exclusions from Norton File Compare

  1. Start Norton File Compare.
  2. In the Load Left File dialog box, select the first version of the file that you want to compare.
  3. In the Load Right File dialog box, select the second version of the file that you want to compare.
  4. In the pane that is displaying the newer version of the file, select the items that you want to exclude.
  5. On the Options menu, click Edit Exclusions.
  6. Click the Text Files, Folders, or Registry Keys tab, as appropriate.
  7. Check Show Exclusions (for Text files and Folders tabs only).
  8. If necessary, click the plus signs to show the exclusion that you want to cancel.
  9. Select the exclusion, then click Remove.

Start Norton File Compare


Norton Registry Editor (Windows 98/Me)

Norton Registry Editor (Windows 98/Me) copyright 2004 Symantec

The Windows registry is a centralized database that is used by Windows to store configuration information. It contains settings for system hardware, software, and network applications. Programs can freely modify and retrieve this information as necessary.

In older versions of Windows, configuration information was often stored in text files such as initialization (INI) files, AUTOEXEC.BAT, and CONFIG.SYS. These files are still supported by Windows 98/Me for compatibility with older applications, but subsequent versions of Windows, such as Windows 2000/XP, and most applications use the registry instead.

Norton Registry Editor is available in Windows 98/Me only.

More Information

About the Windows registry
How the Windows registry is organized
How values are represented in the Windows registry
About expanded strings and multistrings
About INI files versus the Windows registry
About Windows registry backups
About Norton Registry Editor
Start Norton Registry Editor
Back up the Windows registry
About the Norton Registry Editor main window
About the Tracker History tab
Use Norton Registry Editor
Use bookmarks
Undo changes to the Windows registry
Search the Windows registry


About the Windows registry

About the Windows registry copyright 2004 Symantec

The Windows registry stores two basic types of information:

Global information | Global information is necessary for the basic operation of the hardware and software on your computer.
User-specific information | User-specific information includes user-customized settings, such as the layout of the Windows desktop and the options that you have selected for Windows and for your Windows applications.

The registry provides a number of benefits that are not available under previous versions of Windows. For example, if you have a portable computer, you can have one configuration for use in the office and another for use elsewhere. Other benefits of the registry are support for Plug-and-Play devices, better cleanup when you remove applications, easier recovery from system failures, and remote capabilities for network administration.

Most applications that were written for Windows can be completely removed using Add/Remove Programs in the Windows Control Panel. This removes program files and folders and any registry entries that were created by, and for, the program. If you remove a program by manually deleting the program's files and folders, any registry entries that were created by the program are left in the registry, which serves no useful purpose.


How the Windows registry is organized

How the Windows registry is organized copyright 2004 Symantec

The Windows registry is organized into five broad categories of information (six for Windows 98/Me) that are called root keys. The root keys are like data containers, each storing information that is related to a specific aspect of your system. The root keys can contain data values and keys of their own, or subkeys, that help to more finely organize the registry data.

The hierarchical registry structure that results is similar to that of the folder organization on your disk, where any folder can contain other folders and files. Consequently, the registry structure in Norton Registry Editor resembles the representation of your disk structure in Windows Explorer. Keys are represented as folders, and those that contain subkeys can be expanded to reveal the subkeys that they contain.

The registry's root keys are:

  • HKEY_CLASSES_ROOT
  • HKEY_CURRENT_CONFIG
  • HKEY_CURRENT_USER
  • HKEY_DYN_DATA (Windows 98/Me only)
  • HKEY_LOCAL_MACHINE
  • HKEY_USERS

The HKEY prefix identifies the key as a programming handle that is used by applications to gain access to the registry. Applications and operating system modules use the handles to retrieve stored configuration data, as well as to add, delete, or change settings.

HKEY_USERS, HKEY_LOCAL_MACHINE, and HKEY_DYN_DATA are the most important root keys; the other root keys point to subkeys of these.


About HKEY_LOCAL_MACHINE, HKEY_CLASSES_ROOT, and HKEY_CURRENT_CONFIG

About HKEY_LOCAL_MACHINE, HKEY_CLASSES_ROOT, and HKEY_CURRENT_CONFIG copyright 2004 Symantec

HKEY_LOCAL_MACHINE stores global (nonuser-specific) settings that relate to the hardware, software, and network resources that are available to the computer. Two of the other root keys reflect subkeys of HKEY_LOCAL_MACHINE.

The HKEY_LOCAL_MACHINE\Config subkey shares a relationship with HKEY_CURRENT_CONFIG that is similar to the relationship that is shared by HKEY_USERS and HKEY_CURRENT_USER.

Just as the registry can store multiple sets of user preferences, it can also store multiple sets of hardware configuration profiles. This comes in handy, for example, if you use a notebook computer that can be docked. When yo use the notebook as a standalone machine, you would want it configured with a minimal set of hardware drivers to conserve system resources. When you use the notebook in its docking station, however, you would need a different hardware configuration that includes appropriate drivers for the printer, monitor, and other peripherals to which the docking station is attached.

Windows can usually recognize which hardware configuration to use on startup, and loads the appropriate profile automatically. If it can't, it prompts you to select one from a list of all of the profiles that have been defined. Windows loads only those device drivers that are necessary for the hardware devices listed that are in the profile that you select. (For more information about Windows hardware profiles, see Windows Help.)

Each hardware profile that is defined for your system is assigned its own numbered subkey under HKEY_LOCAL_MACHINE\Config. HKEY_CURRENT_CONFIG reflects the subkey under HKEY_LOCAL_MACHINE\Config that is currently in effect.

HKEY_CLASSES_ROOT reflects the subkeys under HKEY_LOCAL_MACHINE\SOFTWARE\Classes. This key stores the file associations that allow you to double-click a file to have Windows automatically start the appropriate application to view or edit the file. Each file extension that has a program association is listed under these keys. This area of the registry also contains support data for OLE applications and objects.


About HKEY_USERS and HKEY_CURRENT_USER

About HKEY_USERS and HKEY_CURRENT_USER copyright 2004 Symantec

HKEY_USERS, as the name implies, stores user-specific settings that are customized for the person logged on to the computer. These settings include the Windows desktop layout and options that you have set in your application. Because these user preferences are stored in the registry, you won't need to reset them every time that you restart Windows or your Windows applications.

If Windows is configured to allow different users to customize their individual preferences and desktop settings, settings that are specific to each user are stored in corresponding keys under HKEY_USERS\username, where username is the name that each user uses to log on to the system. This way, each individual user of a single computer can have personalized settings for network connections, desktop appearance, printer configuration, and much more. HKEY_CURRENT_USER reflects the information for the current user that is stored under the HKEY_USERS\username subkey currently in effect. If Windows is set up for a single user, HKEY_CURRENT_USER reflects the HKEY_USERS\Default subkey.

Another benefit to keeping multiple user profiles under HKEY_USERS is that the user settings and data can be stored in the registry of a network server. Then when a user logs on to any computer on the network, the computer can use that user's personal settings.

If your computer is configured for multiple users, there are special considerations when accessing these keys in the registry. You should view the current settings for Windows user profiles before changing any settings in the registry.

To view Windows user profiles and access settings

  1. In the Windows Control Panel, click Passwords.
  2. On the User Profiles tab, view the list of users.


About HKEY_DYN_DATA

About HKEY_DYN_DATA copyright 2004 Symantec

HKEY_DYN_DATA holds information that is continually updated by the operating system. The uses for this data require that it always be as current as possible.

Plug-and-Play devices are smart components that communicate with the operating system and BIOS to simplify configuration. Much of the work of configuring these devices to avoid conflicts is coordinated through the registry. When Windows starts, the current system configuration, including the status of Plug-and-Play devices, is stored in RAM and tracked using the HKEY_DYN_DATA key. Windows also stores virtual device driver data and system performance statistics under this key.

The information under HKEY_DYN_DATA is constantly being refreshed by Windows and should not be changed manually.


How values are represented in the Windows registry

How values are represented in the Windows registry copyright 2004 Symantec

The fundamental function of the Windows registry is to store data. While the data is organized under the various registry keys, the data itself consists of stored values. It is usually these values that are accessed by Windows and by applications.

Many of the registry values are created during Windows installation by the setup program. Additional values are added when you make hardware changes or install applications. Registry values vary significantly from one computer to another depending on the devices that are attached to the computer, whether the computer is attached to a network, and whether or not Windows was installed on top of an earlier version of Windows.

Some registry keys store no values. These might be structural elements that are used to help organize the registry hierarchy, in which case the keys contain subkeys that likely store values. Other valueless keys are used as flags; some programs look for the presence or absence of these keys.

Each value consists of two parts: the value name and the value data. The value name identifies the value and the value data is the stored information of interest. All values are stored in binary form in SYSTEM.DAT and USER.DAT, which are the files that actually store the registry information. These values can be entered and displayed in the following formats:

  • String values hold alphanumeric text data, such as the path to an application on disk.
  • Numeric (DWORD) values are 32-bit values that can be entered in Norton Registry Editor as integers, hexadecimal digits, or binary values.
  • Binary values can be any length and are represented using hexadecimal digits.
    Norton Registry Editor also lets advanced users view and enter binary values as expanded strings and multistrings.

To display the value data, Norton Registry Editor must be set to the default Report View. If you cannot see the value data in the Value (right) pane of Norton Registry Editor, open the Report View.

Set a view option


About expanded strings and multistrings

About expanded strings and multistrings copyright 2004 Symantec

It is frequently convenient for programmers to store special string data as binary registry values. Norton Registry Editor allows you to view and edit these types of values as strings rather than as the hexadecimal digits that are displayed by Microsoft's regedit program. Two string representations of this binary data are supported by Norton Registry Editor: expanded strings and multistrings.

The expanded string value type is used for string data that includes environment variables within the string. Expanded strings flag environment variables by enclosing them in a pair of percent (%) symbols. If a program is written to recognize expanded strings, the program can expand the environment variable to substitute the current value of the environment variable. If an expanded string value looked like this:

"The path for temporary file storage is %TEMP%"

a program using this value would expand %TEMP% to the current value, which would result in:

"The path for temporary file storage is C:\WINDOWS\TEMP"

Multistrings are binary values that comprise more than one string value. These can be used to store several string values, such as a list of file extensions, together in a single registry entry. Norton Registry Editor lets you view and enter these as regular text, rather than as hexadecimal digits. Individual strings in the multistring value should be separated using returns.

There are several reasons that a programmer might want to use these special string types:

Efficiency | Multistrings can store several text strings in a single binary registry value.
Organization | Expanded strings can be stored separately from regular strings, and programs can be written to recognize that only expanded string data requires expansion.
Security | Both multistrings and expanded strings appear as hexadecimal notations when they are viewed with Microsoft's regedit program that is included with Windows. This protects the data.


About INI files versus the Windows registry

About INI files versus the Windows registry copyright 2004 Symantec

Under earlier versions of Windows, tracking settings or troubleshooting could involve quite a bit of detective work. Your hardware, operating system, network, and application settings were scattered. Some settings were in application INI (initialization) files, some in the various Windows INI files, and still others in AUTOEXEC.BAT and CONFIG.SYS. By moving all of these settings to the registry, Windows provides a global, centralized place to store configuration information for the operating system, hardware, and applications. The registry provides these advantages over INI files:

  • INI files are simple ASCII text files, but the registry is a binary file. Programs and system processes that use information from the registry don't have the additional overhead of translating text data into readable form.
  • INI files are limited in size to 64 KB, but the registry has no size limit. This unlimited registry size allows for future growth and greatly increases the potential for supported system resources.
  • INI files have a flat, two-tiered organization with sections and section entries, but the registry is a true hierarchical database. Although the registry can grow to be quite large, its multilevel branching arrangement enables Windows and other programs to access configuration data efficiently and quickly. The operating system uses the registry's root keys to process only the portion of the database that is necessary to get the information that it needs. To retrieve data from an INI file, the text must be processed from the top down, which is relatively slow.

Windows still supports the use of INI files in order to maintain compatibility with applications that were written for earlier versions of Windows. For unusual hardware, the CONFIG.SYS, AUTOEXEC.BAT, and individual INI files still provide some configuration information.


About Windows registry backups

About Windows registry backups copyright 2004 Symantec

Registry data is stored in two hidden files on your system. SYSTEM.DAT stores global hardware and software information. USER.DAT stores user-specific hardware and software settings. Every time that you start your system successfully, these files are backed up to SYSTEM.DA0 and USER.DA0, respectively (the backup extensions end with the number zero, not the letter O).

If there is a problem with your registry, you can restart your computer in DOS mode and rename the backup files to return your computer to the state it was in the last time that it was successfully started. This may not be enough, however, if you tend to leave your computer running for long periods of time; the last time that the computer was successfully started may have been days or weeks ago.


About Norton Registry Editor

About Norton Registry Editor copyright 2004 Symantec
Norton Registry Editor is available in Windows 98/Me only.

Use Norton Registry Editor to explore your Windows registry and look at some of the values that are stored there. While some registry values are comprehensible, for example, a driver name, a program path, or a software switch, many of the stored values are not user-friendly. Such entries only make sense to the applications or devices that access them.

Every time that you add software or hardware, the registry database is updated. Other registry settings are changed automatically when you make changes within application programs, such as changing settings in the Windows Control Panel. In most cases, it's easier and safer to make configuration changes this way and avoid making changes directly to the registry.

However, some modifications can only be made directly in the registry, including some user interface and performance-enhancing customizations and hardware troubleshooting chores. Sometimes you may want to look at the registry to understand how your programs are configured.

Use Norton Registry Editor whenever you want information about the registry or your registry settings, or when you need to make changes to the registry or to INI files on your system. System administrators can use it to compare registries and INI files on remote, networked computers.

Always back up the registry before you make any modifications. Norton Registry Editor makes this an easy, one-step process. You can also save portions of the registry to special files, and later merge these files back into the registry to restore the settings.

Occasionally an update may cause your computer to behave strangely or even prevent Windows, certain programs, or hardware components from operating properly. Using Norton Registry Editor in conjunction with Norton Registry Tracker lets you see exactly what has been changed, and helps you either make corrections in the registry or restore the registry to its state prior to the changes.

The Windows registry is fundamental to the proper functioning of your system. You should only change registry entries if you know what you are doing and are confident of the results. Improper use of Norton Registry Editor can cause problems with your system that may even result in your having to reinstall Windows.

More Information

Tracking the Windows registry (Windows 98/Me)


Start Norton Registry Editor

Start Norton Registry Editor copyright 2004 Symantec
Norton Registry Editor is available in Windows 98/Me only.

Start Norton Registry Tracker in the Norton SystemWorks main window.

To start Norton Registry Editor

  1. In the main window, click Norton Utilities > Registry Management.
  2. Click Norton Registry Editor.
    Norton Registry Editor automatically loads the Windows registry.


Back up the Windows registry

Back up the Windows registry copyright 2004 Symantec

You should make periodic backups of your Windows registry, especially before you make any changes to registry keys. A registry backup file can help you restore the Windows registry to a known working state, in case you accidentally change registry items that make your system unstable.

Because backing up your entire registry can take some time, the registry backup runs as a separate process in the background and can be minimized so that you can continue working.

You can save the entire registry, or you can save individual branches of it. For example, if you are making changes within a specific branch of the registry, you can save just that portion. This process is faster and takes less disk space than saving the entire registry (though you should always have at least one copy of the entire registry available for emergencies).

Portions of the registry can be saved in one of the following formats:

Registry (REG) files | Simple text files that can be exported from and imported to the registry, whether or not you are running Norton Registry Editor.
Symantec Registry Archive (SRG) files | Binary (nonviewable) format, that can only be used by Norton Registry Editor.

Always make a backup of your registry before you make any changes.

To back up the Windows registry

  1. Start Norton Registry Editor.
  2. On the File menu, click Backup Entire Registry.
  3. Specify the name and location for the backup registry (REG) file.
  4. Click Save.
    While the registry is being exported, you can continue to work on your computer. You can also export individual branches of the registry to different REG files while the entire registry is being backed up.

Start Norton Registry Editor


About the Norton Registry Editor main window

About the Norton Registry Editor main window copyright 2004 Symantec

The Norton Registry Editor main window has three viewing areas. You can change the sizes of the viewing areas by dragging the frame border that separates them.

The Key pane, at the upper left, displays the registry keys and INI file sections. These are roughly analogous to categories of stored information.

The Value pane, at the upper right, displays the values that are stored in the registry key or INI file section that is selected in the Key pane.

The information tabs are below the Key and Value panes. The tabs provide a display area for some of the Norton Registry Editor features. There are four information tabs:

Bookmarks | Lists any bookmarked registry keys and INI file sections, which lets you quickly find and jump to specific areas of interest. Use bookmarks
Undo | Records a history of edits that are made during the current Norton Registry Editor session. You can view the list of changes and undo them. Undo changes to the Windows registry
Find Results | Lists results of the last Find operation that you performed. You can instantly go to any of the items that were found. Search the Windows registry
Tracker History | Shows the history of changes to the item that is maintained by Norton Registry Tracker. Unlike the changes that are recorded on the Undo tab, those that are recorded by Norton Registry Tracker persist from one session to the next. About the Tracker History tab


About the Tracker History tab

About the Tracker History tab copyright 2004 Symantec

The Tracker History tab works in conjunction with Norton Registry Tracker to display changes to tracked registry keys and INI file sections.

If there are tracking snapshots available for the item that is currently selected in the Key pane, those snapshots appear on the Tracker History tab.

Changes to tracked items are indicated by icons to the left of the items. The icons represent the following information:

  • An item has been added.
  • An item has been removed.
  • A line in a text file has been moved within a file. The moved text is preceded by the line number from which the text was moved.
  • A line in a text file has been moved within a file. The moved text is preceded by the line number to which the text was moved.
The Tracker History that is displayed for an item is only current if that item is being actively tracked by Norton Registry Tracker. If you disable an item's tracking from Norton Registry Tracker, or close Norton Registry Tracker and subsequently make changes to the item, the snapshot information that is displayed on the Tracker History tab will be obsolete.

More Information

Tracking the Windows registry (Windows 98/Me)


Use Norton Registry Editor

Use Norton Registry Editor copyright 2004 Symantec

You can use Norton Registry Editor to perform the following tasks:

Add and delete registry keys | To add registry keys
Add, change and delete registry values | To add registry values
Create INI files | To create INI files
Load and unload INI files in Windows | To load INI files
Print the registry | To print the registry
Display the contents of a registry key | To refresh the registry display
Connect to another computer's registry | To connect to another computer's registry
Prevent Norton Registry Editor from changing the registry | To prevent Norton Registry Editor from changing the registry

To add registry keys

  1. Start Norton Registry Editor.
  2. Right-click the key that will contain the new key, then click New > Key.
  3. Type a name for the new key.
  4. Press Enter.

To delete registry keys

  1. Start Norton Registry Editor.
  2. Right-click the key that you want to delete, then click Delete.
    This deletes all of the subkeys and values that it contains.

To add registry values

  1. Start Norton Registry Editor.
  2. Right-click the key that will contain the new value, then click New.
  3. On the cascading menu, click the appropriate value type.
  4. Type a name for the value, then press Enter.
  5. Double-click the new value name or press Enter.
  6. In the Modify Value dialog box, type the data for the new value.

To change registry values

  1. Start Norton Registry Editor.
  2. Select the key whose value you want to change.
  3. In the Value pane, double-click the name of the value that you want to change.
  4. In the Modify Value dialog box, type the new data for the value.

To delete registry values

  1. Start Norton Registry Editor.
  2. Click the key that contains the value that you want to delete.
  3. In the Value pane, right-click the value you want to delete, then click Delete.

To create INI files

  1. Start Norton Registry Editor.
  2. On the File menu, click Create New INI File.
  3. Specify a name and location for the new INI file.
  4. Click Save.
    The new file is added to the INI Files branch in Norton Registry Editor.

To load INI files

  1. Start Norton Registry Editor.
  2. On the File menu, click Load INI File.
  3. Specify the name and location of the INI file that you want to open.
  4. Click Open.
    The file is added to the INI Files branch in Norton Registry Editor.

To unload INI files

  1. Start Norton Registry Editor.
  2. On the File menu, click Unload INI File.
  3. In the Unload INI Files dialog box, select the name of the INI file to be unloaded.
    Not all INI files can be unloaded from Norton Registry Editor. Certain INI files, such as WIN.INI and SYSTEM.INI, are standard under Windows and are always displayed by Norton Registry Editor.

To print the registry

  1. Start Norton Registry Editor.
  2. On the File menu, click Print.
    By default, Norton Registry Editor prints only the branch of the registry that is currently selected in the Key pane.
  3. If you want to print the entire registry, in the Print Registry File dialog box, click All.

To refresh the registry display

  • Do one of the following:
    • Press F5.
    • On the View menu, click Refresh.

To expand or collapse a key

  1. Click the plus sign next to a key to show its contents.
  2. Click the minus sign next to a key to hide its contents.

To access registries on remote computers, you must have set up network administrator options when you installed Windows, and have configured remote administration configured to allow registry editing on the remote machine.

To connect to another computer's registry

  1. Start Norton Registry Editor.
  2. On the Registry menu, click Connect Network Registry.
  3. Type the name of a remote computer on your network, or click Browse.

To disconnect from another computer's registry

  • On the Registry menu, click Disconnect Network Registry.

To prevent Norton Registry Editor from changing the registry

  • On the Registry menu, click Read Only.
    This toggles the checkmark on and off. A check by the Read Only menu item indicates that the registry is protected from changes. The status line shows Read Only at the lower right.

Start Norton Registry Editor


Specify registry keys and INI files to track

Specify registry keys and INI files to track copyright 2004 Symantec

You can use Norton Registry Tracker in conjunction with Norton Registry Editor to track changes to the registry.

To specify registry keys and INI files to track

  1. Start Norton Registry Tracker.
  2. On the Norton Registry Tracker Options menu, click Settings.
  3. On the tab for the type of item you want to track, click Add.
    INI files are Text Files and binary files are Data Files.
  4. Select the item that you want Norton Registry Tracker to start monitoring.
  5. Click Open.
  6. When you return to the Norton Registry Editor Tracker Info tab, press F5 to refresh the display.

Start Norton Registry Tracker


Use bookmarks

Use bookmarks copyright 2004 Symantec

The Bookmarks tab provides one-stop access to all of the registry keys and INI file sections that you have bookmarked. The bookmarks appear in a hierarchical list that reflects the structure of the Key pane, but it only includes the top branches of the hierarchy that contain bookmarked items.

To bookmark registry keys

  1. Start Norton Registry Tracker.
  2. Right-click the key that you want to bookmark, then click Bookmark This.

    3. A red dot on a folder in the Key pane indicates that the corresponding registry key is bookmarked.

Top-level registry keys cannot be bookmarked.

To remove a bookmark

  1. Start Norton Registry Tracker.
  2. On the Bookmarks tab, right-click the bookmark that you want to remove, then click Delete.

To save bookmarks to a file

  1. Start Norton Registry Tracker.
  2. On the Bookmarks menu, click Save Bookmarks.
  3. Specify a name and location for the bookmark file.
  4. Click Save.

To load saved bookmarks

  1. Start Norton Registry Tracker.
  2. On the Bookmarks menu, click Load Bookmarks.
  3. Specify the name and location of the bookmark file to load.
  4. Click Open.

To go to a bookmark

  • On the Bookmarks tab, double-click the bookmark.

To view a list of bookmarks

  1. Start Norton Registry Tracker.
  2. On the Bookmarks tab, click the plus sign next to a listed key to show the bookmarks that are defined for it.

Start Norton Registry Tracker


Undo changes to the Windows registry

Undo changes to the Windows registry copyright 2004 Symantec

The Undo tab lists any changes that are made to the registry by Norton Registry Editor during the current session. Whenever you add, modify, or delete registry or INI file items, the transaction is logged on the Undo tab.

The Action column lists the action that was performed, such as Create, Delete, Rename, and Modify. The Description column lists the items on which those actions were performed.

To undo an action

  1. Start Norton Registry Tracker.
  2. On the Edit menu, click Undo.
    The bottom action on the list is undone.
    The edits that you performed during the current session of Norton Registry Editor are listed on the Undo tab.
To undo changes that occurred outside of the current Norton Registry Editor session, use Norton Registry Tracker. It lets you track any changes that occur to selected registry keys and INI files. You can see a history of changes, compare the different snapshots, or selectively restore the tracked items to previous states.

Start Norton Registry Tracker


Search the Windows registry

Search the Windows registry copyright 2004 Symantec

You can search the Windows registry, INI files, or both. You can limit the search to a single branch of the registry. You can search registry keys, value names, value data, or a combination of the three. You can even search registries of remote computers if you are a network administrator.

To find registry keys or values

  1. Start Norton Registry Editor.
  2. On the Edit menu, click Find.
  3. In the Find What text box, type the text that you want to find.
  4. Click Match Whole Strings Only to find only complete text strings.
  5. In the Find Where box, click the down arrow to choose where to search.
  6. On the Advanced tab of the Find dialog box, choose other search options.
  7. Click Find Now to begin the search.
    The results of the search appear on the Find Results tab.
  8. Right-click one of the listed search results, then click Go Here to display that item in the Key pane.

To find and replace registry keys or values

  1. Start Norton Registry Editor.
  2. On the Edit menu, click Replace.
  3. In the Find What box, type the text to find.
  4. In the Replace With box, type the new text.
  5. Click Find Where to choose where to search.
  6. On the Advanced tab of the Find dialog box, choose other search options.
  7. Click Replace to begin the search.
    The results of the search appear on the Find Results tab.
    As Norton Registry Editor finds entries that match your criteria, it highlights them in the Key pane (the left pane) and asks you to confirm the replacement.
  8. Select one of the following:
    • Yes: Replace the highlighted key or value with the text that you have specified.
    • No: Do not replace the highlighted key or value.
      • Always make a backup of your registry before you make any changes. On the Undo tab, you can reverse any changes that you make to the registry.

The Find Results tab lists the results of the most recent search operation that Norton Registry Editor performed. Each of the results functions as a bookmark.

Start Norton Registry Editor


Set a view option

Set a view option copyright 2004 Symantec

The View menu has four options for displaying the data in the Value pane:

List View | Presents the value names arranged in columns. The value names are preceded by small icons that represent the value type, and the value data is not shown.
Report View | Presents the value names and value data in two columns. Click the Name column heading to sort the list by name; each time that you click the column heading, the sort order is reversed. The names are preceded by small icons that represent the value types.
Large Icon View | Presents the values as large, labeled icons that represent the value types. The icons are arranged in rows.
Small Icon View | Presents the values as small, labeled icons that represent the value types. The icons are arranged in rows.

For each of the views, you can use View menu options to sort the display by value names or value types.


About registry (REG) files

About registry (REG) files copyright 2004 Symantec

Exporting a key to a REG file saves the selected key together with any values and subkeys that it contains. REG files are text files that describe keys and values that are stored in the registry. Because they are text files, you can view and edit REG files with any text editor.

Exporting a registry file does not change the registry structure. The registry items that are exported remain stored in the registry; the REG file is a text copy of those items.

Large branches of the registry can take some time to export so exports run as separate processes, which can be minimized so that you can continue working. You can have more than one branch exporting simultaneously (to different REG files).

To export a registry file

  1. Start Norton Registry Editor.
  2. Select the key to be exported.
  3. On the File menu, click Export Registry File.
  4. Specify the name and location of the REG file.


Import a registry file

Import a registry file copyright 2004 Symantec

REG files can be imported into the registry. The registry items that are described by the REG file are created in the registry or, if the items already exist in the registry, they are overwritten with the new information. This process is also called merging a REG file into the registry.

Importing REG files provides a simple way to change large numbers of registry items at one time, since each REG file can contain any number of key and value descriptions. Because a REG file contains the full registry paths of the items that it describes, importing a REG file always places the keys and values that it describes in the same precise location within the registry hierarchy. This is in contrast to restoring registry items that are stored in a Symantec Registry Archive, where the precise placement of the items in the registry depends on the location to which you restore the items.

Normally REG files are used to change existing registry entries or add new ones. The import feature of Norton Registry Editor also lets you use REG files to delete keys and values from the registry.

To import a registry file

  1. Start Norton Registry Editor.
  2. On the File menu, click Import Registry File.
  3. Specify the registry (REG) file that you want to import.


Using REG files to delete registry items

Using REG files to delete registry items copyright 2004 Symantec

By adding special notations to a REG file, you can have Norton Registry Editor automatically delete registry items when the REG file is imported.

To delete registry items using a REG file

  1. Edit the REG file, as necessary.
  2. Do one or more of the following:
    • To delete a registry key and its subkeys, add a tilde (~) character before the key.
    • To delete a registry value, specify a tilde as the value's data.
    • To delete all of the values under a key without deleting the key itself or its subkeys, include a minus sign (-) before the key.
  3. Import the REG file.

Sample REG files

The following REG file creates a key that contains two values and one subkey:

[HKEY_CURRENT_USER\My_New_Key]

@="My default value"

"My String"="Some string data"

[HKEY_CURRENT_USER\My_New_Key\My_New_Subkey]

To delete My_New_Key and all of the values and subkeys that it contains, you could create and import a REG file that has this line:

~[HKEY_CURRENT_USER\My_New_Key]

To delete either the default (signified by an @ symbol) or My String value, you could create and import a REG file that has either of these lines:

@=~

or

"My String"=~

There should be no quotation marks around the tilde.

To delete both values without affecting the subkey My_New_Subkey, you could create and import a REG file that has this line:

-[HKEY_CURRENT_USER\My_New_Key]


About Symantec Registry Archives

About Symantec Registry Archives copyright 2004 Symantec

You can save a registry key and any values and subkeys that it contains to a Symantec Registry Archive file, which is given a file extension of SRG. Like REG files, SRG files describe keys and values that are stored in the registry. Unlike REG files, however, SRG files have a binary, rather than text, format; they cannot be edited or viewed.

Saving a branch of the registry to a Symantec Registry Archive does not change the registry structure. The registry items that are archived remain stored in the registry; the SRG file is a binary representation of those items.

To save a Symantec Registry Archive file

  1. Start Norton Registry Editor.
  2. Select the key to be archived.
  3. On the File menu, click Save Symantec Registry Archive.
  4. Specify the name and location of the archive (SRG) file to be created.

SRG files also differ from REG files in the way that their stored items are replaced in the registry. You must select an existing registry key before you can restore from an archive. The items that are represented in the archive are recreated in the registry under the selected key. Because of this behavior, you should be careful when you restore from an archive and be sure that you select the key under which you want all archived items to be created.

You cannot use Symantec Registry Archives to delete items from the registry as you can with text-based REG files.

To restore a Symantec Registry Archive

  1. Start Norton Registry Editor.
  2. Select the key under which you want the archived information to be restored.
  3. On the File menu, click Restore Symantec Registry Archive.
  4. Specify the location and name of the SRG file to be restored.
  5. Click Open.

    6. The keys and values from the archive are placed under the currently selected key, even if that key is not the original location from which the information was archived.

If you wish to restore the information back to its original location, be sure that the original key is selected, or use the exp
|ort and import feature of REG files, rather than restoring from a Symantec Registry Archive.


Tracking the Windows registry (Windows 98/Me)

Tracking the Windows registry (Windows 98/Me) copyright 2004 Symantec

In Windows 98/Me, Norton Registry Tracker helps you keep track of changes that are made to critical files, folders, and registry keys on your system. Norton Registry Tracker takes snapshots of tracked items when they change, which shows you the changes that were made and allows you to restore tracked items to their former states with the Quick Fix and Restore features.

Norton Registry Tracker is available in Windows 98/Me only.

More Information

Keep track of registry changes
Start Norton Registry Tracker
About tracked items
Set Norton Registry Tracker options
Exclude items from tracking
Use the Snapshot Log


Keep track of registry changes

Keep track of registry changes copyright 2004 Symantec

Most applications change either the registry or an initialization (INI) file when you install them. In some cases, you may not want the changes. Building and maintaining an audit trail of system snapshots with Norton Registry Tracker can save hours of frustrating trial and error to restore your system to its original state.

In addition to registry keys and text files, Norton Registry Tracker lets you track changes to data files and folders on your system. Data files store information in binary (nontext) form; they frequently have a .dat file extension. While Norton Registry Tracker can't show you the exact changes that were made to these types of files, it does allow you to restore earlier versions if the data becomes corrupted. Whenever a change is made to a tracked folder, Norton Registry Tracker takes a snapshot to show you what files were added or deleted.

You can configure Norton Registry Tracker to start automatically and run in the background whenever Windows starts. The camera icon in the Windows system tray tells you that Norton Registry Tracker is running and continually monitoring changes to the items that you have specified for tracking.

If you choose not to run Norton Registry Tracker continuously in the background, you should run it whenever you add, modify, or remove any hardware or software.


Start Norton Registry Tracker

Start Norton Registry Tracker copyright 2004 Symantec

In Windows 98/Me, Norton Registry Tracker takes a new snapshot when it starts, which keeps a log of the tracked items on your system through the most critical periods of change.

To start Norton Registry Tracker in Windows 98/Me

  1. In the main window, click Norton Utilities > Registry Management.
  2. Click Norton Registry Tracker.
    Norton Registry Tracker takes a snapshot of your registry. A list of previous snapshots appears in the Norton Registry Tracker window.

To hide Norton Registry Tracker

  • On the File menu, click Hide.

To redisplay Norton Registry Tracker

  • In the Windows system tray, click the camera icon.

    • In Windows 98/Me, the icon might be located in the Norton Tray Manager.


About tracked items

About tracked items copyright 2004 Symantec

By default, Norton Registry Tracker tracks the following items on your computer:

  • The Windows folder (usually C:\WINDOWS)
  • The Windows System folder (usually C:\WINDOWS\SYSTEM)
  • The HKEY_LOCAL_MACHINE\SOFTWARE registry key and the subkeys that it contains
    On the Registry Keys tab, you can specify whether Norton Registry Tracker should track a key alone (Track Key) or the key and all of the subkeys that it contains (Track Subtree).
  • WIN.INI
  • SYSTEM.INI
  • CONFIG.SYS
  • AUTOEXEC.BAT

Whenever Norton Registry Tracker detects a change to one of the tracked items, it takes a new snapshot. Each new snapshot records the changes that were made since the previous snapshot was taken. Taken together, the Norton Registry Tracker snapshots provide a log of modifications that were made to tracked items. Norton Registry Tracker can use these snapshots to restore any tracked item to its state at the time of any snapshot.

Tracking items that change continually, like dynamic registry keys or the Windows swap file, triggers frequent snapshots. You should avoid tracking these types of items, or mark them as tracking exclusions. You may want to track a database or word processing file as you work on it to have a record of changes that you can undo if needed.


Set Norton Registry Tracker options

Set Norton Registry Tracker options copyright 2004 Symantec

You can have Norton Registry Tracker start with Windows, specify additional items to track, and remove tracking from any of the default items.

To start Norton Registry Tracker at Windows startup

  1. Start Norton Registry Tracker.
  2. Click Options > Settings.
  3. Check Start Automatically With Windows.

To specify items to be tracked

  1. Start Norton Registry Tracker.
  2. On the Options menu, click Settings.
  3. Click the tab for the type of item that you want to track. Within tabs, INI files are included under Text Files, and binary files are included under Data Files.
  4. Click Add.
  5. Select the specific item that you want Norton Registry Tracker to start monitoring.
  6. Click Open.
Although Norton Registry Tracker can track folders for changes, it cannot perform Quick Fix or Restore activities on them.

Start Norton Registry Tracker


Exclude items from tracking

Exclude items from tracking copyright 2004 Symantec

Windows automatically maintains a set of registry keys that record performance statistics for various system functions. These values are continually being updated, yet they have no effect on your system. If you tracked these registry keys, Norton Registry Tracker would take frequent, unnecessary snapshots.

The size of the Windows swap file changes dynamically with the needs of the system. If you track the folder that contains this file, Norton Registry Tracker would take a new snapshot with every change in swap file size. For this reason, the Windows swap file is excluded from tracking automatically.

Some initialization (INI) files include sections whose contents are updated frequently by their associated application programs. Because this data is not critical to the functioning of your system, you may not want these sections tracked.

Normally you would simply choose not to track these types of registry keys and files. But if you choose to track the registry keys or the folder that contains them, these items would be included in the tracking automatically. You can prevent this by explicitly excluding these types of items.

You cannot exclude registry values from tracking; only the keys that contain them.

To exclude items from tracking

  1. Start Norton Registry Tracker.
  2. In the Snapshot Log, right-click the item that you want to exclude from further tracking.
  3. Click Exclude.
    You can exclude registry keys, but not specific registry values, from tracking.

To remove tracking exclusions

  1. On the Options menu, click Settings.
  2. Click the Text Files, Folders, or Registry Keys tab, as appropriate.
  3. Check Show Exclusions (Text files and Folders tabs only).
  4. If necessary, click the plus sign to show the exclusion that you want to cancel.
  5. Select an exclusion to remove, then click Remove.

Start Norton Registry Tracker


About Exclude.ini

About Exclude.ini copyright 2004 Symantec

Norton Registry Tracker uses its own INI file to keep track of two types of exclusions:

  • Files that are excluded from their containing folder's tracking
  • Specific INI file entries that are excluded from their parent INI file's tracking

These types of exclusions are specified in the file Exclude.ini, which is stored in the REGTRK folder under Norton Utilities. Normally this file is updated automatically whenever you add or remove these types of exclusions, but you may edit this file using a text editor, such as Windows Notepad.

Exclude.ini is broken down into sections, each of which represents a tracked folder or INI file. Entries under folder sections represent files; entries under INI file sections represent entries in those INI files. If an entry is set equal to one, the file or INI entry that it represents is excluded from tracking. Norton Registry Tracker ignores changes to these files or INI entries.

If you delete entries in Exclude.ini, Norton Registry Tracker tracks the corresponding files or INI file entries again.


About snapshots

About snapshots copyright 2004 Symantec

Whenever Norton Registry Tracker detects a change to a tracked item, it takes a new snapshot. Each snapshot captures the state of the tracked items on your system. There are three main types of events that trigger Norton Registry Tracker to take a snapshot:

  • Whenever Norton Registry Tracker starts, it takes a snapshot to serve as a baseline record of the initial state of tracked items. If this snapshot differs from the last snapshot that is stored for your system, or if it is the first time that you have run Norton Registry Tracker, the snapshot is labeled Activation Snapshot.
  • Whenever Norton Registry Tracker detects a change to a tracked item, it takes a new snapshot. This allows you to compare the snapshot with previous snapshots to see what changes were made. Having a series of snapshots also lets you restore your system to the state it was in prior to any changes that were recorded in the snapshots.
  • You can also force Norton Registry Tracker to take a manual snapshot at any time. It is a good idea to take a manual snapshot prior to making major changes to your system, such as installing new hardware or software. Taking a manual snapshot allows you to name the snapshot anything you like.

To help you locate changes quickly, Norton Registry Tracker snapshots can display only those items that have changed since the previous snapshot.


Use the Snapshot Log

Use the Snapshot Log copyright 2004 Symantec

The Snapshot Log is where Norton Registry Tracker displays a list of snapshots it has taken. By default, the Snapshot Log displays the full details of the snapshot contents, and the changes that occurred between snapshots.

Whenever Norton Registry Tracker starts, it takes a snapshot of your system. If this snapshot differs from the final snapshot from the last Norton Registry Tracker session (or if this is the first time that you have run Norton Registry Tracker), this snapshot is labeled Activation Snapshot and functions as a baseline to record an initial state for tracked items.

If there is a previously stored snapshot and Norton Registry Tracker detects no changes between it and the new snapshot, the new snapshot is not saved. In this case, Norton Registry Tracker updates the Last Checked time that is displayed at the top of the Snapshot Log.

Any time that Norton Registry Tracker detects a change to a tracked item, it takes a new snapshot to record the changes. Automatic snapshots are tagged with the date and time of the snapshot, and the program that effected the change.

You can also force Norton Registry Tracker to take a snapshot at any time, whether or not there have been changes made to tracked items. These manual snapshots are also tagged with the date and time. By default, they are labeled Manual Snapshot, but they can be labeled anything you like.

To open the Snapshot Log

  1. Start Norton Registry Tracker.
  2. To sort the Snapshot Log, click By File (by tracked items) or By Snapshot.
  3. Click the plus signs next to items to reveal more details.
    At the finest level of detail (items fully expanded), the Snapshot Log shows changes that were made to the tracked items. Specific changes are not displayed for binary files.
  4. On the View menu, change the level of detail that is displayed, if necessary.


Reset the Snapshot Log

Reset the Snapshot Log copyright 2004 Symantec

Resetting the Snapshot Log erases any existing snapshots, then takes a new snapshot. After you reset the Snapshot Log, you cannot restore tracked items to the states they were in prior to the reset. Reset the Snapshot Log only if you are certain that you will not need to restore information from the currently existing snapshots.

To reset the Snapshot Log

  1. Start Norton Registry Tracker.
  2. On the Options menu, click Reset Snapshot Log.
    After the Snapshot Log is reset, Norton Registry Tracker automatically takes a new snapshot to record the baseline conditions of tracked items.


Viewing computer information

Viewing computer information copyright 2004 Symantec

No matter what your level of computer expertise, difficult questions about your computer's configuration will arise. For example, when you have a problem installing new hardware or software and you call the manufacturer for technical support, you may be asked questions about your computer's BIOS, bus type, processor, ports, video and multimedia capabilities, or memory capacity. Having access to this information is useful.


Use System Information

Use System Information copyright 2004 Symantec

System Information gives you quick and easy access to information about your computer. It provides technical details about the following:

  • System configuration (processor, BIOS, bus type, memory, and more)
  • Display (video driver)
  • Printers and printer ports
  • Physical and virtual memory
  • Disk drives
  • Input devices (keyboard and mouse or other pointing device)
  • Multimedia devices
  • Network connections

This information can be saved to your disk or printed.

To use System Information

  1. On the left side of the main window, click Norton Utilities > System Maintenance > System Information.

    2. System Information gathers information about your computer and displays it on tabs in the System Information dialog box. You can print the information on one tab or on the entire inventory.

  2. Click each tab to view the information on that tab.
  3. When you have finished viewing the information, click Close.
For network, CD, and compressed drives, the Disk Usage Selection on the Drive tab is the total size of all of the selected items as reported by the file system. This does not include space that is wasted due to the device's cluster size. The total amount that is allocated is often slightly more than the size that is displayed by System Information. These snapshots of your system are helpful when you call a vendor for technical support.


System Information details

System Information details copyright 2004 Symantec

System Information gives you detailed information about your computer, the peripherals (keyboard, mouse, printers, and multimedia devices attached to your computer) and your network connections.

The information is displayed by category on the eight tabs of the System Information window. The following tabs appear:

System | Displays general information about your system and its attached hardware. About the System tab
Display | Shows your computer's display capabilities. About the Display tab
Printer | Shows your computer's printer capabilities. About the Printer tab
Memory | Shows the amount of available memory and indicates how much is being used by each running program. About the Memory tab
Drive | Shows the amount of free and used disk space and indicates the amount occupied by any file. Work with Drive Information
Input | Shows the types of input devices attached to the computer. About the Input tab
Multimedia | Shows the audio, video, and joystick devices attached to your computer. About the Multimedia tab
Network | Shows information about the networks to which your computer is attached. About the Network tab

System Information can print reports about your system and its components. These reports provide a complete description of your system and are helpful when purchasing new software, installing new hardware, or calling a vendor for technical support.


System Information tabs

System Information tabs copyright 2004 Symantec

All the information in System Information is displayed on tabs of related information.

More Information

About the System tab
About the Display tab
About the Printer tab
About the Memory tab
Work with Drive Information
About the Input tab
About the Multimedia tab
About the Network tab


About the System tab

About the System tab copyright 2004 Symantec

The System tab provides you with an overview of your system, including:

  • Manufacturer, type, and speed of the processor
  • Presence of a math coprocessor
  • Description of the BIOS and bus
  • Number and types of ports
  • Amount of physical memory (RAM) and the amount currently in use
  • Size of local floppy and hard disks
  • Types of multimedia devices
  • Video display type and currently selected resolution
  • Versions of Windows and DOS
  • Network client software in use

The information in the tab's fields can be copied to the Windows clipboard and pasted directly into other applications.

To view System Information

  1. Click the System tab.
  2. To see detailed information, click Details.

System Information tabs


About the Display tab

About the Display tab copyright 2004 Symantec

The Display tab lists details about your video monitor, graphics card, and video device driver. The device driver information includes the following:

  • Version number
    Physical characteristics (such as width and height in millimeters and pixels, pixel dimensions, system colors, number of pens, and number of fonts).
  • Graphics capabilities
    Windows and other applications use this information to position dialog boxes, draw lines, size fonts, and so forth.

To view video display information

  1. Click the Display tab.
  2. Click the plus (+) signs to get more information about your computer's video device characteristics and capabilities.

System Information tabs


About the Printer tab

About the Printer tab copyright 2004 Symantec

The Printer tab provides information about any installed printer, including network (shared) printers and fax machines. Details available through this tab include the printer type, port, characteristics, and capabilities. You can use this information to compare the capabilities of the various printers connected to your system.

By default, this tab displays information about the printer designated the default Windows printer. You can select another printer from the drop-down list, which shows the names of all installed local and network printers.

To view printer information

  1. Click the Printer tab.
  2. Use the drop-down list box to select a printer.

System Information tabs


About the Memory tab

About the Memory tab copyright 2004 Symantec

The Memory tab provides general and detailed information about system memory and about every application, process, and device driver that is loaded into memory. The tab includes a graphical display showing the number of bytes of Windows memory currently available, used by all applications, and used by one or more selected applications, processes, or DLLs.

Windows memory includes both the physical memory (RAM) installed on your system plus Windows virtual memory. Virtual memory is provided by the Windows swap file.

Windows can use free disk space to increase the size of the swap file to meet system demands. If Windows is managing your virtual memory settings, Windows memory will include all of the free space on the disk used for the swap file. If you have selected to manage your own virtual memory settings, then Windows memory will include the maximum swap file size you have specified.

When .exe (program) and .dll (dynamic link library) files are in use, Windows also uses a portion of their disk space similarly to how it uses virtual memory, so Windows memory can be even larger than the sum of the sizes of physical memory and the swap file.

Double-clicking an item in the Memory tab list will display details for that item. Clicking the Details button displays additional descriptive information about system memory and current memory usage. The details include dynamic device driver address and other information, static device driver information, and information about every application and DLL that is currently running.

To update the memory usage information, you must switch to a different System Information tab and then return to the Memory tab.

Norton System Doctor includes a number of memory sensors that provide real-time readings of various aspects of memory usage.

To view memory information

  1. Click the Memory tab.
  2. Do one or more of the following:
    • Select one or more items in the list box.
    • To select multiple items, hold down the Shift or Ctrl key and click an item.

      • The Windows Memory Usage pie chart and the displayed text below it show how much memory is used by the selected items.

    • To control the ordering of the list box items, click a column heading.
    • To see details about a particular item in the list box, double-click that item.
    • To get detailed information about all aspects of your computer's memory, click Details.

System Information tabs


About the Drive tab

About the Drive tab copyright 2004 Symantec

The Drive tab lets you:

  • View the folder tree of any hard disk (including compressed disks), network drive, CD-ROM drive, floppy disk, or other removable drive to which you have access.
  • Select one or more folders to see how much disk space they use.
  • See both graphical and numeric breakdowns of current disk usage.
  • View technical details for a selected drive (such as bytes per sector, sectors per cluster, and whether case-sensitive file searches are supported).
  • Specify the drives about which you can access information. This feature lets you exclude problematic drives from the Drive tab's drop-down list box. For example, you can exclude a drive that contains highly confidential information, a large drive that slows down Drive tab performance, or a faulty drive that may cause the system to crash.

To refresh the drive information (to reflect changes to the contents of a drive), you must select a different drive and then select the original drive again, or close and reopen System Information.

You can use the Physical Information provided in the Details dialog box together with Disk Editor to help rebuild a crashed disk. You should print out this information and keep it to use in the event of a disk failure. To get real-time readings of various disk conditions, use Norton System Doctor.

System Information tabs


About the Volume Serial Number

About the Volume Serial Number copyright 2004 Symantec

In System Information's Drive Details window, the Volume Serial Number of your drive is displayed as a decimal number. When you view the Volume Serial Number from a DOS command prompt, it is displayed in hexadecimal format. The decimal number is correct when converted to hexadecimal.

System Information tabs


Work with Drive Information

Work with Drive Information copyright 2004 Symantec

You can specify the disk drives that you want to appear in the Drive tab list.

To specify drives to show in the Drive tab list box

  1. Click the Drive tab.
  2. Right-click anywhere within the Drive tab.
  3. Click Configure.
  4. Select the drives that you want to appear in the list box or deselect those drives that you want to exclude.

To view drive information

  1. Click the Drive tab.
  2. Select a drive from the drop-down list box.
  3. Select one or more folders to see how much disk space they occupy.
    To select multiple folders, hold down the Shift or Ctrl key while clicking each folder.
  4. If you want to include the space occupied by subfolders of the selected folders Check Include Subfolders.
  5. To see details, click Details.
  6. Use the drop-down list box to select the drive for which you want detailed information.
    The Disk Usage pie chart and the displayed text below it show how much disk space is occupied by the selected items.

System Information tabs


About the Input tab

About the Input tab copyright 2004 Symantec

The Input tab identifies the type of keyboard and mouse or other pointing device attached to the computer and provides detailed information on each device.

Keyboard information includes the keyboard type, subtype, number of function keys, three-digit code page it uses, delay factor, speed, and layout type. Mouse information includes the mouse type, X and Y thresholds (related to mouse speed), speed, number of buttons, and whether the mouse buttons are swapped (so that the right mouse button is the primary mouse button).

To view input information

  1. Click the Input tab.
  2. Click the plus (+) signs to get more information about your input devices.

System Information tabs


About the Multimedia tab

About the Multimedia tab copyright 2004 Symantec

The Multimedia tab provides information about Waveform, MIDI, MCI, joystick, and auxiliary multimedia devices installed on your system. The tab displays a count of each type of multimedia device. Items in the tab's list box that are preceded by plus (+) signs can be expanded to show the characteristics and capabilities supported by each device.

To view multimedia information

  1. Click the Multimedia tab.
  2. Click the plus (+) signs to get more information about your installed multimedia devices.

System Information tabs


About the Network tab

About the Network tab copyright 2004 Symantec

The Network tab provides information about the networks to which your system is attached. The information that appears depends upon the type of network you have.

For a Microsoft network, this tab shows the hierarchy and names of network resources, such as remote folders, printers, faxes, or modems you can access.

For computers running Windows 98/Me on a Novell NetWare network, this tab includes information about the servers, volumes, users, and groups that are available. You can also get details about a specific aspect of your Novell NetWare network, for example, the size and available space on each volume, the names and members of user groups, the available print servers, and the names of all users currently logged on.

Use Norton System Doctor to continuously monitor the throughput of network reads and writes.

To view network information on Windows 98/Me

  1. Click the Network tab.
  2. Click the plus (+) signs to get more information (if available) about the networks to which your computer is attached.
  3. To get details about an item, select it from the list box.
  4. Click Details to open the Network Details dialog box.
    Network details are available only for Novell NetWare networks. You can open multiple Network Details dialog boxes. The last one you open displays information on the item currently selected in the Network tab list box. If you select a different item, the contents of the last dialog box change. All open Network Details dialog boxes close when you switch to a different tab.

System Information tabs


System Information reports

System Information reports copyright 2004 Symantec

You can create System Information reports and print them or save them to a file on disk. You determine the content of the reports by choosing from the following options:

Current tab | Includes the information from the currently displayed System Information tab only.
Typical | Includes basic information from all System Information tabs.
Technical Support | Includes information from all tabs plus a listing of the Windows registry and key system files. This is a very large report, especially if it is reporting on networked computers. You can uncheck the Network option if you don't need that information.
Custom | Lets you choose the tabs for which you want reports. For the System, Memory, Drive, and Network tabs, you have additional report options, such as whether you want a summary or detail report.

To create, print, or save reports

  1. Click any System Information tab.
  2. Click Reports.
  3. Select the option button corresponding to the scope of the report you want to create.
  4. To specify custom report options, click Select, and click the checkbox for the custom report option that you want.
  5. Do one or more of the following:
    • Click Print.
    • Click Save and specify the location and filename to which you want the report information saved. If you don't enter a complete path for the file, the report is saved to the desktop.

System Information tabs


Run System Information from the command line

Run System Information from the command line copyright 2004 Symantec

You can run System Information from the command line by clicking Run from the Start menu. Use the following syntax:

SI32 [/TAB:tabname[(driveid)]]

/TAB | Open System Information directly to a specified tab.
tabname | The name of the tab on which you want System Information to open. The tab name must be entered as lowercase letters.
driveid | The letter of the disk drive for which System Information will display information. The driveid argument is relevant only if you open System Information to the Drive tab. For example, to run System Information from the command line such that it opens to the Drive tab and gives information for the E: drive, you would enter: SI32 /TAB:drive(e)

You can generate a report for any tab or all tabs (Typical) for a technical support document or a custom report using the features that you select.

System Information tabs


About disk and Windows errors

About disk and Windows errors copyright 2004 Symantec

Trouble-free computing depends on the integrity of your computer. This integrity is based on an error-free hard disk and a correctly installed copy of Windows. Both Windows and your hard disk can develop errors as you use your computer. If they are not corrected, the accumulation of errors can lead to data loss.

The best cure for any problem is prevention. If you keep Norton System Doctor running at all times, it spots problems early and recommends corrective action.

Norton SystemWorks includes several tools that help you identify and repair disk and Windows problems.

One Button Checkup | When to use One Button Checkup
Norton System Doctor | Monitor your computer's health
Norton Disk Doctor | When to use Norton Disk Doctor
Norton WinDoctor | When to use Norton WinDoctor

Monitor your computer's health


When to use One Button Checkup

When to use One Button Checkup copyright 2004 Symantec

Some scans in One Button Checkup provide an alternative to the monitors in Norton System Doctor. Norton System Doctor monitors a wider variety of conditions and remains in your computer memory. One Button Checkup runs scans when you start them manually or when you schedule them. If you have a particular condition that you want to monitor continuously, use Norton System Doctor.


When to use Norton Disk Doctor

When to use Norton Disk Doctor copyright 2004 Symantec

Norton System Doctor includes Norton Disk Doctor and Surface Test sensors that notify you when a potential disk problem is detected. Norton Disk Doctor runs automatically to diagnose the problem and make immediate repairs.

Norton Disk Doctor performs several tests on the disk, checking everything from the partition table to the physical surface. If Norton Disk Doctor finds a problem, it notifies you before it makes repairs. If you set Norton Disk Doctor to automatically fix errors, repairs are made automatically. After it diagnoses and repairs a disk, Norton Disk Doctor displays a report that lists the problems that were found, the problems that were fixed, and the areas of the disk that are problem-free.

You can run Norton Disk Doctor and examine your disk from the program CD.

When not to use Norton Disk Doctor

Do not run the DOS version of Norton Disk Doctor on partitions that were created with Linux FDISK or Disk Druid. If you choose to fix errors on partitions that were created with these utilities, it is critical that you make an Undo file.

Use Norton Disk Doctor to fix an invalid partition only if it is completely inaccessible from Windows or DOS.

Norton Disk Doctor can only revive FAT or FAT32 partitions on computers that are running Windows 2000/XP. It cannot revive NTFS partitions.

To repair corrupted boot records, use the DOS version of Norton Disk Doctor; do not use the Windows version. The Windows version diagnoses the problem, but it will not repair the boot record as well as the DOS version of Norton Disk Doctor.

Norton Disk Doctor might report an error if you use a third-party boot loader. This error report can be safely ignored.


When to use Norton WinDoctor

When to use Norton WinDoctor copyright 2004 Symantec

Norton WinDoctor is the safe and easy way to diagnose and repair common Windows problems. It checks the necessary information for Windows to run properly and checks for components that are needed by programs that run in Windows.

Combined with Norton System Doctor, Norton WinDoctor can automatically monitor your computer for Windows problems. If a problem is detected, Norton System Doctor alerts you to start Norton WinDoctor to correct it.

You can run Norton WinDoctor and other utilities from the program CD.

When to run disk utilities from the CD


Check your disk with Norton Disk Doctor

Check your disk with Norton Disk Doctor copyright 2004 Symantec

Run Norton Disk Doctor often to keep your hard disk free of accumulated errors.

Running Speed Disk frequently will improve the performance of the scans that Norton Disk Doctor conducts. However, if you suspect that your disk has problems, do not run Speed Disk until you have corrected them with Norton Disk Doctor.

To perform a disk check

  1. On the left side of the main window, click Norton Utilities > Find and Fix Problems.
  2. Click Norton Disk Doctor.
  3. In the Norton Disk Doctor window, select one or more drives to diagnose.
  4. If you want Norton Disk Doctor to repair problems automatically without stopping to describe them to you, check Automatically fix errors.
  5. If you want to specify which tests Norton Disk Doctor runs and other options, click Options and set the options that you want.

    6. Norton Disk Doctor run-time options are different depending on whether your computer is running Windows 98/Me or Windows 2000/XP.

  6. Click Diagnose.
    Norton Disk Doctor restarts its diagnosis if it detects that another program is writing to the examined disk. Restarting ensures the integrity of the data on the disk if repairs are required. Restarting may occur several times during a single Norton Disk Doctor session.
  7. Follow the on-screen instructions as Norton Disk Doctor identifies and fixes any problems.
  8. When the diagnosis and repairs are complete, click Close.

Run Norton Disk Doctor in the background

In Windows 98/Me, you can run Norton Disk Doctor in the background while you work by minimizing it after you click Diagnose. When Norton Disk Doctor detects a pause in disk activity, it begins diagnosing the disk. (In Windows 98/Me, one of the Norton Disk Doctor advanced options lets you specify how long a pause is required.)

Norton Disk Doctor diagnoses your disk only once each time that it is run minimized. To continuously test the integrity of your disk, use Norton System Doctor. The Disk Doctor and Surface Test sensors can monitor your disk while you work. When problems are detected, Norton System Doctor can run Norton Disk Doctor immediately.


Create an Undo file to reverse repairs

Create an Undo file to reverse repairs copyright 2004 Symantec

In Windows 98/Me, Norton Disk Doctor gives you the option of creating an Undo file before it makes disk repairs. In the unlikely event that you need to reverse the changes made by Norton Disk Doctor, you can use the Undo file to return your disk to the state that it was in prior to the repairs.

If you do not want Norton Disk Doctor to create an Undo file, you can uncheck the Undo File option in the Custom Repair Options dialog box. Turn off the undo prompts only if you are certain that you will not need to undo the repairs.

To create an Undo file in Windows 98/Me

  1. Start Norton Disk Doctor and examine a disk.

    2. When Norton Disk Doctor finds a problem that must be repaired, it describes the problem and asks if you want to save an Undo file.

  2. In response to the Norton Disk Doctor prompt, click Create Undo File.
  3. In the Select Undo Location dialog box, select a drive on which to create the Undo file, then click Create.
  4. Follow the on-screen instructions to finish creating the Undo file.
    5. You should inspect any data files that were affected by the repairs (they are indicated in the Norton Disk Doctor report). If you are not satisfied with the results of the repair, click Undo immediately. You should not try to undo the changes if you have saved, deleted, or copied files following the repairs. Attempting to do so may result in a loss of data.

Check your disk with Norton Disk Doctor


If you need to reverse a repair

If you need to reverse a repair copyright 2004 Symantec

You can reverse a previously made disk repair if you authorized Norton Disk Doctor to create an Undo file when the previous examination was made.

If you have copied, saved, or deleted files on your disk after making repairs with Norton Disk Doctor, do not attempt to undo the repairs. Changes to the file system after the repairs invalidate the Undo file data. Attempting to undo repairs after you have changed files on your disk can result in lost or damaged data. Also, do not attempt to undo changes if Norton Disk Doctor reported any disk surface errors.

To undo Norton Disk Doctor repairs in Windows 98/Me

  1. On the left side of the main window, click Norton Utilities > Find and Fix Problems.
  2. Click Norton Disk Doctor.
  3. In the Norton Disk Doctor window, click Undo.
  4. Read the confirmation message.
  5. If you still want to attempt to undo your repairs, click Continue.
  6. Select the drive that contains the Undo file, then click OK.
  7. Verify that the undo information was created at the expected date and time, then click Yes.


Create a Norton Disk Doctor report

Create a Norton Disk Doctor report copyright 2004 Symantec

When Norton Disk Doctor finishes testing your disk for errors, it displays a summary of test results, which include any problems that were found, and whether repairs were made.

You can also view and print a report that includes detailed information about the examined disk and the repairs that were made. The detailed report can help you track recurring disk problems.

The Norton Disk Doctor report is not available if you are using a version of Norton Utilities that is in a different language than your operating system.

To create a Norton Disk Doctor report

  1. Examine a disk with Norton Disk Doctor.
  2. In the Test Results dialog box, click Details.
  3. Click Print.
  4. Specify the output type for the test results. Your options are:

    Print to Printer

    Print the report to the printer that you select. To specify printer options, click the open folder icon.

    Print to File

    Save the test results in a text file with the name and location that you specify. To specify a file name, click the open folder icon.

Check your disk with Norton Disk Doctor


Types of Norton Disk Doctor tests

Types of Norton Disk Doctor tests copyright 2004 Symantec

Norton Disk Doctor checks your disk's physical surface for abnormalities that would affect the data storage on your disk. Norton Disk Doctor moves any data that it can from damaged areas of the disk to undamaged areas. It also marks the damaged areas so that your computer won't attempt to store data there in the future.

Norton Disk Doctor test details

Norton Disk Doctor checks the following parts of your hard disk:

  • Partition table
  • Boot record
  • CMOS
  • File system
  • Folder structure
  • Compressed disks
  • Customized tests

About testing the partition table

Norton Disk Doctor checks for damage to your hard disk's partition table. If the partition table becomes damaged in any way, your operating system may not be able to access your hard disk.

About testing the boot record

Norton Disk Doctor checks the boot record information to ensure it is correct. If the boot record becomes damaged, your operating system may not be able to access the disk. If you are running Windows 98/Me, you can create a boot record.

To create a boot record in Windows 98/Me

  1. Open a command prompt, such as the DOS window.
  2. At the command prompt, type FDISK/MBR.
    This will create a standard boot record on the disk.

About testing the CMOS (Windows 98/Me)

The CMOS stores the properties of your hard disks, enabling the computer to properly access the disks. Norton Disk Doctor compares the disk properties it finds while testing a hard disk with the information stored in the CMOS. If the information does not match, it could indicate that the CMOS information is incorrect or that your system configuration is incompatible with Norton Disk Doctor. If you have no troubles accessing your hard disk, the CMOS information is probably correct and you should consider setting Norton Disk Doctor to skip the CMOS test if Norton Disk Doctor warns of a mismatch.

About testing the file system

Norton Disk Doctor checks to make sure both copies of the file allocation table (FAT) are exactly the same. If you are having problems accessing certain files on your disk, your FAT may have become corrupted. Norton Disk Doctor can use information from the good copy of the FAT to repair the corrupted one.

About testing the folder structure

Norton Disk Doctor checks the folder structure for cross-linked files, file allocation errors, and lost clusters, any of which can result in data loss.

About testing compressed disks

Norton Disk Doctor can diagnose problems with disks that have been compressed using Drive Space. It checks the compressed file allocation table (FAT) to assure that all of the files in the compressed volume can be accessed.

Before testing the compressed volume, Norton Disk Doctor tests its uncompressed host drive. You can have Norton Disk Doctor skip the host drive test if you're absolutely certain that there are no problems with the host, but it is normally a good idea to let Norton Disk Doctor perform this test.


Customize Norton Disk Doctor

Customize Norton Disk Doctor copyright 2004 Symantec

In Norton Disk Doctor you can customize how repairs are handled, if Norton Disk Doctor runs a disk check on startup, its appearance during disk examinations, how thoroughly it should examine a disk, and what tests should be run or skipped.

In Windows 2000/XP, most options are built in and are not configurable.

To customize Norton Disk Doctor

  1. On the left side of the main window, click Norton Utilities > Find and Fix Problems.
  2. Click Norton Disk Doctor.
  3. In the Norton Disk Doctor main window, click Options.
  4. Click a tab to adjust the associated options.

    5. Your choices are:

    General | The General tab includes general startup and repair options. In Windows 98/Me, it also includes custom repair options. About General options
Appearance | About Appearance options
Surface Test | About Surface Test options
Advanced (Windows 98/Me) | About Advanced options

  5. When you're finished, click OK.


About General options

About General options copyright 2004 Symantec

Use the General tab to specify whether you want Norton Disk Doctor to start automatically with Windows and what drives you want it to diagnose when it starts. You can also specify how you want Norton Disk Doctor to handle errors. General options are:

Start automatically with Windows | Check this option to have Norton Disk Doctor start automatically when Windows starts.
Drive(s) to Diagnose | Check the drives that you want Norton Disk Doctor to diagnose when it starts with Windows.
Ask Me First (Windows 98/Me) | Check this option to have Norton Disk Doctor prompt you if it finds a problem.
Auto-Repair (Windows 98/Me) | Check this option to have Norton Disk Doctor automatically make disk repairs if it finds a problem.
Skip Repairs (Windows 98/Me) | Check this option if you do not want Norton Disk Doctor to fix any disk problems it finds.
Custom (Windows 98/Me) | Check this option to have Norton Disk Doctor use the custom repair options you specify.
Enable Free Space Testing Windows 2000/XP | Check this option to have Norton Disk Doctor perform surface testing during diagnosis.


About Custom Repair options

About Custom Repair options copyright 2004 Symantec

In Windows 98/Me, use the Custom Repair options to specify how Norton Disk Doctor responds to specific problems, how it handles lost clusters, and whether it prompts you before it creates an Undo file.

Lost clusters are units of disk space that the file allocation table (FAT) indicates are in use, but are not accounted for by any directory entries on the disk. Usually these clusters represent garbage on the disk left over from when programs stop unexpectedly. On rare occasions, however, lost clusters may contain valuable data.

You can specify how Norton Disk Doctor handles lost clusters that are identified during a disk examination.

  • Specify a number of lost cluster chains below which Norton Disk Doctor will repair the problem automatically. A chain of clusters usually represents data from a single file. If Norton Disk Doctor finds more than the specified number of chains, it prompts you before repairing the problem.
  • Specify whether the lost clusters should be deleted or saved as files. The saved files are placed in the disk's root and have names similar to FILE0000._DD. You should inspect these files to ensure they do not contain valuable data, then delete them to free space on the disk.

Custom Repair options are:

File Allocation Tables (FAT) | Choose Ask Me First to be prompted to fix FAT errors. Choose Auto-Repair to have Norton Disk Doctor fix FAT errors automatically. Choose Skip Repairs if you do not want Norton Disk Doctor to make any repairs when it finds FAT errors.
Directory Structures | Choose Ask Me First to be prompted to fix directory structure errors. Choose Auto-Repair if you want Norton Disk Doctor to fix directory structure errors automatically. Choose Skip Repairs if you do not want Norton Disk Doctor to make any repairs when it finds directory structure errors.
Compression Structures | Choose Ask Me First to be prompted to fix compression structure errors. Choose Auto-Repair to have Norton Disk Doctor fix compression structure errors automatically. Choose Skip Repairs if you do not want Norton Disk Doctor to make any repairs when it finds compression structure errors.
Surface Errors | Choose Ask Me First to be prompted to fix disk surface errors. Choose Auto-Repair to have Norton Disk Doctor fix disk surface errors automatically. Choose Skip Repairs if you do not want Norton Disk Doctor to make any repairs when it finds disk surface errors.
Partition Tables | Choose Ask Me First to be prompted to fix partition table errors. Choose Auto-Repair to have Norton Disk Doctor fix partition table errors automatically. Choose Skip Repairs if you do not want Norton Disk Doctor to make any repairs when it finds surface errors.
Boot Records | Choose Ask Me First to be prompted to fix boot record errors. Choose Auto-Repair to have Norton Disk Doctor fix boot record errors automatically. Choose Skip Repairs if you do not want Norton Disk Doctor to make any repairs when it finds boot record errors.
Auto-repair lost clusters of fewer than [number of] chains | Check this option to have Norton Disk Doctor automatically repair lost clusters that have fewer chains than the number you specify here.
Save lost clusters as files | Check this option to have Norton Disk Doctor save lost clusters as files.
Delete lost clusters | Check this option to have Norton Disk Doctor delete lost clusters.
Prompt for Undo file when making repairs | Check this option to have Norton Disk Doctor prompt you before it makes an Undo file. You must create an Undo file to be able to reverse or undo your changes.


About Appearance options

About Appearance options copyright 2004 Symantec

Norton Disk Doctor lets you set animation and music preferences. You can view the Norton Disk Doctor animation and play your favorite sound file (WAV, MID or RMI format) while Norton Disk Doctor diagnoses your disk.

You must have a sound card installed to play WAV or MIDI files.

Use the Appearance tab to specify whether you want Norton Disk Doctor to show an animation and play music during diagnosis. You can also specify a custom message to appear after the diagnosis is completed and before Norton Disk Doctor shows you the test results report.

To play animation and music during disk diagnosis

  1. In the Norton Disk Doctor main window, click Options.
  2. In the Norton Disk Doctor Options dialog box, click the Appearance tab.
  3. Select the action that you want to take.
    Your choices are:

    Enable Animation

    Check this option to show the animation during disk diagnosis.

    Display the Norton Disk Doctor animation. This option is available only for high color (16-bit or better) displays.

    Play Music

    Check this option to play a WAV or MIDI file during diagnosis. You must have a sound card on your system to play sound files.

    Select either a MIDI or WAV file to play during disk diagnosis

    Type the name and location of the sound file (WAV, MID or RMI format) to play. To browse for a file, click the open folder button. To test the sound file, click the play button.

    Show Custom Message

    Check this option to display a custom message if an error occurs.

    Edit

    Click this button to create a custom message for Norton Disk Doctor to display if it encounters an error.


About Surface Test options

About Surface Test options copyright 2004 Symantec

In Windows 98/Me, use the options on the Surface tab to enable or disable disk surface testing and to specify disk surface testing options, such as the number of passes, the type of test, what to test, and whether to show the disk map during diagnosis. In Windows 2000/XP, you can enable or disable free space testing.

To include a surface test in Windows 2000/XP

  • On the General tab, check Enable Free Space Testing.

To perform a surface test in Windows 98/Me

  1. In the Norton Disk Doctor main window, click Options.
  2. In the Norton Disk Doctor Options dialog box, click the Surface tab.
  3. Select the action that you want to take.

    4. Your options are:

    Enable surface testing | Check this option to have Norton Disk Doctor test the disk surface.
Repetitions | Check this option to have Norton Disk Doctor diagnose your disk surface the currently specified number of times. Enter the number of repetitions you prefer.
Continuous | Check this option to have Norton Disk Doctor diagnose your disk surface repeatedly until you interrupt it. This option is useful when you want to run the tests while you're away from your system.
Normal Test | Check this option to have Norton Disk Doctor perform a general scan of the disk surface.
Thorough Test | Check this option to have Norton Disk Doctor perform an in-depth scan of the disk surface.
Entire Disk Area | Click to diagnose the whole disk.
Area Used by Files | Click to diagnose only the portion of the disk that currently contains files.
Show disk map during surface test | Click to show a map of disk usage and bad areas during diagnosis.


About Advanced options

About Advanced options copyright 2004 Symantec

Some computers have unusual or non-standard configurations. Sometimes these configurations interfere with certain tests that Norton Disk Doctor performs. False errors may be reported, or some drives may not be tested accurately. If this happens, you may not want to perform certain tests during disk diagnosis.

In Windows 98/Me, use the Advanced tab to specify disk tests that you want Norton Disk Doctor to skip and to specify how you want Norton Disk Doctor to run in the background (minimized). The Advanced options are:

Skip Partition & Boot Record Tests | Check this option to skip the partition and boot record tests.
Skip CMOS Tests | Check this option to skip the CMOS test.
Only One Hard Disk | Check this option if Norton Disk Doctor erroneously reports that you have more than one disk.
Skip File Date & Time Tests | Check this option to skip date and time stamp verification on files.
Skip Compression Testing | Check this option to skip the compression test on compressed disk volumes.
Skip Host Drive Testing | Check this option to skip the host drive test on compressed disk volumes.
Scan for Auto-Mount Disks | Check this option to have Norton Disk Doctor check frequently for compressed disk volumes during floppy disk testing.
Begin after [number of] idle minutes, and [number of] seconds | Enter the number of minutes and seconds that you want the foreground to be idle before Norton Disk Doctor starts diagnosing your disk in the background.
When errors are found | Choose what you want Norton Disk Doctor to do when it finds an error while running in the background. It can display the test results report, sound an alarm, flash the taskbar, or sound an alarm and flash the taskbar at the same time.

Switching the disk loaded in a floppy drive from a compressed to a non-compressed disk after Norton Disk Doctor has scanned the drive may cause erroneous test results. You can control how often Norton Disk Doctor scans to determine the type of disk occupying the floppy drive. This feature is useful, for example, if you are diagnosing a large number of floppy disks, some of which are compressed. When selected, Scan for Auto-Mount Disks causes Norton Disk Doctor to re-scan the floppy drive often, noting whether the floppy disk format has changed.


Find and fix Windows problems

Find and fix Windows problems copyright 2004 Symantec

Norton WinDoctor diagnoses and repairs the most common types of Windows problems. You can tailor the repair process to your own needs by selecting which tests to run and which problems to fix.

Norton WinDoctor does the following:

  • Inspects everything that's required for Windows to run properly, and keeps Windows running at peak efficiency.
  • Checks for components that are needed by the programs that you run in Windows.
  • Displays an easy-to-read report that lists the problems that it found, the problems that it fixed, and the severity of each problem.
  • Lets you tailor the repair process. You can specify which problems to fix and how to fix them. Or, you can choose to fix all of the found problems automatically and let Norton WinDoctor take care of everything.

Run Norton WinDoctor when you receive a Windows problem alert, or run it regularly to keep your Windows operating system free of accumulated errors.

To find and fix Windows problems

  1. On the left side of the main window, click Norton Utilities > Find and Fix Problems.
  2. Click Norton WinDoctor.
  3. Select an action to perform. Your options are:

    Perform all Norton WinDoctor tests

    Performs all available scans without further interruption.

    Let me choose which tests to run

    Displays a list of scans that you can exclude or include.

    Select Norton WinDoctor scans

    View Repair History and (optionally) undo changes

    Lets you review and reverse Norton WinDoctor's previous repairs.

    Review and reverse Norton WinDoctor repairs

  4. Click Next.
  5. When the scan is finished, click Next.
  6. To see the list of problems, click Finish.

    7. Norton WinDoctor displays a list of problems found, organized by problem type and severity.

  7. Do one of the following:

    Click Repair All.

    Repair all problems automatically.

    Select Norton WinDoctor repair solutions

    Select a problem or group of problems, then click Repair.

    Repair a specific problem or group of problems.

    Use the Automated Repair dialog box

    Sort the list of problems.

    Sort problems by type

    Ignore problems.

    Ignore reported problems

  8. When the repairs are finished, click OK.
  9. Close the Norton WinDoctor window.


Create a Norton WinDoctor log file

Create a Norton WinDoctor log file copyright 2004 Symantec

Norton WinDoctor can create a log file of all the changes made to Windows during a repair session. The log file is not the same as the Repair History, which you can use to review and reverse repairs.

To have Norton WinDoctor create a log file

  1. Run Norton WinDoctor.
  2. With the Norton WinDoctor Problems Found dialog box open, press Ctrl+Alt+S.
  3. In the Save dialog box, specify the destination and file name.

    4. The log file is formatted as a text file.

  4. Click Save.

Find and fix Windows problems


Select Norton WinDoctor scans

Select Norton WinDoctor scans copyright 2004 Symantec

Norton WinDoctor can perform a variety of scans to find problems with your system. You may not wish to run every scan every time you run Norton WinDoctor. When you start Norton WinDoctor, the program displays a list of available scans and allows you to select the ones that you want Norton WinDoctor to run.

WinDoctor Analysis Agents provide filtering for the problems found during scans. They eliminate some common problems, and provide additional repair options.

To see information about any scan, place your cursor over it and read the tooltip.

To select Norton WinDoctor scans

  1. Run Norton WinDoctor.
  2. In the Norton WinDoctor wizard, click Let me choose which tests to run, then click Next.
  3. To specify how you want Norton WinDoctor to process the problems that it finds, select Analysis Agents.
  4. Check the scans that you want to run. Your options are:

    Windows Registry Sections

    These scans examine the following sections of the Windows Registry:
    • ActiveX/Come
    • ActiveX/COM SubKey
    • Application Paths
    • Device Drivers
    • Fonts
    • Help
    • Microsoft Shared
    • Run
    • Sound Customization
    • Symantec Shared
    • Uninstall

    Program Integrity

    Scans the Windows Desktop, Start menu, application paths, and the shared .DLL and Uninstall sections of the Windows Registry for invalid entries.

    Shortcuts

    This scan checks that any program shortcuts (.PIF and .LNK files) have valid links to their programs.

  5. Click Next.
  6. Continue with the Norton WinDoctor scan and repair.
  7. When the repairs are finished, click OK.
  8. Close the Norton WinDoctor window.

To select WinDoctor Analysis Agents

  1. Run Norton WinDoctor.
  2. In the Norton WinDoctor wizard, click Let me choose which tests to run, then click Next.
  3. Click Analysis Agents. Your options are:

    Add manual registry editing solution

    This agent adds a solution that lets you edit any Windows Registry problems directly from the WinDoctor Problems Found dialog box.

    Search Norton Protected Recycle Bin for missing files

    This agent includes the Norton Protected Recycle Bin in searches for missing files, and adds an UnErase file recovery option to the list of available repairs.

    Search Recycle Bin for missing files

    This agent includes the Windows Standard Recycle Bin in searches for missing files, and adds an UnErase file recovery option to the list of available repairs.

    Search all hard drives for missing files

    This agent attempts to find missing files by searching all local drives for a file with the same name. If a file is found, the repair option lets you link the shortcut to the file.

    Detect drive letter changes

    This agent checks to see if any problems are due to a change in drive letter assignment. If so, it provides a solution to include the new drive letter.

    Detect directories that have moved

    This agent checks to see if any problems are due to a directory changing from one drive to another. If so, it provides a solution to include the new drive letter.

    Ignore missing files on removable drives

    This agent checks to see if any missing file problems are due to files that are located on removable drives. If so, it removes the problem from the list.

    4. To see information about an Analysis Agent, place your cursor over the agent name and read the description that appears in a tooltip.
  4. Uncheck one or more problem Analysis Agents, then click OK.
  5. Continue the scan process.

Find and fix Windows problems


Select Norton WinDoctor repair solutions

Select Norton WinDoctor repair solutions copyright 2004 Symantec

Norton WinDoctor lets you tailor the repair process to your needs. You can specify which problems to fix and how to fix them, or you can let Norton WinDoctor fix all of the found problems automatically.

If you decide that you don't like a repair that Norton WinDoctor has made, you can undo it. To undo repairs that you made in previous sessions, use Norton WinDoctor's Repair History feature.

You can use the interactive Automated Repair process, which displays one sub-problem at a time, and presents the available solution methods to repair it. The first solution in the list is the most complete fix for the problem. You may select other solutions or accept the recommendation.

To use Automated Repair

  1. Run Norton WinDoctor.
  2. With the Norton WinDoctor Problems Found dialog box open, select solutions to the listed problems. Your options are:

    Select Solution list

    Select the solution that you want to apply to the problem.

    Repair

    Click Repair to apply the selected solution.

    Cancel

    If you selected a problem type with multiple sub-problems, or a group of sub-problems, Cancel allows you to skip the currently displayed sub-problem and display the next one, or close this dialog box.

  3. Continue selecting problems and repairing them until you are finished.
  4. When the repairs are finished, click OK.
  5. Close the Norton WinDoctor window.

Find and fix Windows problems


About problem severity

About problem severity copyright 2004 Symantec

Norton WinDoctor displays an easy-to-read report of the problems that it found. Problems are listed by problem type in the order of severity.

There are three levels of severity:

Low | A problem that is unlikely to affect your use of the computer, but should be repaired to keep your system uncluttered. For example, you may have a reference to a file in the registry that has been moved or deleted.
Medium | A problem that would be an annoyance to you, but probably won't interfere with the most important tasks that you perform. For example, if an application shortcut refers to a file that is missing or has been moved, you would not be able to launch that application from the shortcut.
High | A problem that can block you from using your computer or could result in data loss. For example, if a file that is required to run an application is missing or corrupt.


Use the Automated Repair dialog box

Use the Automated Repair dialog box copyright 2004 Symantec

The Automated Repair dialog box displays when you click Repair after selecting a problem type in the top section of the Problems Found pane. In this dialog box, you select how Norton WinDoctor should repair the selected sub-problems included in that problem type.

This dialog box contains the following:

  • Let Norton WinDoctor Pick The Best Solution

    • Click to allow Norton WinDoctor to automatically repair each sub-problem in the selected problem type by determining the best solution and applying it.

  • Allow Me To Choose The Solution

    • Click if you want to choose from a list of available solutions for each sub-problem. This option opens the Automated Repair dialog box.

To repair all problems automatically

  1. In the Norton WinDoctor Problems Found dialog box, click Repair All.
  2. Click Yes to confirm that you want all the problems included in this type repaired using Norton WinDoctor's recommended method.

    3. Norton WinDoctor repairs all the problems included in the displayed problem type, and a green check appears in the Status column.

    The Problems Found pane lists high-level problem types, which can include one or more individual problems.

To repair problems one at a time

  1. In the Norton WinDoctor Problems Found dialog box, click a problem type.
  2. Click Details to display a complete list of the problems associated with the selected problem type.
  3. Select one problem you want to repair in the Details pane and click Repair to open the Select Solution Method dialog box.
    The problem you selected appears, along with the potential solutions.
  4. Select a solution and click OK.
    The first solution in the list is always the one that Norton WinDoctor recommends.
  5. Select another problem and repeat the steps.

To repair a group of problems using Automated Repair

  1. In the Norton WinDoctor Problems Found dialog box, click a problem type.
  2. Click Details.

    3. A complete list of the problems associated with the selected problem type appear.

  3. In the Details pane, select a group of problems that you want to repair, then click Repair.
  4. In the Automated Repair dialog box, do one of the following:
    • Select Let WinDoctor Pick The Best Solution, click OK, and go to step 7.
    • Select Allow Me To Choose The Solution and click OK.

      • The selected problem and its potential solution methods appears. The first solution in the list is always the recommended one.

    • Select a solution and click OK.

      • When the problem is fixed, the next selected problem appears.

  5. Select the next problem type and repeat.
  6. If you decide not to fix a problem when it appears, click Cancel, then click Yes to display the next problem.

To select alternate repair methods

  1. In the Norton WinDoctor Problems Found dialog box, click a problem type, then click Repair.
  2. Click Allow Me To Choose The Solution For Each Problem, then click OK.
    The problems associated with the problem type appear one at a time. The first solution in the list is always the recommended solution.
  3. Select an alternate solution for the displayed problem.
  4. Click Repair.
  5. Repeat this procedure to repair the next problem that appears.


Ignore reported problems

Ignore reported problems copyright 2004 Symantec

To ignore a reported problem

  1. Follow the on-screen instructions to check for problems.
  2. Click Finish.
    Norton WinDoctor displays a list of problems found, organized by problem type, in order of severity.
  3. Click Details.
  4. Click the problems you want to ignore in the Details pane.
  5. Open the Problems menu and select Ignore Selected Problem.
    The problems you selected are marked as ignored.
  6. To hide the ignored problems, open the View menu and deselect Show Ignored Problems.
  7. To make a problem active again, open the View menu and select Show Ignored Problems.


Sort problems by type

Sort problems by type copyright 2004 Symantec

Norton WinDoctor sorts problems by problem type. You can choose to sort them by severity or by the scanners that were used to identify them.

To sort the list of found Windows problems

  1. In the Norton WinDoctor Problems Found dialog box, click Advanced.
  2. Click the Filter by drop-down list to select the sort criterion.
    The list in the left pane changes to reflect what you selected.
  3. Click a filter type in the left pane to display associated problems in the right pane.


Clear the ignored problems and history lists

Clear the ignored problems and history lists copyright 2004 Symantec

To clear the ignored problem list

  1. Follow the on-screen instructions to check for problems.
  2. Click Finish.
    Norton WinDoctor displays a list of problems found, organized by problem type, in order of severity.
  3. Open the View menu and select Options.
  4. Select the General tab and click Clear Ignore List.
  5. Click OK.
    All of the problems you have previously selected to ignore display in the Details pane.
  6. To make a single ignored problem active again, open the View menu and select Show Ignored Problems to display it, then open the View menu and select Ignore Selected Problem.


Review and reverse Norton WinDoctor repairs

Review and reverse Norton WinDoctor repairs copyright 2004 Symantec

Norton WinDoctor always asks you to confirm before it makes a repair. Even with this extra safeguard, you may sometimes want to undo a repair. With Norton WinDoctor, not only can you undo a repair you just made, but you can also undo a repair you made yesterday or even last week.

The Repair History tracks the changes that Norton WinDoctor makes to your system.

You can configure how long to keep repairs, or how many Repair History items to retain, in the WinDoctor Options dialog box.

To undo repairs made by Norton WinDoctor

  1. Select View Repair History and (optionally) undo changes.
  2. Click Finish.
  3. Click a previously completed repair to select it.
  4. Click the Undo button on the toolbar.

Set Repair History options

You can view repair history and undo changes.

To set Repair History options

  1. Select View Repair History and (optionally) undo changes.
  2. Click Finish.
  3. Open the View menu and select Options.
  4. Set Undo options.

To clear the Repair History

  1. Select View Repair History and (optionally) undo changes.
  2. Click Finish.
  3. Open the Problem menu and select Clear Repair History.

    4. If the item is gray, there are no repaired problems in the list.

Set Repair History options